# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [7.1.2-24](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-23...7.1.2-24) - 2026-05-26

### Merged

- reject mtv files with zero columns or rows [`#8758`](https://github.com/ImageMagick/ImageMagick/pull/8758)
- reject tga files with zero columns or rows [`#8756`](https://github.com/ImageMagick/ImageMagick/pull/8756)
- reject cineon files with zero columns or rows [`#8754`](https://github.com/ImageMagick/ImageMagick/pull/8754)
- build(deps): bump ubuntu from 22.04 to 26.04 in /.devcontainer [`#8751`](https://github.com/ImageMagick/ImageMagick/pull/8751)
- reject farbfeld files with zero columns or rows [`#8750`](https://github.com/ImageMagick/ImageMagick/pull/8750)
- build(deps): bump caphyon/advinst-github-action from 2.0.2 to 2.0.3 [`#8742`](https://github.com/ImageMagick/ImageMagick/pull/8742)
- build(deps): bump github/codeql-action from 4.35.4 to 4.35.5 [`#8749`](https://github.com/ImageMagick/ImageMagick/pull/8749)
- Add profile_fuzzer for raw EXIF/XMP/IPTC/ICC parsing [`#8736`](https://github.com/ImageMagick/ImageMagick/pull/8736)

### Commits

- beta release [`48756ca`](https://github.com/ImageMagick/ImageMagick/commit/48756ca9bf31c885905b0768b2bb27bcbc11e286)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-vgh5-r42g-4j44 [`8fa8b81`](https://github.com/ImageMagick/ImageMagick/commit/8fa8b81f56d2caa4c5379da8f14aa2895e74fd1e)
- revert [`9b3ca35`](https://github.com/ImageMagick/ImageMagick/commit/9b3ca35e268a9355fe30a5c0bb7865a1e83f732c)
- Make sure we free the chunk when hitting max loop. [`dd198f9`](https://github.com/ImageMagick/ImageMagick/commit/dd198f960a586126dad3bb1699b1067c260f53fb)
- Also set a limit on the profile size when fuzzing images. [`cca7092`](https://github.com/ImageMagick/ImageMagick/commit/cca70921575b00540c6129ee45d976fe3cc06036)
- Corrected version check to fix the build error reported in #8740. [`37af688`](https://github.com/ImageMagick/ImageMagick/commit/37af6883d609b50d94dbe717df747af1c7862850)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-6mwj-rp89-6j5j [`404ff84`](https://github.com/ImageMagick/ImageMagick/commit/404ff84e7dcf76b5e9ff2daffb6f8ff512cdd945)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-2hhq-c99x-492r [`017c7ef`](https://github.com/ImageMagick/ImageMagick/commit/017c7efe4d63b953b35ab96fc0939ba3620e4739)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-9hqg-xf93-ghfw [`08b9f27`](https://github.com/ImageMagick/ImageMagick/commit/08b9f2747c0399948b67cf329c7091c5db069bcc)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-5v62-8fq6-cp9m [`3a12d63`](https://github.com/ImageMagick/ImageMagick/commit/3a12d63368e88350ed838966fcbb67625938cf3a)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-h36c-3666-h489 [`9ee8217`](https://github.com/ImageMagick/ImageMagick/commit/9ee821731faee8c4cc44103cc4180854046bb13c)
- Added condition to disable msix preparation in a pull request. [`e4505b7`](https://github.com/ImageMagick/ImageMagick/commit/e4505b7680f59578c6ea15b2d04c4020e82a9395)
- https://github.com/ImageMagick/ImageMagick/issues/8745 [`f579a0b`](https://github.com/ImageMagick/ImageMagick/commit/f579a0b9d67a893002a2befb994bef58a837e430)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-gm48-c7f2-v67p [`3705205`](https://github.com/ImageMagick/ImageMagick/commit/3705205e1424d379c2fc46c026c8560ccea0509e)
- Another correction of the version check. [`3ad556b`](https://github.com/ImageMagick/ImageMagick/commit/3ad556bd05506d96bc0908ab1b8ef406a9091291)
- restore [`45d9ea7`](https://github.com/ImageMagick/ImageMagick/commit/45d9ea7b2c886b09433ed1b4e68e90e744a552a1)
- fix poxxible memory leak [`1742ae8`](https://github.com/ImageMagick/ImageMagick/commit/1742ae80f1a696bd663714caf88e760000829642)
- construct full path from directory + basename [`9023658`](https://github.com/ImageMagick/ImageMagick/commit/9023658b39c112aa8126297b6a15c550329969a4)
- optimized [`0cd09b0`](https://github.com/ImageMagick/ImageMagick/commit/0cd09b0e87d3ff422476dc5a717b7b2ea5297811)
- provision paths on demand [`565ba49`](https://github.com/ImageMagick/ImageMagick/commit/565ba492c865e44d26e0f0239932bf8557387aaf)
- cosmetic [`a7e0b04`](https://github.com/ImageMagick/ImageMagick/commit/a7e0b04e2ccc408587ddc0e47e2a63c45c26f88d)
- remove superflous assignment [`50ffad2`](https://github.com/ImageMagick/ImageMagick/commit/50ffad2d7d85e127d3044d22da18c6144aacfb63)
- Corrected the delete. [`f5bd852`](https://github.com/ImageMagick/ImageMagick/commit/f5bd852a06d6081b826fe20b7bf146afc178214e)
- Added extra try catch in case a warning is thrown. [`3e969e5`](https://github.com/ImageMagick/ImageMagick/commit/3e969e58ec67fc7a9aa0542759d878276aaf9d09)
- Don't raise exceptions for warnings in the constructors of CoderInfo and Color. [`4ac379a`](https://github.com/ImageMagick/ImageMagick/commit/4ac379a7c43ddeba92c859a8607cd72f205054eb)
- Added missing check for returning an image with zero columns or rows (https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-8pj9-6897-74xc) [`84fbcef`](https://github.com/ImageMagick/ImageMagick/commit/84fbcef8a558b1da075417a89d29aa5632d57f63)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-xcjm-wqff-m669 [`d1bf6bc`](https://github.com/ImageMagick/ImageMagick/commit/d1bf6bcf357fef944280263892dadf84fbb2211d)
- add include statement [`179b3fb`](https://github.com/ImageMagick/ImageMagick/commit/179b3fba806e60ba612ea65a6d7679424cf5ff35)
- potential heak based overflow per spartancodex [`0ff2644`](https://github.com/ImageMagick/ImageMagick/commit/0ff264432086705bd30816fc8e4b349b6c3425e7)
- increase increment [`6987ef0`](https://github.com/ImageMagick/ImageMagick/commit/6987ef0a23c7e6fccd316ea46e18e45a7da2580e)
- adjust heap overflow check [`fee84f2`](https://github.com/ImageMagick/ImageMagick/commit/fee84f28dbdb6fcf4e0297d83d322778c7373dcb)
- check for maximum image size limit [`5d7f453`](https://github.com/ImageMagick/ImageMagick/commit/5d7f45388724c7f5401610cc8579b03605171e0e)
- make that max [`aa37d05`](https://github.com/ImageMagick/ImageMagick/commit/aa37d0577aaacaea4a2bec206057b9076a2b2d3a)
- revert [`6b0d497`](https://github.com/ImageMagick/ImageMagick/commit/6b0d497c9ade4fe95bdc1d28e4100016ff83ff49)
- Silenced warning. [`fc4321f`](https://github.com/ImageMagick/ImageMagick/commit/fc4321f0fe9859d860dcaf7520c485765f9beaa9)
- Also close the image blob to make sure we close it properly. [`b01c173`](https://github.com/ImageMagick/ImageMagick/commit/b01c173c80eef74e831845cadad9b40e50fe01d0)
- remove extraneous heap check [`e341fd9`](https://github.com/ImageMagick/ImageMagick/commit/e341fd91d5ff244d1fa326f316465837992e5624)
- directly iterate over the policy linked-list [`4bedfd7`](https://github.com/ImageMagick/ImageMagick/commit/4bedfd7156f532d842157e8d398a9791b6024fa1)
- Updated configure. [`05b8aa1`](https://github.com/ImageMagick/ImageMagick/commit/05b8aa1da6af650918a822432c0cdaae76ce0eb0)
- Updated the Windows dependencies. [`80db294`](https://github.com/ImageMagick/ImageMagick/commit/80db294b854c72098cb2fab88f04104b6cafa6a1)
- Use Visual Studio 2026 in the Windows build. [`82e3b84`](https://github.com/ImageMagick/ImageMagick/commit/82e3b846faf0bd81b96c9a2206699225dc9d4d57)
- Corrected the header. [`0c44b7a`](https://github.com/ImageMagick/ImageMagick/commit/0c44b7a06738363156bddd4bc45a13da791bdf21)
- Added extra checks to prevent an overflow on 32-bit systems (GHSA-4v89-6mgq-6rgc) [`44df3a5`](https://github.com/ImageMagick/ImageMagick/commit/44df3a54af31b8d33fa5e40b4dc61d051c4a5d9a)
- Free profile when the color profile is invalid. [`b091a08`](https://github.com/ImageMagick/ImageMagick/commit/b091a083b78a358ea99a2c987e2c28afc3e17360)
- Corrected the path for docker and added pip to dependabot.yml [`9a998b5`](https://github.com/ImageMagick/ImageMagick/commit/9a998b5b14860364b9f5f7a9503fdabc9f71e69b)
- Close the blob before the dimensions are checked. [`a526846`](https://github.com/ImageMagick/ImageMagick/commit/a5268469a02666d118085b182565436554d8ce54)
- fix -clip issue [`3703262`](https://github.com/ImageMagick/ImageMagick/commit/37032629620b4137a21bbd5349aae6a5b0fdd0f7)
- cast required [`49ea262`](https://github.com/ImageMagick/ImageMagick/commit/49ea262c63c39320c4c8c361c1aefc2051189a92)
- Update python and the installed packages in the doc-check. [`8c6b002`](https://github.com/ImageMagick/ImageMagick/commit/8c6b00287727e039d24a06b03187df7d5e94684d)
- Added extra checks when pinging an image with zero dimensions. [`6eb7297`](https://github.com/ImageMagick/ImageMagick/commit/6eb72972276a9b99d5a4ba75ea7d11f501262647)
- revert [`ac4a219`](https://github.com/ImageMagick/ImageMagick/commit/ac4a21948af95a7920b9a4ae49cba5b16bb283cb)
- https://github.com/ImageMagick/ImageMagick/issues/8753 [`3c45ab0`](https://github.com/ImageMagick/ImageMagick/commit/3c45ab0bfb4d630f61d071ad05c451e55cb4f00e)
- release [`271b6bc`](https://github.com/ImageMagick/ImageMagick/commit/271b6bc4cbbd3e52e6768c5daeac9e9ed7a139f8)

## [7.1.2-23](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-22...7.1.2-23) - 2026-05-17

### Merged

- build(deps): bump github/codeql-action from 4.35.3 to 4.35.4 [`#8733`](https://github.com/ImageMagick/ImageMagick/pull/8733)
- ignore_sequence_editlist only in libheif 1.21 [`#8729`](https://github.com/ImageMagick/ImageMagick/pull/8729)

### Commits

- beta release [`b8244a9`](https://github.com/ImageMagick/ImageMagick/commit/b8244a9c44ed6dbc06c3d0e6303ca29450d238b3)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-3rvp-mpr5-qjm9 [`c0d67d1`](https://github.com/ImageMagick/ImageMagick/commit/c0d67d194d2e0cbce4c264965cd079c39564edaf)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-36wm-hprc-mcf5 [`3aa3574`](https://github.com/ImageMagick/ImageMagick/commit/3aa35741316909f9e384d13cee197334dc3296d7)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-jcqp-6r6f-3mfx [`188fcf5`](https://github.com/ImageMagick/ImageMagick/commit/188fcf538f58a60109ebd008e2c40d29cf3966d7)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-7gg8-qqx7-92g5 [`e8431d4`](https://github.com/ImageMagick/ImageMagick/commit/e8431d4a282013851cb698fdf29b1d7ad80ad7cb)
- encourage security policy testing after any configuration change [`a60a785`](https://github.com/ImageMagick/ImageMagick/commit/a60a78529a032f555599c24d38ba5169101bc82c)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-533m-3wf6-c33v [`ff2f155`](https://github.com/ImageMagick/ImageMagick/commit/ff2f155f2874737380a80195c5849a2f06cb6ff7)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-88wq-x9gc-45h8 [`4fb2526`](https://github.com/ImageMagick/ImageMagick/commit/4fb25267d981cf4e72e707d9e9a4a8bae055ab92)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-5r4x-w6p5-222q [`4d92249`](https://github.com/ImageMagick/ImageMagick/commit/4d92249c84536a20e9723376ec016b4950dcb454)
- revert list length check [`adf173c`](https://github.com/ImageMagick/ImageMagick/commit/adf173cc476774f95569083081270a36d33462c8)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-xf64-q5rg-85g5 [`f243129`](https://github.com/ImageMagick/ImageMagick/commit/f243129822ba1a211a82754d3085b26a47d02706)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-xf64-q5rg-85g5 [`01b2f12`](https://github.com/ImageMagick/ImageMagick/commit/01b2f128eca0d928bb562527d1c0fdfc3c698b70)
- Set the mask_traits to undefined when setting masks. [`1569c1c`](https://github.com/ImageMagick/ImageMagick/commit/1569c1c19ae307af7ed258fd5686ae5376e68323)
- Allow reading more pixel masks in the DDS decoder (#8723) [`64fc55b`](https://github.com/ImageMagick/ImageMagick/commit/64fc55b6c3c7e481923b87789e8abb7c653f6de9)
- Improved performance when pinging an animated avif image. [`02b5cc9`](https://github.com/ImageMagick/ImageMagick/commit/02b5cc9d9badf28e6abeea71653971ddc1e303e3)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-4g75-9r48-jf92 [`adb4b8d`](https://github.com/ImageMagick/ImageMagick/commit/adb4b8d7e1e4014892b71837842326c96c2a625b)
- Check if the TIFF file that is being read is a DNG file and then switch to the DNG decoder. [`6cee813`](https://github.com/ImageMagick/ImageMagick/commit/6cee813810f249645dc70209e29cf4044c64f4ec)
- Removed unused include. [`58163e0`](https://github.com/ImageMagick/ImageMagick/commit/58163e0e27ebee85d4b3b1c961964bcb2d74ba3a)
- Set the status to make sure we exit earlier. [`1fc6a11`](https://github.com/ImageMagick/ImageMagick/commit/1fc6a11b2b0f04e56889379e6885fba563879a35)
- Check the image extent before decoding the webp image and improved the error handling. [`9682dab`](https://github.com/ImageMagick/ImageMagick/commit/9682daba1ceaa37766f7aed4ad27228c01ed2077)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-4g75-9r48-jf92 [`d954e9c`](https://github.com/ImageMagick/ImageMagick/commit/d954e9c48a7b2bdb76f0c9a3f8bc0e22071288e6)
- revert [`1500690`](https://github.com/ImageMagick/ImageMagick/commit/1500690b2391dd9c9aa57b2adaaae728db363c51)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-p93h-f2jc-477j [`75bcc76`](https://github.com/ImageMagick/ImageMagick/commit/75bcc76eac8b26ce0d6900117c9b308b0aed5719)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-4g75-9r48-jf92 [`9971127`](https://github.com/ImageMagick/ImageMagick/commit/99711276aefec757dabb28ea8bf85bf504a0888c)
- cosmetic [`5953c8e`](https://github.com/ImageMagick/ImageMagick/commit/5953c8e7731cd8299211c75db925de7ac49feb99)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-rcr6-g7jc-f57g [`06fb1aa`](https://github.com/ImageMagick/ImageMagick/commit/06fb1aa7589f4eec363b33c2bbda5986a92bb259)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-6gxq-f64p-5w6f [`ac461f3`](https://github.com/ImageMagick/ImageMagick/commit/ac461f3f72bfd4482e4611f1a1eccdaa608b10c7)
- Added svg version of the wand icon. [`0fd5e38`](https://github.com/ImageMagick/ImageMagick/commit/0fd5e380f5b4c9698cb3b445e1e01a65a3b4b3ae)
- Updated the Windows dependencies. [`ca15b2b`](https://github.com/ImageMagick/ImageMagick/commit/ca15b2b11d01eed13fa5ab0b7451dce5f917a558)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-6gxq-f64p-5w6f [`d3b02f2`](https://github.com/ImageMagick/ImageMagick/commit/d3b02f25be7d2e097c4e0af90fe2535954381063)
- eliminate compiler warning [`468bbd6`](https://github.com/ImageMagick/ImageMagick/commit/468bbd6f0b79e8b6e497f549e25c0d29f8300f32)
- eliminate compiler warning [`65fd7fa`](https://github.com/ImageMagick/ImageMagick/commit/65fd7fac0b6682a5064a2a6c8acdf53e437bf230)
- eliminate compiler warning [`68ed378`](https://github.com/ImageMagick/ImageMagick/commit/68ed37871083c4b4d00b36fa35b547cf3c08c67f)
- eliminate compiler warning [`a92d8bc`](https://github.com/ImageMagick/ImageMagick/commit/a92d8bc97d991ab7e48e18214baf7b1589f59381)
- eliminate compiler warning [`de23b19`](https://github.com/ImageMagick/ImageMagick/commit/de23b197102779eb9c5fdc0e0f614f427bbd80fc)
- Corrected signature. [`91db0b6`](https://github.com/ImageMagick/ImageMagick/commit/91db0b61e473326e9fd5927e057aea19e5a4f7f6)
- validate the DPC pixel cache on read [`bb79e91`](https://github.com/ImageMagick/ImageMagick/commit/bb79e91155127dd6c3c18a01c8761e9c2ea82d70)
- fixes per minor code review [`c421b33`](https://github.com/ImageMagick/ImageMagick/commit/c421b337a7bbd43f66b5b4929c79dffecb994df0)
- eliminate compiler error [`ec88a6b`](https://github.com/ImageMagick/ImageMagick/commit/ec88a6b3ae954893a6d17abcb817362b0dc2edd8)
- eliminate compiler warning [`b5cf3d9`](https://github.com/ImageMagick/ImageMagick/commit/b5cf3d924c3700f1c61461fa327b5478f5b2544c)
- eliminate compiler warning [`6c51b2d`](https://github.com/ImageMagick/ImageMagick/commit/6c51b2de5579ad3cc79408ae8c4d977973517b84)
- release [`6a10c82`](https://github.com/ImageMagick/ImageMagick/commit/6a10c829fb645e0de1408030e6e0f67e820b0c98)

## [7.1.2-22](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-21...7.1.2-22) - 2026-05-12

### Merged

- Fix unsound free of uninitialized pointers in GetImageFeatures error path [`#8724`](https://github.com/ImageMagick/ImageMagick/pull/8724)
- build(deps): bump github/codeql-action from 4.35.2 to 4.35.3 [`#8719`](https://github.com/ImageMagick/ImageMagick/pull/8719)
- build(deps): bump msys2/setup-msys2 from 2.31.0 to 2.31.1 [`#8697`](https://github.com/ImageMagick/ImageMagick/pull/8697)
- build(deps): bump github/codeql-action from 4.35.1 to 4.35.2 [`#8684`](https://github.com/ImageMagick/ImageMagick/pull/8684)
- build(deps): bump lxml from 6.0.2 to 6.1.0 in /.github/build/python [`#8683`](https://github.com/ImageMagick/ImageMagick/pull/8683)

### Commits

- beta release [`7887eae`](https://github.com/ImageMagick/ImageMagick/commit/7887eaeb29a18deeb35f0f4fd98fe23881c947ec)
- Added an extra job to sync the winget repository during the release. [`468c9fe`](https://github.com/ImageMagick/ImageMagick/commit/468c9fe1f82f4c9b854839ebc1610bcbd7ff6fad)
- Renamed the provenance file. [`945a02b`](https://github.com/ImageMagick/ImageMagick/commit/945a02b27106f662a101f8aa6825f3fb7c6be50a)
- relinquish policies on early exit [`23cd08d`](https://github.com/ImageMagick/ImageMagick/commit/23cd08d19adc6e166e461c505ad53f3e83db8ff3)
- eliminate compiler warning [`9eeb5ae`](https://github.com/ImageMagick/ImageMagick/commit/9eeb5ae906556aa4523d099bfbabb10f7d580ae0)
- Run Codeql analysis with every push to main. [`334f460`](https://github.com/ImageMagick/ImageMagick/commit/334f4609d613b542e6027b5f15bf345ab4d904c5)
- Use ubuntu 22.04 in all dev containers [`6b3ce06`](https://github.com/ImageMagick/ImageMagick/commit/6b3ce06915690081e6115a5843a37e36f01568ef)
- Added docker to dependabot.yml [`b28e11f`](https://github.com/ImageMagick/ImageMagick/commit/b28e11f13c171d8eba1b0ec44a8c524c09f9d2f8)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-85r7-8qr6-54gh [`8ce0eba`](https://github.com/ImageMagick/ImageMagick/commit/8ce0ebabecad0c04716a8a19cfc24a3cb9d98377)
- https://github.com/ImageMagick/ImageMagick6/issues/420 [`5050796`](https://github.com/ImageMagick/ImageMagick/commit/50507967ae868d7d159057bb08897091bc4800a8)
- https://github.com/ImageMagick/ImageMagick/issues/8687 [`97e42a4`](https://github.com/ImageMagick/ImageMagick/commit/97e42a4a13292cb70a95c27b6c24fef06b1afbd4)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-7wff-wpr6-vmhm [`0630159`](https://github.com/ImageMagick/ImageMagick/commit/06301590988fc62e17b4ae6e937d411cc1089ef1)
- extent was computed in bytes; now in element count [`abbad01`](https://github.com/ImageMagick/ImageMagick/commit/abbad011826163d37cf3033367f23a142d9ee742)
- eliminate compiler warning [`9b3eaf8`](https://github.com/ImageMagick/ImageMagick/commit/9b3eaf83ea13260e37def853f2ab06e731363d79)
- Reset image type after -combine to avoid incorrect output images (#1835) [`bf95a84`](https://github.com/ImageMagick/ImageMagick/commit/bf95a84821076e76fa92bc3ecbe528ac8c7bb69a)
- Only reset the image type when ValidatePixelCacheMorphology returns false. [`7d80d09`](https://github.com/ImageMagick/ImageMagick/commit/7d80d099799c6ca50f08beca6902e4bf107ef59a)
- https://github.com/ImageMagick/ImageMagick/issues/8690 [`b348fac`](https://github.com/ImageMagick/ImageMagick/commit/b348fac0c496f0e8e5c2112a62c0a4cdeb46f5a4)
- eliminate compiler warning [`51367a1`](https://github.com/ImageMagick/ImageMagick/commit/51367a170629932e5b9d2ad129a17a56cfeea91b)
- Corrected title. [`0ba695f`](https://github.com/ImageMagick/ImageMagick/commit/0ba695f58875e33aa12a0968b3ec8448b2d77a4e)
- https://github.com/ImageMagick/ImageMagick6/issues/420 [`ab89688`](https://github.com/ImageMagick/ImageMagick/commit/ab89688f34618fba733275ff718a6088c463ba4c)
- eliminate compiler warning [`15c137e`](https://github.com/ImageMagick/ImageMagick/commit/15c137e87d1deaa48aa3e0ebc9753440813d5322)
- Corrected the return value for PSD image with a color map. [`167c7e9`](https://github.com/ImageMagick/ImageMagick/commit/167c7e966b904e6f27f65c66752f89e9965308dc)
- initialize primitive type [`e5555f9`](https://github.com/ImageMagick/ImageMagick/commit/e5555f9e77c27102c077f0de3eb0b1d3bc9b45bd)
- Check with enum value instead. [`f78621a`](https://github.com/ImageMagick/ImageMagick/commit/f78621a95c1811d3cbc5bb1ff7ce192df1fb984b)
- Use heif_has_compatible_filetype instead to check the file type. [`804b062`](https://github.com/ImageMagick/ImageMagick/commit/804b062c5021bb3cadd250b27e37b6f23acebd05)
- Added version check with fallback to the old implementation. [`f8d4944`](https://github.com/ImageMagick/ImageMagick/commit/f8d494492562ed22e6a5ab9196ae7c6bb1d2d6ba)
- Throw exception to make sure the user knows they are hitting a limit. [`76784e7`](https://github.com/ImageMagick/ImageMagick/commit/76784e72923dfee22dcca52d50bb9bfc757d70ff)
- Another fix to check for the 32-bit overflow. [`f028fe9`](https://github.com/ImageMagick/ImageMagick/commit/f028fe940b90aa3d3cd78b4199e2a05bf9e0190d)
- https://github.com/ImageMagick/ImageMagick/issues/8712 [`c265c9b`](https://github.com/ImageMagick/ImageMagick/commit/c265c9b6b28302b212f8739a99cc80f1a093f2ed)
- free primitive info text if allocation fails [`cef4657`](https://github.com/ImageMagick/ImageMagick/commit/cef465732ef78ec1dc13a923b93b199018f0cbeb)
- slightly more robust overflow check [`db127ca`](https://github.com/ImageMagick/ImageMagick/commit/db127ca6c9f663bcb332e2d8a25ce389d7a41897)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-rw3g-wvj6-3p7w [`6b8bf8c`](https://github.com/ImageMagick/ImageMagick/commit/6b8bf8cb855358f2268604fc7f60ddcc08b62c0b)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-jqq5-8px3-9m6m [`84a15bf`](https://github.com/ImageMagick/ImageMagick/commit/84a15bf667f7bd3b4a17d3544b8d5cba0812eb5d)
- Cosmetic [`012d719`](https://github.com/ImageMagick/ImageMagick/commit/012d719b8faf5b40720cb285adbd09e82e8b0304)
- optimized CheckPrimitiveExtent() method [`41c2d47`](https://github.com/ImageMagick/ImageMagick/commit/41c2d472d6a352955580893eb6be94131a0ac92f)
- Set a limit to the kernel order to avoid an overflow resulting in a divide by zero (GHSA-vf33-6r7x-66xx) [`d67eef7`](https://github.com/ImageMagick/ImageMagick/commit/d67eef71764cfeca07b4edf8a8ae922180f5f2e4)
- eliminate compiler warning [`fd8c6c1`](https://github.com/ImageMagick/ImageMagick/commit/fd8c6c1bde50d97645d5ac02bf7d611d267d07fe)
- Fixed build errors. [`f69377d`](https://github.com/ImageMagick/ImageMagick/commit/f69377d853393dc6b2640a2424abe3e64d2c7c71)
- eliminate compiler warning [`1248f55`](https://github.com/ImageMagick/ImageMagick/commit/1248f5532e3248cf67e21d406df26059386e439f)
- eliminate compiler exception [`428e5da`](https://github.com/ImageMagick/ImageMagick/commit/428e5dab717cba697017d75effce671b8a482b12)
- Decode the media timeline instead to avoid reading too many images (#8706) [`45e4648`](https://github.com/ImageMagick/ImageMagick/commit/45e46487179eb0c03a9fee4a629e492a62ed727c)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-jqq5-8px3-9m6m [`2657255`](https://github.com/ImageMagick/ImageMagick/commit/265725551b2819e5f1bdb850504780bf14381497)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-v6qj-8rm4-fpgj [`be351d3`](https://github.com/ImageMagick/ImageMagick/commit/be351d3c72d558964b49bc226d819f397fe5ed93)
- Added missing check for the list length limit in the PSD decoder (GHSA-cwpj-h54c-xjpx) [`a96763d`](https://github.com/ImageMagick/ImageMagick/commit/a96763d717e27d6d136aa734d1cf4b33a91555d0)
- Added early exits when reading all the images would hit the list length limit. [`998b3f9`](https://github.com/ImageMagick/ImageMagick/commit/998b3f91a5ee1e36e3db0e08d2db9661c79845ad)
- Also run the scorecard workflow in PR's. [`da2b440`](https://github.com/ImageMagick/ImageMagick/commit/da2b440abcbfc7ad4e0e28611af1562b7f3f33ca)
- Removed fetch depth. [`79c3e16`](https://github.com/ImageMagick/ImageMagick/commit/79c3e16523771b933c8e91e21bbdcabc3ee6de34)
- https://github.com/ImageMagick/ImageMagick/issues/8720 [`824aa5b`](https://github.com/ImageMagick/ImageMagick/commit/824aa5b6de3ed2fb6b106ead213ff52842d5491c)
- https://github.com/ImageMagick/ImageMagick/issues/8715 [`b1adb0c`](https://github.com/ImageMagick/ImageMagick/commit/b1adb0c5c097c3ccef8bfc23c162650c8e2d8b50)
- stroke-antialiasing is not a valid SVG element [`bcbda26`](https://github.com/ImageMagick/ImageMagick/commit/bcbda264771aa3271a832d763fd5fc31054c4b01)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-vhrh-72hq-w8m7 [`9f18e28`](https://github.com/ImageMagick/ImageMagick/commit/9f18e2890088705c9a3dc867a7f2e31be50b8f41)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-cr6r-hmj8-pr7r [`2cf3b57`](https://github.com/ImageMagick/ImageMagick/commit/2cf3b5750bd7c96fbb92c3f02823ecd63f8dd232)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-j3pv-77gf-fw2g [`8def493`](https://github.com/ImageMagick/ImageMagick/commit/8def4934c79cc425eb71732286011dccbda9a128)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-hg5x-pmmv-4q7g [`dab73a3`](https://github.com/ImageMagick/ImageMagick/commit/dab73a389810283dfe180046458a2794f2bcd87b)
- Revert patch until there is a proper fix. [`34bda95`](https://github.com/ImageMagick/ImageMagick/commit/34bda950cab76b89792a5a82ffe981898252ba1a)
- Updated the Windows dependencies. [`8e0cc06`](https://github.com/ImageMagick/ImageMagick/commit/8e0cc06fbabbf8f6bf6c6925b360b5ec4cbab4e3)
- initialize mask trait for -region option [`703f6f5`](https://github.com/ImageMagick/ImageMagick/commit/703f6f5a73bc7d83493cabca03fce6fb2d0e0e54)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-pfvh-m9xv-8966 [`a66ab7b`](https://github.com/ImageMagick/ImageMagick/commit/a66ab7bc559f041b1434606496b5b4b0906ff9a2)
- Restored the patch. [`7764e06`](https://github.com/ImageMagick/ImageMagick/commit/7764e0671886c2007e42fde0c8cd748a3f5c3a91)
- Added extra conditions for when ReadGenericMethod should be used when reading a jpeg compressed tiff file (dlemstra/Magick.NET/issues/2016) [`8a24b6a`](https://github.com/ImageMagick/ImageMagick/commit/8a24b6aa26bfd57ebb2185d215cebf47fa7d505c)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-g5mf-wqq5-vwg6 [`6dc0130`](https://github.com/ImageMagick/ImageMagick/commit/6dc0130dbbde34b13126bc4fe25789f894b9e0c1)
- Revert patch because the index cannot be negative. [`dd31516`](https://github.com/ImageMagick/ImageMagick/commit/dd31516fdb5df1e6058f873b00e22017cfc3f52a)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-g5mf-wqq5-vwg6 [`10a1a22`](https://github.com/ImageMagick/ImageMagick/commit/10a1a2285659fe1f8978f338319727dfda19500d)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-gj92-pwm7-jcmp [`0eb34f7`](https://github.com/ImageMagick/ImageMagick/commit/0eb34f7c37737601f146284a042677b8b6298ebf)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-gj92-pwm7-jcmp [`bbfc7cb`](https://github.com/ImageMagick/ImageMagick/commit/bbfc7cba08fb24069c171baa7a1d8569822e0ae1)
- release [`ccf56fb`](https://github.com/ImageMagick/ImageMagick/commit/ccf56fb3edd41389a02e4fe7a1a11a18f2b13389)

## [7.1.2-21](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-20...7.1.2-21) - 2026-04-21

### Commits

- release [`c86de04`](https://github.com/ImageMagick/ImageMagick/commit/c86de049cefb8dd739e16f0e2fdc1ef8d2006d59)

## [7.1.2-20](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-19...7.1.2-20) - 2026-04-21

### Merged

- Fix JXL orientation when writing. [`#8673`](https://github.com/ImageMagick/ImageMagick/pull/8673)
- build(deps): bump actions/upload-artifact from 7.0.0 to 7.0.1 [`#8677`](https://github.com/ImageMagick/ImageMagick/pull/8677)

### Commits

- beta release [`f601163`](https://github.com/ImageMagick/ImageMagick/commit/f601163bdd3c52187c6b8430490a86c200f7c6de)
- Use the version instead of sha in the version of the AppImage. [`3ec02c4`](https://github.com/ImageMagick/ImageMagick/commit/3ec02c45fdd27090486cad138121cbd7b77f0b2c)
- Corrected the patch that was made earlier to fix reading JPEG compressed TIFF images (dlemstra/Magick.NET/issues/1993) [`3da25c6`](https://github.com/ImageMagick/ImageMagick/commit/3da25c642d3052f81ab8e6f953698e440fbc33ac)
- eliminate deprecated omp_set_nested() [`e529068`](https://github.com/ImageMagick/ImageMagick/commit/e529068b3e8d8bcbbb85bbabde97754fd3a0e2b9)
- latest autoconf/automake updatde [`2db63fd`](https://github.com/ImageMagick/ImageMagick/commit/2db63fdb82537b89b56dfb8b5cc592568138b194)
- eliminate compiler warning [`ad3d279`](https://github.com/ImageMagick/ImageMagick/commit/ad3d27937f1a93a50a646d203e0f3eaec9cf2b84)
- eliminate compile warning [`141d988`](https://github.com/ImageMagick/ImageMagick/commit/141d98841a1101ed09163abd79358334d9627458)
- https://github.com/ImageMagick/ImageMagick/issues/8674 [`1aea2ad`](https://github.com/ImageMagick/ImageMagick/commit/1aea2ad128418c3ab1e8a75e88dec1d35e9b5198)
- support MSYS2 [`9848360`](https://github.com/ImageMagick/ImageMagick/commit/9848360d87c8c2f1f822c3f09f9e5befd86ff7ee)
- Added extra checks for older version of libxml2 that can raise errors inside xmlCreatePushParserCtxt. [`2d6a2bb`](https://github.com/ImageMagick/ImageMagick/commit/2d6a2bb8bc75543e012bbe5912c538114199e4fe)
- support MSYS2 [`e9050b7`](https://github.com/ImageMagick/ImageMagick/commit/e9050b78548df30a0581f837025fb725119ae92d)
- Simplify windows (sym)link check and moved it to nt-base where the rest of the methods are. [`ddb2e42`](https://github.com/ImageMagick/ImageMagick/commit/ddb2e4200f30d34c110dc05c9eab9d860d32122d)
- Fix missing volatile on quantum_info in WriteOnePNGImage [`c9ccc99`](https://github.com/ImageMagick/ImageMagick/commit/c9ccc99f71fe68bf946ef45f00947e6f33ceea2d)
- Updated the Windows dependencies. [`ddb1f6c`](https://github.com/ImageMagick/ImageMagick/commit/ddb1f6cc59d1f280a000dcbd3a0daa3f9fab1c58)
- allow namespace::pattern when checking policy rights [`7499ad0`](https://github.com/ImageMagick/ImageMagick/commit/7499ad060e4e5730242a33afa917a1a26385e197)
- cosmetic [`b94650b`](https://github.com/ImageMagick/ImageMagick/commit/b94650bb07b6001b1f02ba6c6554978dde618869)
- eliminate compiler warning [`3cb2bda`](https://github.com/ImageMagick/ImageMagick/commit/3cb2bdabbd9b47e2c8b64b16af76f808f626faa6)
- Make another variable volatile. [`ea1d15b`](https://github.com/ImageMagick/ImageMagick/commit/ea1d15bf80a4673e271699e3ef630be1d8902c31)
- mentioned symlink system policy [`313aeba`](https://github.com/ImageMagick/ImageMagick/commit/313aeba06f8fd6d24df7e120171eafc7d0b6439a)
- Call CloseBlob on the correct image to prevent the blob from remaining open (dlemstra/Magick.NET/issues/1997) [`f7496a3`](https://github.com/ImageMagick/ImageMagick/commit/f7496a3751205e8d1765da9d4922a6d51377dec9)
- https://github.com/ImageMagick/ImageMagick/issues/8674 [`9e1b9fd`](https://github.com/ImageMagick/ImageMagick/commit/9e1b9fdba8048764d34d53af0bf21a4e0f53c081)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-7mxf-ff4f-jj7p [`2598004`](https://github.com/ImageMagick/ImageMagick/commit/25980041f145afc621233a1c050291231b627c48)
- release icon directory [`635006f`](https://github.com/ImageMagick/ImageMagick/commit/635006fc10288ae0379bf6056ea11169b5dfcdcf)
- check that we have enough coordinates for a round line cap [`8ae4ff1`](https://github.com/ImageMagick/ImageMagick/commit/8ae4ff1c3dd8d3dfef18b8b85e54ca6c1155f208)
- Removed unmaintained vms files. [`5e2f3f6`](https://github.com/ImageMagick/ImageMagick/commit/5e2f3f68520bcb4ae2d0ddf37949bdc82263506a)
- Also add a source archive to the release. [`f7ff407`](https://github.com/ImageMagick/ImageMagick/commit/f7ff407cccc32ba3a09b70e5366d557b75c1764d)
- Added missing dependency and use more consistent names. [`9b7504b`](https://github.com/ImageMagick/ImageMagick/commit/9b7504b6672fd57a29b0e7cf7959d30d264c0cf7)
- update exception message [`c32d3b1`](https://github.com/ImageMagick/ImageMagick/commit/c32d3b1101c6fa727d746b69522d2e613b931d2b)
- evaluate each requested right independently and combine them [`9051eb4`](https://github.com/ImageMagick/ImageMagick/commit/9051eb4387e78879d67e5a13611b6b621544959b)
- do not call ThrowFatalException() [`0f87015`](https://github.com/ImageMagick/ImageMagick/commit/0f870154177109229cc4de1a484b335f38e68f95)
- eliminate compiler warning [`c4aa2a6`](https://github.com/ImageMagick/ImageMagick/commit/c4aa2a623a4ffea350ff9ea1d37c6dd21523d6e7)
- cosmetic [`6cbcfd6`](https://github.com/ImageMagick/ImageMagick/commit/6cbcfd6c61bbe29041c132d3cb4d614f299588ab)
- latest automake/autoconf updates [`4ffb6c7`](https://github.com/ImageMagick/ImageMagick/commit/4ffb6c7d3e089e99f82a111c0b318d458f03bcc2)
- check for 1 linecap point [`93aac80`](https://github.com/ImageMagick/ImageMagick/commit/93aac80d3688a7844bdc5fd5e77f36659a2ae0e3)
- support pixel difference count (PDC) compare metric [`bfd1fcf`](https://github.com/ImageMagick/ImageMagick/commit/bfd1fcf351277688ba82d88d3d70e7f0d6811a48)
- remove ceil() [`d5e020d`](https://github.com/ImageMagick/ImageMagick/commit/d5e020d54ec11001ae3074992b0407e99d379d02)
- scale the pixel distortion [`c92cd35`](https://github.com/ImageMagick/ImageMagick/commit/c92cd3515d881b4ef4f8a27ecf866f2bc3b7af6e)
- Updated the Windows dependencies. [`5e318be`](https://github.com/ImageMagick/ImageMagick/commit/5e318be89bb9c4c11867cea792b1323017db8652)
- cosmetic [`9bc5c37`](https://github.com/ImageMagick/ImageMagick/commit/9bc5c37a56ee9876d8768e6f0178299f11809971)
- release [`51e1d5d`](https://github.com/ImageMagick/ImageMagick/commit/51e1d5d976cdbe8f52ffbde7bf8d47d92d783fd9)

## [7.1.2-19](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-18...7.1.2-19) - 2026-04-12

### Merged

- Support for 4-bit (indexed 16-color) PCX [`#8655`](https://github.com/ImageMagick/ImageMagick/pull/8655)
- Increase code determinism when when compiling with fuzzing instrumentation [`#8544`](https://github.com/ImageMagick/ImageMagick/pull/8544)
- Fix MNG animation speed for sub-frame animations with offsets [`#8666`](https://github.com/ImageMagick/ImageMagick/pull/8666)
- Fix JXL animated export transparent blending and offset frames [`#8656`](https://github.com/ImageMagick/ImageMagick/pull/8656)
- build(deps): bump ImageMagick/code-signing-action from 1.0.0 to 1.0.1 [`#8660`](https://github.com/ImageMagick/ImageMagick/pull/8660)
- build(deps): bump github/codeql-action from 4.32.6 to 4.35.1 [`#8661`](https://github.com/ImageMagick/ImageMagick/pull/8661)
- Fix AVIF animation export error on sequences with mixed alpha [`#8657`](https://github.com/ImageMagick/ImageMagick/pull/8657)
- build(deps): bump msys2/setup-msys2 from 2.30.0 to 2.31.0 [`#8645`](https://github.com/ImageMagick/ImageMagick/pull/8645)
- build(deps): bump caphyon/advinst-github-action from 2.0.1 to 2.0.2 [`#8647`](https://github.com/ImageMagick/ImageMagick/pull/8647)
- build(deps): bump azure/login from 2.3.0 to 3.0.0 [`#8643`](https://github.com/ImageMagick/ImageMagick/pull/8643)
- Fix APNG output duration/framerate [`#8639`](https://github.com/ImageMagick/ImageMagick/pull/8639)
- Animated AVIF support (libheif 1.20.0+) [`#8640`](https://github.com/ImageMagick/ImageMagick/pull/8640)
- Set BackgroundDispose for animated JXL frames with alpha [`#8635`](https://github.com/ImageMagick/ImageMagick/pull/8635)
- Skip frame duplication for APNG in video coder [`#8636`](https://github.com/ImageMagick/ImageMagick/pull/8636)

### Commits

- beta release [`78f1c2f`](https://github.com/ImageMagick/ImageMagick/commit/78f1c2fa741a96d20eb14645022b4bd8bb8daeab)
- https://github.com/ImageMagick/ImageMagick/issues/7904 [`0ff9eef`](https://github.com/ImageMagick/ImageMagick/commit/0ff9eefa20c63ad387eacd57824406e4a579bff6)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-v67w-737x-v2c9 [`d27b840`](https://github.com/ImageMagick/ImageMagick/commit/d27b840a61b322419a66d0d192ff56d52498148d)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-x9h5-r9v2-vcww [`4c72003`](https://github.com/ImageMagick/ImageMagick/commit/4c72003e9e54a4ebaa938d239e75f5d285527ebe)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-f4qm-vj5j-9xpw [`d3c0a37`](https://github.com/ImageMagick/ImageMagick/commit/d3c0a37485314c5ccef72efb18f3847cd53868ba)
- eliminate compiler exception [`b620ae3`](https://github.com/ImageMagick/ImageMagick/commit/b620ae39d3b600c31dfafd7d16c6097b57881c7e)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-fwvm-ggf6-2p4x [`ccdc011`](https://github.com/ImageMagick/ImageMagick/commit/ccdc01180276aa2cb3d4a32a611aa4f417061cd8)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-pcvx-ph33-r5vv [`cca6073`](https://github.com/ImageMagick/ImageMagick/commit/cca607366fb38c2dde019a9088b8415ffba3a835)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-cr67-pvmx-2pp2 [`ae679e2`](https://github.com/ImageMagick/ImageMagick/commit/ae679e2fd19ec656bfab9f822ae4cf06bf91604d)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-w54j-7wpm-crhj [`22aef93`](https://github.com/ImageMagick/ImageMagick/commit/22aef933133770706caafb93f814f5306dcca345)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-q8h3-jv9v-57qx [`a6bfb1b`](https://github.com/ImageMagick/ImageMagick/commit/a6bfb1bb7b4017ec52f5a957641d83ce29b63286)
- conditional compile [`52d2e9c`](https://github.com/ImageMagick/ImageMagick/commit/52d2e9c2f9e2572840005dcc72153f27af8e59d2)
- sync image pixels before writing [`1e87687`](https://github.com/ImageMagick/ImageMagick/commit/1e87687ba0512ce68b84524ebcdf69456245e407)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-26qp-ffjh-2x4v [`bcd8519`](https://github.com/ImageMagick/ImageMagick/commit/bcd8519c70ecd9ebbc180920f2cf97b267d1f440)
- https://github.com/ImageMagick/security/advisories/GHSA-8vfj-q2cp-5m5j [`8f6b593`](https://github.com/ImageMagick/ImageMagick/commit/8f6b59383ce65d839ad3e2aa578d5d7a7dd1d0ec)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-98cp-rj9f-6v5g [`54254cf`](https://github.com/ImageMagick/ImageMagick/commit/54254cf74d659f38f7a45c73cb52a9a36e8ed943)
- Run dependabot daily instead. [`9d7a87a`](https://github.com/ImageMagick/ImageMagick/commit/9d7a87a2fd4de2d83994f1ca49565f3aeb6aa5c9)
- check pixel sync return status [`b1db40d`](https://github.com/ImageMagick/ImageMagick/commit/b1db40da509b37fb26bcb99d40b01076c8a53fa0)
- the filename must be at least MagickPathExtent characters [`763a037`](https://github.com/ImageMagick/ImageMagick/commit/763a0374a22736c313b20716bccb446492ad8725)
- pattern is write only [`60d8ea3`](https://github.com/ImageMagick/ImageMagick/commit/60d8ea37d9934945a50f1951578b232595713bc6)
- Added option that can be used to fix the byte order of a DICOM image. [`26ca4ee`](https://github.com/ImageMagick/ImageMagick/commit/26ca4ee01ecb561afbbca950d102d090fb5408ca)
- throw exception for utf-8 string length of 0 [`099dda6`](https://github.com/ImageMagick/ImageMagick/commit/099dda6c2eb032e5d80e4842648ba42b9709905c)
- improve exception message [`e05e459`](https://github.com/ImageMagick/ImageMagick/commit/e05e45942acc2847026ea52ec02a9d870caffd2c)
- Fixed memory leak. [`6867f20`](https://github.com/ImageMagick/ImageMagick/commit/6867f2094699597af177417991097ff9c67cb21c)
- Restored old CopyAlpha behavior. [`43e4dbf`](https://github.com/ImageMagick/ImageMagick/commit/43e4dbfc7a80dac4adeeae4999a757746ec25ab2)
- Corrected version check. [`7e78a40`](https://github.com/ImageMagick/ImageMagick/commit/7e78a4058d041fee5bc72dc807db7a3497b0f821)
- Use a cast to double instead of a multiplication. [`7ac2dcc`](https://github.com/ImageMagick/ImageMagick/commit/7ac2dccf3e1340d6c7afd173831ec1396b02cfa6)
- Use the correct bit depth when reading a PNG bKGD (#8485) [`23d609d`](https://github.com/ImageMagick/ImageMagick/commit/23d609d285ad1a0b527eb10917424a82fb6c5814)
- Corrected the name of the module. [`ce5434d`](https://github.com/ImageMagick/ImageMagick/commit/ce5434daff559d3b9213a10da1422ab366d0479f)
- Whitespace. [`f20b428`](https://github.com/ImageMagick/ImageMagick/commit/f20b42813dc15299bca36afdceae7cd9c1db47fd)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-pmpg-6pww-fg6q [`2ab24d7`](https://github.com/ImageMagick/ImageMagick/commit/2ab24d74865ab92faeeefe0fec890abf1e88e57c)
- Generate SLSA provenance and add it as a release artifact. [`04de634`](https://github.com/ImageMagick/ImageMagick/commit/04de634c1caa795ca6c704e94d2f62a87eb697f2)
- Updated the Windows dependencies. [`0dfbb10`](https://github.com/ImageMagick/ImageMagick/commit/0dfbb108eba1feb9bfe8d908a613dc3ce4d0cab2)
- Corrected script. [`df347d9`](https://github.com/ImageMagick/ImageMagick/commit/df347d975045aab2f5e3104cfc35c94cc29a4ac6)
- Improved name of variable. [`a330f3f`](https://github.com/ImageMagick/ImageMagick/commit/a330f3ff40c77fcc2146ffade52e32f116a25d5a)
- Use a better name for the image. [`22faadd`](https://github.com/ImageMagick/ImageMagick/commit/22faaddf9d9a25caaad6b917b6ba7cf95d6ff813)
- Added option (icon:png-compression-size) to the icon decoder that can be use the specify the minimum size when png compression should be used (#2394) [`92172c4`](https://github.com/ImageMagick/ImageMagick/commit/92172c44e37ec906e7c155083b291b695fb824ee)
- Updated comment to make it clear what the current default behavior is. [`0836fbb`](https://github.com/ImageMagick/ImageMagick/commit/0836fbb65b0722a48d6e6213ad52890d624d7a0b)
- Added support for writing meta channels to the PSD coder (#8393) [`8cb2a8e`](https://github.com/ImageMagick/ImageMagick/commit/8cb2a8ebbe3a8cc6dc4e5475ca54fa23e495c091)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-5592-p365-24xh [`f86452a`](https://github.com/ImageMagick/ImageMagick/commit/f86452a8aea37bf2b4bd36127f836dcc5f138b38)
- reset VID filename [`a20f8f9`](https://github.com/ImageMagick/ImageMagick/commit/a20f8f9747304550de3ab6b137a5ac80eeea06b2)
- Corrected check to avoid possible overflow. [`2d4494c`](https://github.com/ImageMagick/ImageMagick/commit/2d4494cba39919ce970ed14f9404e7fd86edd162)
- Code style change. [`f4610bc`](https://github.com/ImageMagick/ImageMagick/commit/f4610bc0b7cfb8511ef2058771f39b3260c46f28)
- Fix incorrect orientation of JPEG compressed TIFF images (dlemstra/Magick.NET/issues/1991) [`b8d0cd4`](https://github.com/ImageMagick/ImageMagick/commit/b8d0cd4ef084c86b26c21315b9b88dc4a40ec568)
- Minor readability change. [`51291c3`](https://github.com/ImageMagick/ImageMagick/commit/51291c38859f78e9c03fef061e8c310354a4d07a)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-x928-4434-crqj [`ca761f2`](https://github.com/ImageMagick/ImageMagick/commit/ca761f220bbf0470e2e7967639bcfb5be305ad28)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-pwg5-6jfc-crvh [`3d653be`](https://github.com/ImageMagick/ImageMagick/commit/3d653bea2df085c728a1c8f775808e1e9249dff9)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-2442-cq27-vf6x [`4768542`](https://github.com/ImageMagick/ImageMagick/commit/476854241a066041898cc0c9c91847460cde589b)
- Patch to correct the sample size for 16 bit floats in the JXL encoder (GHSA-jvgr-9ph5-m8v4) [`1c7767f`](https://github.com/ImageMagick/ImageMagick/commit/1c7767fc5f822c6edc104c1220d523e96fa20b5a)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-r83h-crwp-3vm7 [`5facfec`](https://github.com/ImageMagick/ImageMagick/commit/5facfecf1abb3fed46a08f614dcc43d1e548e20d)
- eliminate compiler warning [`f2d430c`](https://github.com/ImageMagick/ImageMagick/commit/f2d430cc17d354148c761e8ba8d11b87ac2cb690)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-5xg3-585r-9jh5 [`2a06c7b`](https://github.com/ImageMagick/ImageMagick/commit/2a06c7be3bba3326caf8b7a8d1fa2e0d4b88998d)
- eliminate compiler warning [`5c43d48`](https://github.com/ImageMagick/ImageMagick/commit/5c43d48e6c7666c407f7b5fddd418c7de7280ca5)
- Use a name that is more consistent with the rest of the naming in the file. [`d94e286`](https://github.com/ImageMagick/ImageMagick/commit/d94e28638e6cb46283f7bc3c59288a2679cb8cf3)
- Meta channels are not support when the image has a colormap. [`c062b1d`](https://github.com/ImageMagick/ImageMagick/commit/c062b1d0149514855b71571f9722c10fd610d4e0)
- Use a consistent order instead. [`603a915`](https://github.com/ImageMagick/ImageMagick/commit/603a915c0b5e7673c8e9e4e9d3d1b60dbb857719)
- Code style changes. [`cddcd13`](https://github.com/ImageMagick/ImageMagick/commit/cddcd139b81515184c5bd8e9bb6c0be89bbad454)
- Cosmetic [`d2fc148`](https://github.com/ImageMagick/ImageMagick/commit/d2fc148ac19526aaabeb2616c6cb4e6c28b56af1)
- Avoid conflicts with -std options when trying to check if the -x c++ option is supported. [`cc503c0`](https://github.com/ImageMagick/ImageMagick/commit/cc503c04ce948f2336524747e38d53e1022494ec)
- latest automake/autoconf update [`77d89c3`](https://github.com/ImageMagick/ImageMagick/commit/77d89c30f98b8ef142d576abb928eac2fe8d228f)
- release [`9fbd2b7`](https://github.com/ImageMagick/ImageMagick/commit/9fbd2b79450e930edb95e8158d412e57a7b27e83)

## [7.1.2-18](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-17...7.1.2-18) - 2026-03-22

### Merged

- Fix animated JXL frame delay handling [`#8622`](https://github.com/ImageMagick/ImageMagick/pull/8622)
- Fix off-by-one in MNG FRAM chunk delay/timeout parsing [`#8623`](https://github.com/ImageMagick/ImageMagick/pull/8623)
- Fix MNG frame disposal for transparent animations [`#8625`](https://github.com/ImageMagick/ImageMagick/pull/8625)
- Fix composite -dissolve adding random noise [`#8621`](https://github.com/ImageMagick/ImageMagick/pull/8621)
- Bump actions/download-artifact from 8.0.0 to 8.0.1 [`#8629`](https://github.com/ImageMagick/ImageMagick/pull/8629)

### Commits

- beta release [`ba45717`](https://github.com/ImageMagick/ImageMagick/commit/ba457178852252cf7ef3900dce4041508dd9d905)
- check for undefined shift [`ec50f94`](https://github.com/ImageMagick/ImageMagick/commit/ec50f94efbeaa241165062f6d848ba158f50b83b)
- eliminate compiler warning [`050b6aa`](https://github.com/ImageMagick/ImageMagick/commit/050b6aaa31ef304c22815fa68b146ef96ff138df)
- https://github.com/ImageMagick/ImageMagick/issues/8624 [`8947775`](https://github.com/ImageMagick/ImageMagick/commit/8947775ecf138e9227df57f8dee63b5f79f58387)
- https://github.com/ImageMagick/ImageMagick/issues/8630 [`4de5698`](https://github.com/ImageMagick/ImageMagick/commit/4de569883decdea6c4bd25b381fb7d7fef7dab56)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-9r56-3gjq-hqf7 [`bee248e`](https://github.com/ImageMagick/ImageMagick/commit/bee248ee853a686a969fae9cfb1e02dd5aae245b)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-8793-7xv6-82cf [`ee4468a`](https://github.com/ImageMagick/ImageMagick/commit/ee4468a8ab0635fcaa9c561e583c56ada3b1b721)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-mw3m-pqr2-qv7c [`e2d506a`](https://github.com/ImageMagick/ImageMagick/commit/e2d506aa7989c52e9bbd7878858918cbf35e3335)
- tweak MINGW conditional compile [`db74d60`](https://github.com/ImageMagick/ImageMagick/commit/db74d606ab93e878c63db5ea555459014938dbd8)
- Updated the caphyon/advinst-github-action. [`79f3741`](https://github.com/ImageMagick/ImageMagick/commit/79f37417b5c75e2d8c89a704511666b3f3ba539a)
- https://github.com/ImageMagick/ImageMagick/issues/8632 [`5c4cca7`](https://github.com/ImageMagick/ImageMagick/commit/5c4cca722ac88c8ce60de063c51193650493b4c5)
- https://github.com/ImageMagick/ImageMagick/discussions/6914 [`093f1b7`](https://github.com/ImageMagick/ImageMagick/commit/093f1b790217824e6ff535462852bd5c755bce4c)
- support "open" on Mac OS X [`03d19de`](https://github.com/ImageMagick/ImageMagick/commit/03d19de047d7ce79e1f617562c43184ba54fa06e)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-6p22-q7w5-33pg [`3f55da3`](https://github.com/ImageMagick/ImageMagick/commit/3f55da39c813cc44ff21a61d6e0b85c375a2c1a2)
- Updated configure. [`063a246`](https://github.com/ImageMagick/ImageMagick/commit/063a2462ad370f94da0d94f71fb02d7d81dc7bb3)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-mw3m-pqr2-qv7c [`d3af057`](https://github.com/ImageMagick/ImageMagick/commit/d3af057fb9d3666762ca3731c2360f544f607f88)
- sync pixels before writing if ping is active [`df8cbbb`](https://github.com/ImageMagick/ImageMagick/commit/df8cbbb980e45c2721df9a01acba4cf6ec466493)
- sync pixels [`79e4127`](https://github.com/ImageMagick/ImageMagick/commit/79e41271465164880f0e79525fd4619fdc685727)
- https://github.com/ImageMagick/ImageMagick/issues/8630 [`47e6b33`](https://github.com/ImageMagick/ImageMagick/commit/47e6b33f59de5478598f321d95663be63b4bf354)
- https://github.com/ImageMagick/ImageMagick/issues/8630 [`f79cd57`](https://github.com/ImageMagick/ImageMagick/commit/f79cd57f635d78e457182123ba6062971552c011)
- Updated the Windows dependencies. [`b0695c9`](https://github.com/ImageMagick/ImageMagick/commit/b0695c97b73b011ae14b25aed588ac6cc3c51c4b)
- sync pixels within JPEG coder [`4d7ebd3`](https://github.com/ImageMagick/ImageMagick/commit/4d7ebd363e6e68ed2721e599a35c93a3c217c282)
- release [`d4e4b2b`](https://github.com/ImageMagick/ImageMagick/commit/d4e4b2b35a573fb7d96bc64ff1a417415bbe0f4c)

## [7.1.2-17](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-16...7.1.2-17) - 2026-03-15

### Merged

- Bump github/codeql-action from 4.32.2 to 4.32.6 [`#8613`](https://github.com/ImageMagick/ImageMagick/pull/8613)

### Commits

- beta release [`f76661e`](https://github.com/ImageMagick/ImageMagick/commit/f76661e45fda26581300f3b69438727fab38e62c)
- Add cast to unsigned char helper method to check for out of band data [`df6fb58`](https://github.com/ImageMagick/ImageMagick/commit/df6fb5838e243f68fee39be99e59b3553f999af8)
- eliminate compiler warning [`d38cf29`](https://github.com/ImageMagick/ImageMagick/commit/d38cf2966ff1ebea7f89e1764910e83c22f1ddad)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-rwgm-46rq-f86h [`2352dcb`](https://github.com/ImageMagick/ImageMagick/commit/2352dcbaadab79c83f263d61e2058058c40d850d)
- https://github.com/ImageMagick/ImageMagick/issues/8609 [`7f42468`](https://github.com/ImageMagick/ImageMagick/commit/7f4246806f342159131465d2d5cf54e7c20c2127)
- eliminate compiler warning [`f712069`](https://github.com/ImageMagick/ImageMagick/commit/f712069449c48b7c52bee7945471965fbf5d454e)
- Corrected copy paste mistake. [`87e1969`](https://github.com/ImageMagick/ImageMagick/commit/87e19691b4619dd2238834f2213ddd21c739aa52)
- Updated the Windows dependencies. [`fa13d1c`](https://github.com/ImageMagick/ImageMagick/commit/fa13d1cf1fccbf762754cda5fa3061490656c1c6)
- https://github.com/ImageMagick/ImageMagick/discussions/8608 [`ad75915`](https://github.com/ImageMagick/ImageMagick/commit/ad75915d0bb0aa4f0c49c238dd6d1048811173ec)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-354p-2qx7-jg9g [`248c1d2`](https://github.com/ImageMagick/ImageMagick/commit/248c1d2e5423c6ff1a9e50651f080c328c214636)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-354p-2qx7-jg9g [`9bb57cc`](https://github.com/ImageMagick/ImageMagick/commit/9bb57cc2dc8f5f8dc75a41fe576b8a1659ec1ee0)
- Consistent spacing. [`8125151`](https://github.com/ImageMagick/ImageMagick/commit/81251516bc2e4f5877175ce635e289954af2a762)
- Revert changes so we can put it in a separate advisory. [`d5433b2`](https://github.com/ImageMagick/ImageMagick/commit/d5433b26fc0d1ebbc2bd4e84b0f29fe59f9dbbe7)
- Corrected out of bounds write of a single zero byte (GHSA-gc62-2v5p-qpmp) [`361b42c`](https://github.com/ImageMagick/ImageMagick/commit/361b42c91d173cfb4bd8f39898c599feef6a1e55)
- Restored patch because the CVSS score would be low. [`e5eeaaa`](https://github.com/ImageMagick/ImageMagick/commit/e5eeaaa197795b0ed201b16b45cc16763b74bfd3)
- Corrected check for overflow of resource requests. [`a3c1b86`](https://github.com/ImageMagick/ImageMagick/commit/a3c1b8645a35a10a760da236338cb85f9c848c65)
- cosmetic [`fba010f`](https://github.com/ImageMagick/ImageMagick/commit/fba010f14831f29df6c99ed685e0cfc7a45ce978)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-354p-2qx7-jg9g [`b84e013`](https://github.com/ImageMagick/ImageMagick/commit/b84e01381eb3ab183de3b32515e9c5e885f265fb)
- Cosmetic. [`e989b89`](https://github.com/ImageMagick/ImageMagick/commit/e989b89319e9c2079972b866c21b28158cc6a946)
- https://github.com/ImageMagick/ImageMagick/discussions/8603 [`99bda88`](https://github.com/ImageMagick/ImageMagick/commit/99bda8849835b9606db9553d3b400b3c26e3f59a)
- https://github.com/ImageMagick/ImageMagick/discussions/5807 [`0fbd821`](https://github.com/ImageMagick/ImageMagick/commit/0fbd8215fe5890e8b8396dad4df61074ebd0f227)
- sanitize clip path name [`452c4e9`](https://github.com/ImageMagick/ImageMagick/commit/452c4e9176b68156dc9bd58c027f9a28114fca63)
- Cosmetic [`5ecbdcc`](https://github.com/ImageMagick/ImageMagick/commit/5ecbdcce60dba537786a90358bfa2d832c21b835)
- Make sure the correct quotes are used with mingw and msys (#8574) [`ec2498d`](https://github.com/ImageMagick/ImageMagick/commit/ec2498df2813aefe5cc5d2b9fd0467b4aa4a9a0e)
- latest autoconf/automake updates [`cf62401`](https://github.com/ImageMagick/ImageMagick/commit/cf6240117830b066e9948666ddaf0b1131779eb2)
- use descriptive quote, CMD_QUOTE [`55c4e0e`](https://github.com/ImageMagick/ImageMagick/commit/55c4e0eed4d343f74215fa63824b4ab5a7536eec)
- correct kernel width casting [`9b1840d`](https://github.com/ImageMagick/ImageMagick/commit/9b1840d2688603bb559eaa4b29f657504c8a6b62)
- Removed unused CMD_QUOTE. [`db5aae4`](https://github.com/ImageMagick/ImageMagick/commit/db5aae4869d5bd73f8413f7bf9e530e1d7f26529)
- Reverted incorrect patch. [`6e5a854`](https://github.com/ImageMagick/ImageMagick/commit/6e5a854a806b2c902c5dcb00f87fea1ab3b0ad76)
- Apply correct patch for GHSA-cqw9-w2m7-r2m2. [`3ed1049`](https://github.com/ImageMagick/ImageMagick/commit/3ed104956fed43da2ed472d330d542de2f73d450)
- Corrected initialization. [`98982e4`](https://github.com/ImageMagick/ImageMagick/commit/98982e4c12d692a6cca89c8157fc819ec16c68fd)
- release [`3f2f629`](https://github.com/ImageMagick/ImageMagick/commit/3f2f629405c62106d3569547c03634bc46fcd07d)

## [7.1.2-16](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-15...7.1.2-16) - 2026-03-08

### Merged

- Bump actions/download-artifact from 7.0.0 to 8.0.0 [`#8604`](https://github.com/ImageMagick/ImageMagick/pull/8604)
- Bump actions/upload-artifact from 6.0.0 to 7.0.0 [`#8605`](https://github.com/ImageMagick/ImageMagick/pull/8605)
- Add overflow check to JXL write path [`#8591`](https://github.com/ImageMagick/ImageMagick/pull/8591)
- fix heap over-read in BilateralBlurImage with even-dimension kernels [`#8595`](https://github.com/ImageMagick/ImageMagick/pull/8595)
- Add overflow checks to PS3 write path [`#8590`](https://github.com/ImageMagick/ImageMagick/pull/8590)
- Add overflow check to sixel write path [`#8587`](https://github.com/ImageMagick/ImageMagick/pull/8587)
- Add overflow check to SGI write path [`#8588`](https://github.com/ImageMagick/ImageMagick/pull/8588)
- Add overflow checks to BMP/DIB write paths and DIB read path [`#8573`](https://github.com/ImageMagick/ImageMagick/pull/8573)
- fix NULL pointer dereference in HEIC NCLX color profile allocation [`#8585`](https://github.com/ImageMagick/ImageMagick/pull/8585)
- Fix double-free in SVG `gradientTransform` / `transform` parsing [`#8583`](https://github.com/ImageMagick/ImageMagick/pull/8583)
- Typo fix in coders/dng.c [`#8580`](https://github.com/ImageMagick/ImageMagick/pull/8580)

### Commits

- beta release [`6f84eb0`](https://github.com/ImageMagick/ImageMagick/commit/6f84eb06e950d70c66cea980db876d0925758b69)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-493f-jh8w-qhx3 [`753ffb6`](https://github.com/ImageMagick/ImageMagick/commit/753ffb699934331b31028d4e271f2f6d6db85074)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-7h7q-j33q-hvpf [`e6e8748`](https://github.com/ImageMagick/ImageMagick/commit/e6e874875e48dd9838acca3bd22c14a4d2f1b3ca)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-467j-76j7-5885 [`d622bd6`](https://github.com/ImageMagick/ImageMagick/commit/d622bd6023310d57cec1e8f265095a1979210371)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-h4rj-wc46-x92p [`a48e884`](https://github.com/ImageMagick/ImageMagick/commit/a48e884549e81abd3370ff0938eceea98a3d7306)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-wj8w-pjxf-9g4f [`87f619b`](https://github.com/ImageMagick/ImageMagick/commit/87f619bcd066a3c8e8fae4addb99f15d496ae881)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-mrmj-x24c-wwcv [`cb6cc06`](https://github.com/ImageMagick/ImageMagick/commit/cb6cc0611baa4dac59add6439fa1d8af33fc5927)
- cosmetic [`166bef2`](https://github.com/ImageMagick/ImageMagick/commit/166bef28bca67b7a96dd42f753f3c0aafe72900b)
- eliminate compiler warning [`9706f9c`](https://github.com/ImageMagick/ImageMagick/commit/9706f9c1d296d0e78df612b83ec57c411007c0af)
- eliminate compiler warning [`7466f1c`](https://github.com/ImageMagick/ImageMagick/commit/7466f1cae9b244115c2e9d24b038668e6c8288ec)
- eliminate compiler warning [`9de8c78`](https://github.com/ImageMagick/ImageMagick/commit/9de8c787b91386d47774b39f3a86df861338880a)
- check for write overflow [`9fa43c8`](https://github.com/ImageMagick/ImageMagick/commit/9fa43c81c91109010e087c96d799226f72436418)
- Added missing typecast. [`df86a42`](https://github.com/ImageMagick/ImageMagick/commit/df86a42c58b2fa8fd397f26f5f9252222a016a65)
- if only Windows properly support POSIX [`22d22e7`](https://github.com/ImageMagick/ImageMagick/commit/22d22e7ce0d12189a924a8f2a75816712bbcfdae)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-vwrm-m4f9-5rg5 [`7879fd8`](https://github.com/ImageMagick/ImageMagick/commit/7879fd8182cfcbe85aa9398fa26a525088b19adf)
- revert [`7a34533`](https://github.com/ImageMagick/ImageMagick/commit/7a345337d98623cdc7d94481233835f8339e1e34)
- mode is S_MODE [`da1385c`](https://github.com/ImageMagick/ImageMagick/commit/da1385c0283e9b12d92562eea28015df5aaa779b)
- Apply patch suggested by mockdeep in the ImageMagick 6 repository. [`f04f7dd`](https://github.com/ImageMagick/ImageMagick/commit/f04f7dd6f27d4fbe67fb75a3d74a7cc711a484ed)
- https://github.com/ImageMagick/ImageMagick/issues/8579 [`9d21c29`](https://github.com/ImageMagick/ImageMagick/commit/9d21c294ea2500799280a3014f5538c31613bbf2)
- revert [`6f7f35a`](https://github.com/ImageMagick/ImageMagick/commit/6f7f35a4fc4f279e7214b5643f2bc4fc2eccb689)
- revert x 2 [`b0a548b`](https://github.com/ImageMagick/ImageMagick/commit/b0a548be708aeb4470a1465240a3691e0cc594e1)
- Updated the Windows dependencies. [`613f7b9`](https://github.com/ImageMagick/ImageMagick/commit/613f7b936a776b26aaf644a0e5f6fd4defa17575)
- Corrected typecast to avoid an out of bounds write (GHSA-r39q-jr8h-gcq2) [`6cefe97`](https://github.com/ImageMagick/ImageMagick/commit/6cefe972445185cbb9c76651231d52512e0ec14b)
- Added checks for overflows. [`47a803c`](https://github.com/ImageMagick/ImageMagick/commit/47a803cc139a6eebf14fca5f1d5dd25c7782cc98)
- Added checks to avoid possible stack corruption (GHSA-932h-jw47-73jm) [`a3f2f86`](https://github.com/ImageMagick/ImageMagick/commit/a3f2f8680fa01cbce731191789322419efb5954a)
- https://github.com/ImageMagick/ImageMagick/issues/8579 [`49e5a11`](https://github.com/ImageMagick/ImageMagick/commit/49e5a11140d4b837475d4d21ce993d33f3558f12)
- lastest autoconf/automake [`93443bb`](https://github.com/ImageMagick/ImageMagick/commit/93443bb1f37d9e70f687f56d285e303d2e30b9c5)
- https://github.com/ImageMagick/ImageMagick/issues/8584 [`b68a318`](https://github.com/ImageMagick/ImageMagick/commit/b68a31840b0617e475c8af0785de1504b9fd0ef4)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-qpg4-j99f-8xcg [`134f1c1`](https://github.com/ImageMagick/ImageMagick/commit/134f1c17d5dafc565182f9b00304fc08cfa3184e)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-rx45-gh58-4hw3 [`4f0b746`](https://github.com/ImageMagick/ImageMagick/commit/4f0b746dbdb5ed6075a96aaf5cd115617d1e2986)
- eliminate compiler warning [`1567e7d`](https://github.com/ImageMagick/ImageMagick/commit/1567e7d1e2bfff9b6c6748bebf0b5f871bf19a0b)
- update composite unit tests [`c5dd220`](https://github.com/ImageMagick/ImageMagick/commit/c5dd2201db3c21c98ebe07906712051e986b5dbb)
- revert mathematical add & minus [`851c62e`](https://github.com/ImageMagick/ImageMagick/commit/851c62eef95980a8a1030a671ee068ee0ea5dae8)
- cosmetic [`6b0531e`](https://github.com/ImageMagick/ImageMagick/commit/6b0531e07e9e4234a64c5af158541222f04ce21e)
- Simplify code. [`d93ab05`](https://github.com/ImageMagick/ImageMagick/commit/d93ab050ff929e2902dc4d5a988c934d31a1b191)
- Removed unnecessary null checks. [`4d464d7`](https://github.com/ImageMagick/ImageMagick/commit/4d464d73a6aa9cf6471ed9ba95e872745e656721)
- Added extra check. [`50a0c0d`](https://github.com/ImageMagick/ImageMagick/commit/50a0c0d7ebbac39d9eef9d1ef13262861945451c)
- Whitespace. [`b0fab32`](https://github.com/ImageMagick/ImageMagick/commit/b0fab328566a1950c9625de611b5fbf25dad6cc8)
- Use default methods to check overflows. [`576be71`](https://github.com/ImageMagick/ImageMagick/commit/576be71297e46f9224c817e11bda36c199df1f93)
- Code cleanup. [`d3ebb44`](https://github.com/ImageMagick/ImageMagick/commit/d3ebb445e6d2db163fddb047f2c927c65d2274ee)
- Corrected the overflow check that can cause issues on 32-bit systems (GHSA-56jp-jfqg-f8f4) [`7936d9c`](https://github.com/ImageMagick/ImageMagick/commit/7936d9c7bec4bd459a8d4b5304a1a6fbf7dac0ea)
- Updated action that signs the binaries. [`2a4bb7e`](https://github.com/ImageMagick/ImageMagick/commit/2a4bb7eb4ecce1683ed17293426753462cb05bda)
- Corrected reading the color map of files that contain multiple images. [`d0dd5c8`](https://github.com/ImageMagick/ImageMagick/commit/d0dd5c82812ee13ca9cbbfe7f510893990700f6f)
- https://github.com/ImageMagick/ImageMagick/issues/8589 [`5bd9d67`](https://github.com/ImageMagick/ImageMagick/commit/5bd9d67b078c57a4460794abfb0bac0377426cb3)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-rqq8-jh93-f4vg [`adf831c`](https://github.com/ImageMagick/ImageMagick/commit/adf831c442b7dc37da04d73331aba26e388eeb9a)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-5ggv-92r5-cp4p [`ffbbd72`](https://github.com/ImageMagick/ImageMagick/commit/ffbbd7201e0ba08707849c0053aa703e076bf86e)
- eliminate compiler warning [`f4c8bc3`](https://github.com/ImageMagick/ImageMagick/commit/f4c8bc37bff097958a6418f37679ea9926922a89)
- eliminate compiler exception [`d07d8a0`](https://github.com/ImageMagick/ImageMagick/commit/d07d8a05d9a71adf289422b8c0b6ff007b072e31)
- eliminate compiler warning [`b09a9a6`](https://github.com/ImageMagick/ImageMagick/commit/b09a9a6e9f8e83e399f772f0cd82a90c2cc21f3d)
- eliminate compiler warning [`ece44fd`](https://github.com/ImageMagick/ImageMagick/commit/ece44fd732f50e4e4215ae0e027e722de20246d6)
- eliminate compiler warning [`dcfda37`](https://github.com/ImageMagick/ImageMagick/commit/dcfda37ff50456b21878531ade063d19910fe231)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-5q69-ghxh-wxxx [`ac3f08d`](https://github.com/ImageMagick/ImageMagick/commit/ac3f08d7cef143819a456203cf399c6eda190e46)
- eliminate compiler warning [`cf0f5e4`](https://github.com/ImageMagick/ImageMagick/commit/cf0f5e408d7831e679d8f20ecfbaad454f5079e0)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-h95r-c8c7-mrwx [`7fe4dba`](https://github.com/ImageMagick/ImageMagick/commit/7fe4dbabe5d50057513d5d16eb9cbfa0734b4848)
- eliminate compiler exception [`3997d07`](https://github.com/ImageMagick/ImageMagick/commit/3997d079033bc583f5a93e75accd9c3e18292ccf)
- correct calculation [`a45bb70`](https://github.com/ImageMagick/ImageMagick/commit/a45bb709d9f73d233832813917519ec6f7ccc7c0)
- ensure magnification^2 &lt;= MaxMagnification [`bf5512c`](https://github.com/ImageMagick/ImageMagick/commit/bf5512cd534148f19e348ec9efdf60a5af267130)
- Set status to false to make sure the rest of the content is no longer parsed. [`f13732e`](https://github.com/ImageMagick/ImageMagick/commit/f13732ed5655376010ee0a6cf2af11d1b2a62f49)
- Added extra check to prevent overflow that could result in a heap over-write (GHSA-qmw5-2p58-xvrc) [`5897fb6`](https://github.com/ImageMagick/ImageMagick/commit/5897fb65d173a57729026321d5067c9ddca5c56f)
- Use properties instead of a global splaytree to solve a rare race condition. [`cf6aa17`](https://github.com/ImageMagick/ImageMagick/commit/cf6aa17efe3248090c95643bd98d1075d509e864)
- Run checks after codeql-analysis runs. [`40b3e81`](https://github.com/ImageMagick/ImageMagick/commit/40b3e81aee1c06f3e93148b652fd89d5d4ebc1d3)
- Added extra check to prevent out of bounds write when color reduction fails (GHSA-49hx-7656-jpg3) [`df934b4`](https://github.com/ImageMagick/ImageMagick/commit/df934b4721173f8dda33c6d007f9811669640e86)
- Added missing call to SetImageExtent. [`f8b9690`](https://github.com/ImageMagick/ImageMagick/commit/f8b9690c6b6701f141f4f16b4685b4c15d8af034)
- release [`70563ce`](https://github.com/ImageMagick/ImageMagick/commit/70563ce3759b7a55801900a11e69978a9301fbeb)

## [7.1.2-15](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-14...7.1.2-15) - 2026-02-22

### Commits

- Reverted changes that were committed by accident. [`818ee63`](https://github.com/ImageMagick/ImageMagick/commit/818ee636323b007617cf5459acc5342f3962e5c8)
- release [`b5fdb90`](https://github.com/ImageMagick/ImageMagick/commit/b5fdb90dac0e6d0bf1bbd95704bbd60216a5bc23)

## [7.1.2-14](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-13...7.1.2-14) - 2026-02-22

### Merged

- ICON: allow writing 256x256 icon rasters [`#8569`](https://github.com/ImageMagick/ImageMagick/pull/8569)
- replace MAGICK_FILTER_MODULE_PATH for MAGICK_CODER_FILTER_PATH [`#8561`](https://github.com/ImageMagick/ImageMagick/pull/8561)

### Fixed

- ICON: allow writing 256x256 icon rasters (#8569) [`#1577`](https://github.com/ImageMagick/ImageMagick/issues/1577)

### Commits

- beta release [`915109f`](https://github.com/ImageMagick/ImageMagick/commit/915109f87e1fb9e2dd12bf96bcb1fcec2fdba072)
- Code cleanup. [`8135662`](https://github.com/ImageMagick/ImageMagick/commit/813566254c399ee3fb0c72beab445a6aef38d276)
- Inline all byte buffer methods. [`887a187`](https://github.com/ImageMagick/ImageMagick/commit/887a1878602181e9182c0c41153f952b0b282c8d)
- Added overflow checks. [`0d0752c`](https://github.com/ImageMagick/ImageMagick/commit/0d0752cf4b2bd7d2aaf9b309353365a02650b4e4)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-pqgj-2p96-rx85 [`332c156`](https://github.com/ImageMagick/ImageMagick/commit/332c1566acc2de77857032d3c2504ead6210ff50)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-pqgj-2p96-rx85 [`55c344f`](https://github.com/ImageMagick/ImageMagick/commit/55c344f4b514213642da41194bab57b4476fb9f5)
- https://github.com/ImageMagick/ImageMagick/issues/8538 [`f03ada7`](https://github.com/ImageMagick/ImageMagick/commit/f03ada70c095945075703cc79fbe27485af1fd9f)
- https://github.com/ImageMagick/ImageMagick/issues/8537 [`85dc1a5`](https://github.com/ImageMagick/ImageMagick/commit/85dc1a5bf1ba54a2475e140074889724bd49a97c)
- Initialize the pixels with empty values to prevent possible heap information disclosure (GHSA-96pc-27rx-pr36) [`51c9d33`](https://github.com/ImageMagick/ImageMagick/commit/51c9d33f4770cdcfa1a029199375d570af801c97)
- Also set the profile when pinging the image. [`9f389d8`](https://github.com/ImageMagick/ImageMagick/commit/9f389d8dc2dd0f4d14a31297c6b949222699a1b2)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-wg3g-gvx5-2pmv [`0349df6`](https://github.com/ImageMagick/ImageMagick/commit/0349df6d43d633bd61bb582d1e1e87d6332de32a)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-wg3g-gvx5-2pmv [`f4525ad`](https://github.com/ImageMagick/ImageMagick/commit/f4525ad83d3876a9a07b74ef1fed4cb21a5332dd)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-273h-m46v-96q4 [`5b91ab6`](https://github.com/ImageMagick/ImageMagick/commit/5b91ab69af614024255fd93dcc9a62b41fbc435c)
- https://github.com/ImageMagick/ImageMagick/discussions/8540 [`d97741f`](https://github.com/ImageMagick/ImageMagick/commit/d97741fb25b686dbcd690148ea2eeed4a5d68ff5)
- Allow null value when calling RelinquishDeviceBenchmark. [`5fd4e5a`](https://github.com/ImageMagick/ImageMagick/commit/5fd4e5ad05a986b00e1519fa308ca3c5cf3d09d8)
- Restored changes that were removed by accident. [`96c0f67`](https://github.com/ImageMagick/ImageMagick/commit/96c0f67cff6f5a9c3ea2a98bbfd0a5799422c5d6)
- Moved permissions to the job level. [`53af327`](https://github.com/ImageMagick/ImageMagick/commit/53af32739b1ab6189f9c8ec5b051bc46d298eb78)
- Throw exception when memory allocation fails. [`d052e8a`](https://github.com/ImageMagick/ImageMagick/commit/d052e8a88a32532f7555431217e6e809d1e8c658)
- No longer allow mutations on the first image of the list (GHSA-fwqw-2x5x-w566) [`b4f8e1a`](https://github.com/ImageMagick/ImageMagick/commit/b4f8e1a387dd1d0a0af516071831a235f2fdf437)
- Fixed out of bounds read in multiple coders that read raw pixel data (GHSA-jv4p-gjwq-9r2j) [`077b426`](https://github.com/ImageMagick/ImageMagick/commit/077b42643212d7da8c1a4f6b2cd0067ebca8ec0f)
- Corrected patch. [`05e2958`](https://github.com/ImageMagick/ImageMagick/commit/05e29587a2142aef994e76743364b4e0b9d7469b)
- https://github.com/ImageMagick/ImageMagick/issues/8542 [`40e5a1b`](https://github.com/ImageMagick/ImageMagick/commit/40e5a1bcad4d7fe9babec19879a4691917dd8a53)
- Updated the Windows dependencies. [`0843b13`](https://github.com/ImageMagick/ImageMagick/commit/0843b13f5cc4e0784a6b3421904c64480350ad7a)
- Run checks before accessing the image (GHSA-fwqw-2x5x-w566). [`257200c`](https://github.com/ImageMagick/ImageMagick/commit/257200cb21de23404dce5f8261871845d425dee5)
- Minor change to improve the readability. [`db700a3`](https://github.com/ImageMagick/ImageMagick/commit/db700a38138f280854246d4d47e52d3a6c15507b)
- More changes to improve the readability. [`178bde9`](https://github.com/ImageMagick/ImageMagick/commit/178bde994c01b5fe939560da0d7ef68cdbd4558c)
- Corrected loop initialization to prevent out of bounds read (GHSA-wrhr-rf8j-r842) [`0c9ffcf`](https://github.com/ImageMagick/ImageMagick/commit/0c9ffcf55763e5daf1b61dfed0deed1aa43e217f)
- block fd: filenames in security policies [`0723275`](https://github.com/ImageMagick/ImageMagick/commit/0723275e4b4ec46238898a921cc47f5f0a00928a)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-xg29-8ghv-v4x [`266e59e`](https://github.com/ImageMagick/ImageMagick/commit/266e59ed8d886a76355c863bd38ff5ac34537673)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-xgm3-v4r9-wfgm [`a253d1b`](https://github.com/ImageMagick/ImageMagick/commit/a253d1b124ebdcc2832daac6f9a35c362635b40e)
- jumbo security patch: addresses memory leak, stack overflow, out-of-bounds, integer overflow, OOB read [`6b71e2b`](https://github.com/ImageMagick/ImageMagick/commit/6b71e2bfb5bb82e361030ce46f8bd1c80c658417)
- fix compiler exception [`17b965c`](https://github.com/ImageMagick/ImageMagick/commit/17b965c1e1ef26c9088a99129bb4be632825b6a1)
- fix compiler exception [`21e2d62`](https://github.com/ImageMagick/ImageMagick/commit/21e2d6245f6889844650a4e0b80af71626207fde)
- git compiler exception [`a2acad8`](https://github.com/ImageMagick/ImageMagick/commit/a2acad80ce1bf452cfbe1de6d2be4f335a9b8a67)
- fix compiler exception [`be29d5c`](https://github.com/ImageMagick/ImageMagick/commit/be29d5c3ae1502afe3ea4258512cccfcd3758d2a)
- fix compiler exception [`907f609`](https://github.com/ImageMagick/ImageMagick/commit/907f609879ffcb2b48c0fab3f8e0b2f46a740d7b)
- fix compile exception [`7bea1ca`](https://github.com/ImageMagick/ImageMagick/commit/7bea1caf56f388583e380e7cfebffb3d80ec1f94)
- fix compiler exception [`d3360f2`](https://github.com/ImageMagick/ImageMagick/commit/d3360f2fd5ff06c97c4714d5993cbbbcab1350fa)
- block SVG image format [`ddcdcb8`](https://github.com/ImageMagick/ImageMagick/commit/ddcdcb8483dda661996d3cae6c72f423b089f4ac)
- prevent infinite recursion [`b095ed5`](https://github.com/ImageMagick/ImageMagick/commit/b095ed5ae7796a9f63324ca2f50f772c408dd3af)
- utilize a global Splay tree to guard against recursion [`38bc4fa`](https://github.com/ImageMagick/ImageMagick/commit/38bc4fae2515b8694ffea53e491c87ea29877478)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-543g-8grm-9cw6 [`412f3c8`](https://github.com/ImageMagick/ImageMagick/commit/412f3c8bc1d3b6890aad72376cd992c9b5177037)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-72hf-fj62-w6j4 [`9afe96c`](https://github.com/ImageMagick/ImageMagick/commit/9afe96cc325da1e4349fbd7418675af2f8708c10)
- eliminate compiler exception [`6f6856b`](https://github.com/ImageMagick/ImageMagick/commit/6f6856b47bb0fe0c8b1ecb43bf2bb6728f322ddc)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-xg29-8ghv-v4xr [`729253d`](https://github.com/ImageMagick/ImageMagick/commit/729253dc16e1a1ec4cac891a12d597e3fa9336b3)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-p863-5fgm-rgq4 [`16dd315`](https://github.com/ImageMagick/ImageMagick/commit/16dd3158ce197c6f65e7798a7a5cc4538bb0303e)
- https://github.com/ImageMagick/ImageMagick/issues/8552 [`cbc4273`](https://github.com/ImageMagick/ImageMagick/commit/cbc4273c00e9b8eaf817401086e6c5e3fe38ba9a)
- fix potential memory leak [`6dbae0a`](https://github.com/ImageMagick/ImageMagick/commit/6dbae0a3300934b2fbb1c1cb9bcc616cd5073449)
- prevent a possible integer overflow [`d7cc315`](https://github.com/ImageMagick/ImageMagick/commit/d7cc315277b86199734e91d499e318d812b6b9f3)
- https://github.com/ImageMagick/ImageMagick/issues/8553 [`9095421`](https://github.com/ImageMagick/ImageMagick/commit/90954210d7d81bb2e6353ef1bd3dfc94e19e4424)
- Removed temporary patch. [`21ccb8d`](https://github.com/ImageMagick/ImageMagick/commit/21ccb8db947ed76bfccb92ba1f130152b6ae9c3f)
- Revert security patches so we can make them in clean separate commits and reference an advisory. [`04caff1`](https://github.com/ImageMagick/ImageMagick/commit/04caff1e25e0e43f291d97bc4235cf6f03e6a57c)
- Block reading from fd: in our more secure policies by default (GHSA-xwc6-v6g8-pw2h) [`8d4c67a`](https://github.com/ImageMagick/ImageMagick/commit/8d4c67a90ae458fb36393a05c0069e9123ac174c)
- ithub.com/ImageMagick/ImageMagick/issues/8555 [`71fda22`](https://github.com/ImageMagick/ImageMagick/commit/71fda22edcabb7d66a633a133c1c755d781a3938)
- Prevent path traversal of paths that are blocked in the security policy (GHSA-8jvj-p28h-9gm7) [`4a9dc10`](https://github.com/ImageMagick/ImageMagick/commit/4a9dc1075dcad3ab0579e1b37dbe854c882699a5)
- Added checks to prevent an out of bounds read (GHSA-pmq6-8289-hx3v) [`4e1f538`](https://github.com/ImageMagick/ImageMagick/commit/4e1f5381d4ccbb6b71927e94c5d257fa883b3af7)
- Fixed memory leak when writing MSL files (GHSA-gxcx-qjqp-8vjw) [`1e88fca`](https://github.com/ImageMagick/ImageMagick/commit/1e88fca11c7b8517100d518bc99bd8c474f02f88)
- Correct previous patch. [`276ef52`](https://github.com/ImageMagick/ImageMagick/commit/276ef5274e2b510c8bb020c05439afacf522aad1)
- Patch to resolve possible out of bounds write in the msl decoder (GHSA-3mwp-xqp2-q6ph). [`56f0295`](https://github.com/ImageMagick/ImageMagick/commit/56f02958890b820cf2d0a6ecb04eb6f58ea75628)
- Keep a splay tree of read files to prevent a stack overflow (GHSA-8mpr-6xr2-chhc) [`9313e53`](https://github.com/ImageMagick/ImageMagick/commit/9313e530b37272b748898febd42b5949756f0179)
- https://github.com/ImageMagick/ImageMagick/issues/8555 [`a3d3de5`](https://github.com/ImageMagick/ImageMagick/commit/a3d3de59c26c511412237dc02322a68e9beecfbd)
- https://github.com/ImageMagick/ImageMagick/discussions/8294 [`783af7c`](https://github.com/ImageMagick/ImageMagick/commit/783af7c3dda52ae62d552103e90b0447fe4771a4)
- Fixed possible memory leak (GHSA-gm37-qx7w-p258) [`30ce0e8`](https://github.com/ImageMagick/ImageMagick/commit/30ce0e8efbd72fd6b50ed3a10ae22f57c8901137)
- Switch back to DestroyImage. [`6a35526`](https://github.com/ImageMagick/ImageMagick/commit/6a35526c7ce2b5dd690ded6c423b6eb6c0147967)
- Set the count during the loop to make sure RelinquishIconDirectory frees the correct number of icons. [`fbbc4c9`](https://github.com/ImageMagick/ImageMagick/commit/fbbc4c9062728b4690338645f30a871e056aa12d)
- https://github.com/ImageMagick/ImageMagick/issues/8556 [`4403def`](https://github.com/ImageMagick/ImageMagick/commit/4403defdd4e23f98d40ab21dda38f20e5d51e09f)
- eliminate compiler warning [`b3357d6`](https://github.com/ImageMagick/ImageMagick/commit/b3357d6e2b2235e63c10ede55c90c79c36fe98ce)
- protect against relative paths [`30fa8ba`](https://github.com/ImageMagick/ImageMagick/commit/30fa8ba8cfaf5bebf8035ed4b87f8e9766238fe7)
- correct glob expression [`afbe0f1`](https://github.com/ImageMagick/ImageMagick/commit/afbe0f1a1801f15b61188396c3a6f6fb843eb4b4)
- clarify path policy [`795f581`](https://github.com/ImageMagick/ImageMagick/commit/795f581a890976c38bf9b9da4ac6aa83c6e74889)
- Added missing calls to DestroyImageInfo. [`3d1e6fe`](https://github.com/ImageMagick/ImageMagick/commit/3d1e6fedb1dc04c53358d0660b61b761105eaec2)
- Added workflow for the OpenSSF Scorecard. [`89d20b0`](https://github.com/ImageMagick/ImageMagick/commit/89d20b00fe6fad7a35f0e860890853818822d4e0)
- https://github.com/ImageMagick/ImageMagick/issues/8557 [`7e128ba`](https://github.com/ImageMagick/ImageMagick/commit/7e128ba62edea6b5a9cf3f077e798839cbe62535)
- Pin all actions. [`de4e2c4`](https://github.com/ImageMagick/ImageMagick/commit/de4e2c440ea37eb64b98e2e8288f1386e4abb737)
- Also update dockerfiles. [`22a0933`](https://github.com/ImageMagick/ImageMagick/commit/22a09333982438c1532e1b449f4a60e33c54c935)
- Pin more version. [`dc2303d`](https://github.com/ImageMagick/ImageMagick/commit/dc2303d966677790b7a8a19c9a815a1ec07832df)
- Removed dockerfile updates from dependabot.yml [`fffcabb`](https://github.com/ImageMagick/ImageMagick/commit/fffcabbf53aed3a0148e1aba386f818f64a01039)
- Added name to workflow. [`c94f0ff`](https://github.com/ImageMagick/ImageMagick/commit/c94f0ff4f9e4c2159ed7a13f4e252cc6455bc85d)
- Correct pinning. [`5a7452e`](https://github.com/ImageMagick/ImageMagick/commit/5a7452ec525ada31d3c15d9ec673ed9bb32f1250)
- Pin python versions. [`c53e7d2`](https://github.com/ImageMagick/ImageMagick/commit/c53e7d246e5b07c7cf0f5fb3ec2aab327edb9e7f)
- Corrected path. [`a64f30d`](https://github.com/ImageMagick/ImageMagick/commit/a64f30d6f943734ee4e039685cfb499533d2d9c2)
- Corrected install. [`d831c6e`](https://github.com/ImageMagick/ImageMagick/commit/d831c6e029ada37d026ce5dbf7dc85f3a5f85511)
- Added extra options to the pip install. [`0ed22db`](https://github.com/ImageMagick/ImageMagick/commit/0ed22dbbc504cf992f6f37c192a30caa8db2bc0b)
- Moved all windows implementations in utility-private to nt-base-private. [`afc7d4a`](https://github.com/ImageMagick/ImageMagick/commit/afc7d4aff34cfb085bfdae303f0b69ceb653d839)
- Use CreateWidePath instead of create_wchar_path. [`97500fe`](https://github.com/ImageMagick/ImageMagick/commit/97500fe5e90dc198b15dea0b9b4d4b9e229afc3b)
- Corrected method name. [`4599a45`](https://github.com/ImageMagick/ImageMagick/commit/4599a459f473ad5a00436ddff78763d19c0c4212)
- Improved the NTRealPathWide implementation. [`9c7992e`](https://github.com/ImageMagick/ImageMagick/commit/9c7992e32fa8f442f7ceda2b2486cfc2ad494006)
- Added comment about the limitations of realpath. [`2240bc0`](https://github.com/ImageMagick/ImageMagick/commit/2240bc096f7430b5829b88045572245759442326)
- Fixed out of bound read with negative pixel index (GHSA-vpxv-r9pg-7gpr) [`c9c87db`](https://github.com/ImageMagick/ImageMagick/commit/c9c87dbaba56bf82aebd3392e11f0ffd93709b12)
- Prevent out of bounds heap write in uhdr encoder (https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-vhqj-f5cj-9x8h) [`ffe589d`](https://github.com/ImageMagick/ImageMagick/commit/ffe589df5ff8ce1433daa4ccb0d2a9fadfbe30ed)
- Prevent memory leak in early exits (GHSA-g2pr-qxjg-7r2w) [`93ad259`](https://github.com/ImageMagick/ImageMagick/commit/93ad259ce4f6d641eea0bee73f374af90f35efc3)
- Fixed NULL pointer dereference in ReadSFWImage (GHSA-p33r-fqw2-rqmm) [`0c7d0b9`](https://github.com/ImageMagick/ImageMagick/commit/0c7d0b9671ae2616fca106dcada45536eb4df5dc)
- Prevent code injection via PostScript header (https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-rw6c-xp26-225v) [`26088a8`](https://github.com/ImageMagick/ImageMagick/commit/26088a83d71e9daa203d54a56fe3c31f3f85463d)
- Added extra check to prevent out of bounds heap write on 32-bit systems (GHSA-6j5f-24fw-pqp4) [`23fde73`](https://github.com/ImageMagick/ImageMagick/commit/23fde73188ea32c15b607571775d4f92bdb75e60)
- Fixed possible memory leak (GHSA-3q5f-gmjc-38r8) [`e639409`](https://github.com/ImageMagick/ImageMagick/commit/e6394098af39a9689bb5f0b4eb6a9968e449a8d3)
- Disable multithreading when reading svg and msl files because of the splay tree. [`410ecdd`](https://github.com/ImageMagick/ImageMagick/commit/410ecdde6a6bf5ee5817c4e51905431c454a4b74)
- Corrected check to determine if the encoder supports multi threading. [`764bff7`](https://github.com/ImageMagick/ImageMagick/commit/764bff7130d0f63de522492a8c3b7cefadab8ec3)
- latest autoconf/automake updates [`706b179`](https://github.com/ImageMagick/ImageMagick/commit/706b179fa630136ffa10efde78d3b84597a5986c)
- Fixed possible memory leak in multiple coders that write raw pixel data (GHSA-wfx3-6g53-9fgc) [`fe0a49a`](https://github.com/ImageMagick/ImageMagick/commit/fe0a49a58ac5b7a18ff2618b6207dcad71123e43)
- Properly escape strings when creating an MVG file in the internal SVG decoder (GHSA-xpg8-7m6m-jf56) [`f63c78b`](https://github.com/ImageMagick/ImageMagick/commit/f63c78b3828933f1cc7cf499390248981af765aa)
- reset channel map when cache resources are exhausted [`364606e`](https://github.com/ImageMagick/ImageMagick/commit/364606e5cb955b622b13015814e255e1dadd701b)
- revert and correct documentation instead [`e417d67`](https://github.com/ImageMagick/ImageMagick/commit/e417d67b54d141a3e698302cb1f5dde231a56d50)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-7355-pwx2-pm84 [`5a545ab`](https://github.com/ImageMagick/ImageMagick/commit/5a545ab9d6c3d12a6a76cfed32b87df096729d95)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-x2j6-6h5m-gjg4 [`13e1eac`](https://github.com/ImageMagick/ImageMagick/commit/13e1eac8ce533e96da10054edd3930bbcf07ce71)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-mqfc-82jx-3mr2 [`b9c80ad`](https://github.com/ImageMagick/ImageMagick/commit/b9c80ad3ca802b6883da25f153c4fdf72c017eba)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-782x-jh29-9mf7 [`4354fc1`](https://github.com/ImageMagick/ImageMagick/commit/4354fc1d554ec2e6314aed13536efa7bde9593d2)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-42p5-62qq-mmh7 [`bbae021`](https://github.com/ImageMagick/ImageMagick/commit/bbae0215e1b76830509fd20e6d37c0dd7e3e4c3a)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-v7g2-m8c5-mf84 [`1a51eb9`](https://github.com/ImageMagick/ImageMagick/commit/1a51eb9af00c36724660e294520878fd1f13e312)
- Moved allocation to fix possible memory leak when at recursion depth. [`7e63bb5`](https://github.com/ImageMagick/ImageMagick/commit/7e63bb505b63a0aba5029b451146140564d83f6e)
- Fixed out of bound read with negative pixel index (GHSA-vpxv-r9pg-7gpr) [`21525d8`](https://github.com/ImageMagick/ImageMagick/commit/21525d8f27b86e8063fe359616086fd6b71eb05b)
- Corrected previous patch and added more overflow checks. [`31f10b1`](https://github.com/ImageMagick/ImageMagick/commit/31f10b1de591ee71179542a6d06e6885cbafdf71)
- https://github.com/ImageMagick/ImageMagick/issues/8562 [`7771657`](https://github.com/ImageMagick/ImageMagick/commit/77716576a8d19b60319a9680a89e1d14959b7304)
- https://github.com/ImageMagick/ImageMagick/issues/8563 [`49000e7`](https://github.com/ImageMagick/ImageMagick/commit/49000e7298fbfdd759ac2c46f740f40c2e9b7452)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-x2j6-6h5m-gjg4 [`e5dcf54`](https://github.com/ImageMagick/ImageMagick/commit/e5dcf54b8a0debc75fd8671f2b2604e3e148c1fc)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-xxw5-m53x-j38c [`40cfaa7`](https://github.com/ImageMagick/ImageMagick/commit/40cfaa7b38729eb6a2808c9b94d6baa2fae6219b)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-xxw5-m53x-j38c [`e2d5b4f`](https://github.com/ImageMagick/ImageMagick/commit/e2d5b4ff0fb6abf2370af4b3dc483934b4dd63ff)
- Ignore the return value differently. [`ca3b0da`](https://github.com/ImageMagick/ImageMagick/commit/ca3b0dabc836589538558c9047cea6f2e0eb9e14)
- Corrected type to avoid an overflow (GHSA-r99p-5442-q2x2) [`e87695b`](https://github.com/ImageMagick/ImageMagick/commit/e87695b3227978ad70b967b8d054baaf8ac2cced)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-fpvf-frm6-625q [`3392b4b`](https://github.com/ImageMagick/ImageMagick/commit/3392b4bba6ce076f4d88f5653a42d97b7e4f6970)
- fix compiler warning [`8ddc98d`](https://github.com/ImageMagick/ImageMagick/commit/8ddc98d1190e1f6ead990d087dafbfdb79997564)
- Removed unused return value. [`a48c7cb`](https://github.com/ImageMagick/ImageMagick/commit/a48c7cb285ae1994b006cfbe7230c6a3545ecad2)
- Fixed possible infinite loop (GHSA-v994-63cg-9wj3) [`880057c`](https://github.com/ImageMagick/ImageMagick/commit/880057ce34f6da9dff2fe3b290bbbc45b743e613)
- Updated the Windows dependencies. [`f584f36`](https://github.com/ImageMagick/ImageMagick/commit/f584f36403112bff0ee7989f8d93237a52150c15)
- cosmetic [`cfa749d`](https://github.com/ImageMagick/ImageMagick/commit/cfa749d8328cb137626de5cdd99832c85a3e1bb0)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-gwr3-x37h-h84v [`c448c69`](https://github.com/ImageMagick/ImageMagick/commit/c448c6920a985872072fc7be6034f678c087de9b)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-wgxp-q8xq-wpp9 [`436e5d2`](https://github.com/ImageMagick/ImageMagick/commit/436e5d2589e3c0adc10d9aa189e81d5d088d8207)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-mh5h-j6mf-5vr6 [`33531ba`](https://github.com/ImageMagick/ImageMagick/commit/33531ba6f6798563bd5718510a82768484c9126f)
- avoid deadly embrace for recursive MSL/SVG [`017a836`](https://github.com/ImageMagick/ImageMagick/commit/017a8363ac60affd2c1032aaa57177521c653ccf)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-h4rj-wc46-x92p [`f9d6311`](https://github.com/ImageMagick/ImageMagick/commit/f9d6311aa2b53a5d1fa284c220e52e9dac39bbfd)
- base recursion detection based on thread id [`d72e868`](https://github.com/ImageMagick/ImageMagick/commit/d72e8680d6c87208a8711a4c18ba7dc20939d41e)
- standards‑compliant thread id string [`efd91b9`](https://github.com/ImageMagick/ImageMagick/commit/efd91b90c2d974ea098412f08ddc3aa93eeb2d05)
- eliminate compiler warning [`7b0899b`](https://github.com/ImageMagick/ImageMagick/commit/7b0899bb0a0105bedfaf8b865474a713e8f0f1d6)
- Restored check that was removed by accident. [`2ede3c9`](https://github.com/ImageMagick/ImageMagick/commit/2ede3c9fd167852093a0a3bf223e4c389f339f14)
- Escape more strings when creating an MVG file in the internal SVG decoder (GHSA-xpg8-7m6m-jf56) [`9db9636`](https://github.com/ImageMagick/ImageMagick/commit/9db96365ecab5de69cdec81b9359672b3a827aaa)
- Refactored code to improve the readability. [`5c611d3`](https://github.com/ImageMagick/ImageMagick/commit/5c611d322ae04fec9e2a625f1de33cefb382fbd9)
- Only disable multi threading for the RSVG decoder. [`0be03b0`](https://github.com/ImageMagick/ImageMagick/commit/0be03b009e7158e24b61786d684d2e467a8dcb30)
- private method name change [`8f3c54f`](https://github.com/ImageMagick/ImageMagick/commit/8f3c54fb804112cf5336e927917574f223ae89fa)
- https://github.com/ImageMagick/ImageMagick/issues/8567 [`e046417`](https://github.com/ImageMagick/ImageMagick/commit/e046417675d5c26e5f48816851a406c121c77469)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-w8mw-frc6-r7m8 [`7cfae4d`](https://github.com/ImageMagick/ImageMagick/commit/7cfae4da24a995fb05386d77364ff404a7cca7bc)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-7r58-28vv-qj5p [`c12ff82`](https://github.com/ImageMagick/ImageMagick/commit/c12ff82cd733988ae6c6276f90ab70c6c5439144)
- add TEXT as a restricted module [`83847c3`](https://github.com/ImageMagick/ImageMagick/commit/83847c348aafccbbea89ec8ed44382598aea3f98)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-qpgx-jfcq-r59f [`0377e60`](https://github.com/ImageMagick/ImageMagick/commit/0377e60b3c0d766bd7271221c95d9ee54f6a3738)
- protect against deep glob recursion [`e739a38`](https://github.com/ImageMagick/ImageMagick/commit/e739a383df7c14bef90b32ae333b4c827ae92da8)
- assign critical memory [`09c8589`](https://github.com/ImageMagick/ImageMagick/commit/09c8589ef54eecd6a7bb5cbbe17b21d890d3170e)
- Write after we have checked if the realloc failed (GHSA-3j4x-rwrx-xxj9) [`168ffe1`](https://github.com/ImageMagick/ImageMagick/commit/168ffe18def968f886c023146a478897866fd621)
- latest automake/autoconfig updates [`c95a254`](https://github.com/ImageMagick/ImageMagick/commit/c95a2540274650beeb21afd439e5c96448bb9df2)
- Removed unnecessary typecast. [`0106750`](https://github.com/ImageMagick/ImageMagick/commit/01067504d6e6ebe2b2d53b0d86eb0e0f7ee95d3e)
- Also escape &gt; [`9dda5c0`](https://github.com/ImageMagick/ImageMagick/commit/9dda5c0a700439dc3156a443dd6dfb8d25e2e8a5)
- Properly escape the strings that are written as raw html (GHSA-rw6c-xp26-225v) [`81129f7`](https://github.com/ImageMagick/ImageMagick/commit/81129f79ad622ff4c1d729828a34ab0f49ec89f6)
- Corrected possible use after free when allocation fails (GHSA-2gq3-ww97-wfjm) [`f504995`](https://github.com/ImageMagick/ImageMagick/commit/f5049954f12c6fcf090a776767526d2a4708d58b)
- Use a consistent check. [`6aa3dd7`](https://github.com/ImageMagick/ImageMagick/commit/6aa3dd799938d9d02e8a87a8988789f8b51ce454)
- Updated the Windows dependencies. [`7a758ee`](https://github.com/ImageMagick/ImageMagick/commit/7a758ee1cd8c120c85914a9d256e064205ab8799)
- partial TOCTOU patch: https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-493f-jh8w-qhx3 [`3eb1126`](https://github.com/ImageMagick/ImageMagick/commit/3eb11260cfe84fddbdcb8d2ed47f92703d1b2987)
- Updated the code-signing action. [`27e4942`](https://github.com/ImageMagick/ImageMagick/commit/27e494291a9db016a03fd9f8fac240799fa4615c)
- Use the full path instead. [`97b82c9`](https://github.com/ImageMagick/ImageMagick/commit/97b82c9588d8d743996671f110c8e041d6f7f748)
- Updated configure. [`9e4cd4f`](https://github.com/ImageMagick/ImageMagick/commit/9e4cd4f3d05299d2e3dcf0a7e59a81b61d2ae4ed)
- Use the Installer from the Configure artifacts instead. [`a7d01e0`](https://github.com/ImageMagick/ImageMagick/commit/a7d01e074f1178db0d52da0fea0920ea18f10bd0)
- Added missing clone. [`dc468e6`](https://github.com/ImageMagick/ImageMagick/commit/dc468e6db68017201b0d99c883207970e65ce4f2)
- Updated configure. [`48a4a53`](https://github.com/ImageMagick/ImageMagick/commit/48a4a53d91728a3b319b83a0930c2c276049247b)
- release [`ab3e1de`](https://github.com/ImageMagick/ImageMagick/commit/ab3e1deb5208b53d9a1333fb6ec956d46ab82ec8)

## [7.1.2-13](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-12...7.1.2-13) - 2026-01-19

### Commits

- beta release [`0db229e`](https://github.com/ImageMagick/ImageMagick/commit/0db229e520dc4827f8f70304c1c89f40279a9cb3)
- cosmetic [`0aed4e1`](https://github.com/ImageMagick/ImageMagick/commit/0aed4e16d1a5ed71ad77964e5cc8fd450eb21e65)
- Check if the aspect ratio is a known ratio when density_unit is set to zero and otherwise read it as an undefined density in the jpeg coder (#8496) [`ab2232d`](https://github.com/ImageMagick/ImageMagick/commit/ab2232d0fe25085168db5b1f1e8017a8de624e91)
- Consistent code style. [`4012a8c`](https://github.com/ImageMagick/ImageMagick/commit/4012a8c7f3160406d242d6fbae7b1ce40d0016ab)
- Added  -DENABLE_DECODER=off to the oss-fuzz build of libde265 to work around linking issue. [`7bbb1e5`](https://github.com/ImageMagick/ImageMagick/commit/7bbb1e5cf801a95907130a3eaf9a9b745a712a4a)
- Use true/false for all CMAKE defines. [`c59b417`](https://github.com/ImageMagick/ImageMagick/commit/c59b417dd13b9c5eaf2724ecd0388da8d30fb4c3)
- Switch to cmake with the freetype2 oss-fuzz build. [`93100cc`](https://github.com/ImageMagick/ImageMagick/commit/93100cca186dfbab92863a440e5efaf0d7fe61a9)
- Code cleanup. [`408a183`](https://github.com/ImageMagick/ImageMagick/commit/408a18373ce59ab3a06c55b91d9dfc5397b7e1ca)
- tune secuirty policies [`9b94be4`](https://github.com/ImageMagick/ImageMagick/commit/9b94be4627c63bf810bb94503473d3b68353c35a)
- Correct memset initialization and add an overflow check (GHSA-39h3-g67r-7g3c) [`3e03307`](https://github.com/ImageMagick/ImageMagick/commit/3e0330721020e0c5bb52e4b77c347527dd71658e)
- Corrected check to determine if the alpha channel is enabled. [`21485df`](https://github.com/ImageMagick/ImageMagick/commit/21485dfd60f5d4b35d8f74180fa6388a08319405)
- Disabled trim_trailing_whitespace in .c because this breaks the marker between methods. [`b1a07dd`](https://github.com/ImageMagick/ImageMagick/commit/b1a07dd022d2ce3964d08734aebd390c863c4f23)
- Trim trailing whitespace. [`db21d54`](https://github.com/ImageMagick/ImageMagick/commit/db21d54ca5e9f64d82b0e4107446cbf53d97aa9b)
- Updated configure. [`cf2ff1f`](https://github.com/ImageMagick/ImageMagick/commit/cf2ff1f325861ba698acafa67419c5a2f19157d3)
- Use the new license url. [`2abe65b`](https://github.com/ImageMagick/ImageMagick/commit/2abe65b01873940b53b713ccc33130ff521090da)
- Improved overflow checks and added missing memset. [`d02ef69`](https://github.com/ImageMagick/ImageMagick/commit/d02ef691d97317328a1013c4a6599c9aff0f5f05)
- Moved permissions block in the workflows. [`a52c1b4`](https://github.com/ImageMagick/ImageMagick/commit/a52c1b402be08ef8ae193f28ac5b2e120f2fa26f)
- Fixed memory leak that happens when someone creates a corrupt ImagemagickOpenCLDeviceProfile.xml file (GHSA-qp59-x883-77qv) [`951f6b0`](https://github.com/ImageMagick/ImageMagick/commit/951f6b0940224afc469f6a72503d6e011c688d02)
- Changed version check because a new version of libraw has been released (#8524). [`cbc802d`](https://github.com/ImageMagick/ImageMagick/commit/cbc802d38b2d37a4ae101c6ef80a465678cc6a49)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-5vx3-wx4q-6cj8 [`1eefab4`](https://github.com/ImageMagick/ImageMagick/commit/1eefab41bc0ab1c6c2c1fd3e4a49e3ee1849751d)
- MSL: Stack overflow via infinite recursion in ProcessMSLScript [`2a09644`](https://github.com/ImageMagick/ImageMagick/commit/2a09644b10a5b146e0a7c63b778bd74a112ebec3)
- https://github.com/ImageMagick/ImageMagick/issues/8523 [`d67e65c`](https://github.com/ImageMagick/ImageMagick/commit/d67e65c886df2e2ed17052ceb5cce7dadea9101a)
- signed/unsigned mismatch [`f2dc5ef`](https://github.com/ImageMagick/ImageMagick/commit/f2dc5ef6543da8af2e425c7b790d6a67364e1329)
- Updated the Windows dependencies. [`31347f8`](https://github.com/ImageMagick/ImageMagick/commit/31347f8c62b52980b4d00ed9b8c8137d26e8c437)
- Added overflow checks. [`96eb9a3`](https://github.com/ImageMagick/ImageMagick/commit/96eb9a30f9deb549ec60983f506d69c1da5e261b)
- Temporary install the TrustedSigningClientTools that is required by Advanced Installer. [`888091f`](https://github.com/ImageMagick/ImageMagick/commit/888091f18273340be7d2ec4bccfa5183e8c13ea3)
- Switch to windows-2025 because it has winget installed. [`0ef3288`](https://github.com/ImageMagick/ImageMagick/commit/0ef328888be3484d423dcdd787a5d96b4de2b219)
- Added option to winget installation. [`1217b59`](https://github.com/ImageMagick/ImageMagick/commit/1217b59f7dc055ea26d78c05fb6797258d40efc5)
- Use a different method to install TrustedSigningClientTools. [`33cde41`](https://github.com/ImageMagick/ImageMagick/commit/33cde410bf9990e9ab89a1d56d17dc091060e66c)
- https://github.com/ImageMagick/ImageMagick/issues/8528 [`dce1f70`](https://github.com/ImageMagick/ImageMagick/commit/dce1f70aeba95b2be6619ac69d80f9de0b3c76ec)
- Added overflow checks to prevent an out of bounds write (https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-r49w-jqq3-3gx8) [`2fae241`](https://github.com/ImageMagick/ImageMagick/commit/2fae24192b78fdfdd27d766fd21d90aeac6ea8b8)
- release [`dd991e2`](https://github.com/ImageMagick/ImageMagick/commit/dd991e286b96918917a3392d6dc3ffc0e6907a4e)

## [7.1.2-12](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-11...7.1.2-12) - 2025-12-28

### Merged

- Bump actions/download-artifact from 6 to 7 [`#8497`](https://github.com/ImageMagick/ImageMagick/pull/8497)
- Bump actions/upload-artifact from 5 to 6 [`#8498`](https://github.com/ImageMagick/ImageMagick/pull/8498)
- Fix warnings about operations on volatiles that are deprecated in C++20. [`#8502`](https://github.com/ImageMagick/ImageMagick/pull/8502)
- Bump msys2/setup-msys2 from 2.29.0 to 2.30.0 [`#8499`](https://github.com/ImageMagick/ImageMagick/pull/8499)
- Fix autoconf syntax errors (configure.ac) [`#8488`](https://github.com/ImageMagick/ImageMagick/pull/8488)

### Commits

- beta release [`22ed20a`](https://github.com/ImageMagick/ImageMagick/commit/22ed20ab80777e3aa754b5a0b7d44a0da5fb94fb)
- latest autoconf update [`7b8b8e9`](https://github.com/ImageMagick/ImageMagick/commit/7b8b8e9252267f2c2bb5146d5d239056a38d8727)
- https://github.com/ImageMagick/ImageMagick/issues/8487 [`16d029a`](https://github.com/ImageMagick/ImageMagick/commit/16d029ac7d85fd4ac26d157666bd59f603009231)
- Removed const keyword. [`eec063c`](https://github.com/ImageMagick/ImageMagick/commit/eec063cc54f0a6b49efa299ab00d08c671b4d67b)
- Also remove const from the header file. [`a9223bb`](https://github.com/ImageMagick/ImageMagick/commit/a9223bb41105aa195cc9dce3c568df6600dad438)
- Removed undefined private function declaration. [`8b7b850`](https://github.com/ImageMagick/ImageMagick/commit/8b7b8506afb58222b9c0aaa797349386f50161c3)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-p27m-hp98-6637 [`6f431d4`](https://github.com/ImageMagick/ImageMagick/commit/6f431d445f3ddd609c004a1dde617b0a73e60beb)
- Removed name. [`ecd4edc`](https://github.com/ImageMagick/ImageMagick/commit/ecd4edc9070233fd0ad5bae025e153ea7de07c28)
- Fixed memory leak that happens when we hit a list limit. [`ad65a4c`](https://github.com/ImageMagick/ImageMagick/commit/ad65a4ceed8d394371775fde2408509c5ffcaa78)
- Removed specific methods for Windows with memory allocation. [`7b0bce0`](https://github.com/ImageMagick/ImageMagick/commit/7b0bce05621c29e32726b547c6273150ea8c501e)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-7rvh-xqp3-pr8j [`204718c`](https://github.com/ImageMagick/ImageMagick/commit/204718c2211903949dcfc0df8e65ed066b008dec)
- Revert patches to solve #8484 and #8506. [`d6a53ce`](https://github.com/ImageMagick/ImageMagick/commit/d6a53ceb904bdc752e005fb52db8e16fc0b8e808)
- Updated the Windows dependencies. [`92dce45`](https://github.com/ImageMagick/ImageMagick/commit/92dce45ec090de05f7ee295e7264e5e910b37f8a)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-hrh7-j8q2-4qcw [`2c08c23`](https://github.com/ImageMagick/ImageMagick/commit/2c08c2311693759153c9aa99a6b2dcb5f985681e)
- release [`bdd4fa5`](https://github.com/ImageMagick/ImageMagick/commit/bdd4fa561d7bf4c6afd40ee9c89e9f9e82b6e88b)

## [7.1.2-11](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-10...7.1.2-11) - 2025-12-14

### Commits

- beta release [`e97f8c1`](https://github.com/ImageMagick/ImageMagick/commit/e97f8c1cb069071022467354997098b9eb155d1e)
- Only allow setting the data_precision to values other then 16 and 12 when quality is lossless (&gt;= 100). [`4d7581a`](https://github.com/ImageMagick/ImageMagick/commit/4d7581a3e7052749763ebb8331fbc5702d0dddd1)
- Switch to macos-15-intel for the x64 MacOS build. [`3f47b60`](https://github.com/ImageMagick/ImageMagick/commit/3f47b60c001551589e0e18add8347ed5b7d5c2c8)
- Removed old debug statements. [`281adfc`](https://github.com/ImageMagick/ImageMagick/commit/281adfc0e3fd9ac8d2fd55b935db7a68715ff613)
- Added extra checks to prevent overflows on 32-bit systems and do an earlier exit. [`1dc1fc9`](https://github.com/ImageMagick/ImageMagick/commit/1dc1fc93135a5ad8c7a8fe9c258d367ab4fbc185)
- release [`578d60d`](https://github.com/ImageMagick/ImageMagick/commit/578d60d1bf77be54b16ef2673d507932885570dd)

## [7.1.2-10](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-9...7.1.2-10) - 2025-12-07

### Commits

- beta release [`cfbeef4`](https://github.com/ImageMagick/ImageMagick/commit/cfbeef49f293108f469f82d6f50e17ab84be1083)
- Added extra check to make sure don't read after an empty string. [`f83765c`](https://github.com/ImageMagick/ImageMagick/commit/f83765c6e4f1ebfb38fa3b4c4c062a166f270cbc)
- Added extra check to avoid an overflow on 32-bit machines (GHSA-6hjr-v6g4-3fm8) [`bdae068`](https://github.com/ImageMagick/ImageMagick/commit/bdae0681ad1e572defe62df85834218f01e6d670)
- Use HeapOverflowSanityCheckGetSize to make it more clear what is happening. [`351bbc8`](https://github.com/ImageMagick/ImageMagick/commit/351bbc8330269b56e0024772f814b61c66675590)
- Added define to make sure we don't always write a jpeg in a high bit depth (#8445) [`245b84f`](https://github.com/ImageMagick/ImageMagick/commit/245b84f88b802eb362b1c4dfef791b4308edd9dd)
- Use intermediate variable to silence 32-bit build error on Windows. [`ba1fcf9`](https://github.com/ImageMagick/ImageMagick/commit/ba1fcf9d66f2c9f51f404c87f91a3420cac211c3)
- Code cleanup. [`567321b`](https://github.com/ImageMagick/ImageMagick/commit/567321b2974d6010a6b2f32e1bd09f037ec4b885)
- Updated the Windows dependencies and configure. [`53b1fb9`](https://github.com/ImageMagick/ImageMagick/commit/53b1fb93be3dbf54bb36c79653085421adb896a0)
- Disable creation of msix in pull requests. [`537db6b`](https://github.com/ImageMagick/ImageMagick/commit/537db6bcc877044ebad55e84c626cd5d9bd9630a)
- Updated the checkout actions. [`e956d72`](https://github.com/ImageMagick/ImageMagick/commit/e956d72d4461252868c9041722575d9bf07dd640)
- Check for quality instead of compression to avoid Unsupported JPEG data precision error message (#8445). [`1269cf5`](https://github.com/ImageMagick/ImageMagick/commit/1269cf551360bcb29cb3e1899c129c41fa7a9838)
- The quality of the image_info should be used instead. [`69f7ced`](https://github.com/ImageMagick/ImageMagick/commit/69f7ced59ba75fb635e99e35af152a7509bc2fa8)
- release [`f4ce623`](https://github.com/ImageMagick/ImageMagick/commit/f4ce623e9d6d230f80d664543892347bd46c1e98)

## [7.1.2-9](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-8...7.1.2-9) - 2025-11-30

### Merged

- JPEG: Support 2-to-16-bit lossless JPEG images with libjpeg-turbo 3.1+; Support additional IDCT scaling factors with libjpeg-turbo and libjpeg v7+ [`#8445`](https://github.com/ImageMagick/ImageMagick/pull/8445)
- Add ALImageMagick (Delphi) to the list of ImageMagick language bindings [`#8444`](https://github.com/ImageMagick/ImageMagick/pull/8444)
- Update Doc [`#8442`](https://github.com/ImageMagick/ImageMagick/pull/8442)

### Commits

- beta release [`a5ad8fb`](https://github.com/ImageMagick/ImageMagick/commit/a5ad8fb4ca03acd1db7ec7e96bbe482e3e6265ba)
- https://github.com/ImageMagick/ImageMagick/issues/8410 [`5735e8c`](https://github.com/ImageMagick/ImageMagick/commit/5735e8c1c5bf663b7bccd3ae9ad2444ea7ffdd96)
- Bumped versions of download and upload artifacts actions. [`ab36309`](https://github.com/ImageMagick/ImageMagick/commit/ab36309d95aa254f411eeef2f00d84d4a7738158)
- https://github.com/ImageMagick/ImageMagick/issues/8416 [`e8c31c9`](https://github.com/ImageMagick/ImageMagick/commit/e8c31c9fe24099b4b1b9788cccdf4e6a365022ee)
- Move writing of the IDAT chunk to the end to silence a warning in exiftool (#8400) [`fe6925d`](https://github.com/ImageMagick/ImageMagick/commit/fe6925d0d3d4f2bfe1efd1c1d0c0c55e96665c2e)
- https://github.com/ImageMagick/ImageMagick/issues/8422 [`d0b07ac`](https://github.com/ImageMagick/ImageMagick/commit/d0b07ac82bc9acd659ff3674146a7016f9766d01)
- Minor refactor. [`47a94a3`](https://github.com/ImageMagick/ImageMagick/commit/47a94a361360a316ce144ec901b4b3cefd10c5a5)
- Only use output values from environment variables. [`aa13999`](https://github.com/ImageMagick/ImageMagick/commit/aa139993952241728fb27643ad09cac8f6bd5bf6)
- Changed indentation. [`dcd54a5`](https://github.com/ImageMagick/ImageMagick/commit/dcd54a52c38445643061bf1e1722ce149c52f983)
- Pin actions. [`6cf8cfc`](https://github.com/ImageMagick/ImageMagick/commit/6cf8cfcfc8aef022984e8c8f8027932d1f0c48b6)
- Changed indentation. [`1beebc9`](https://github.com/ImageMagick/ImageMagick/commit/1beebc9f8849af730231a13d5b7f5ff9a287ad3d)
- No longer persist credentials on checkout. [`44525f4`](https://github.com/ImageMagick/ImageMagick/commit/44525f4763d7db33857ee25b5257cf3594fda08a)
- Added cooldown to dependabot.yml [`9d6611b`](https://github.com/ImageMagick/ImageMagick/commit/9d6611bdbd3bd26c8ff779296482e9a3a859c1bc)
- No longer persist credentials on checkout. [`62357f9`](https://github.com/ImageMagick/ImageMagick/commit/62357f9770c1587c2c89e852b712fa97eaeb4547)
- Also pin the version of the msys2 action. [`6d4f89d`](https://github.com/ImageMagick/ImageMagick/commit/6d4f89dd9fc6cbae9a10d7c1d23b00f8e5957c37)
- Removed duplicate eof check. [`d356c51`](https://github.com/ImageMagick/ImageMagick/commit/d356c513ac770804a1930c50dc7e1f3944d943e6)
- Added custom end of file check to the pnm encoder to allow a missing final newline (#8425) [`7404bd0`](https://github.com/ImageMagick/ImageMagick/commit/7404bd00879aa0a515d7760d6fdd889e39542f41)
- Updated the Windows dependencies. [`72c1050`](https://github.com/ImageMagick/ImageMagick/commit/72c10504a15c0e4f4aa74529828f14a11f6df5db)
- Close temporary file to make sure it can be opened again (#8420) [`be66a21`](https://github.com/ImageMagick/ImageMagick/commit/be66a21dad201f927907c926a8bbdc84a35c3456)
- latest autoconf/automake updates [`81eb8eb`](https://github.com/ImageMagick/ImageMagick/commit/81eb8ebd91343a87ccad736e85725c323b91f949)
- Use the colorspace when writing images that have a color map in the pnm coder (#8429). [`2a9f7c6`](https://github.com/ImageMagick/ImageMagick/commit/2a9f7c63c073af04850642de562e4acf3925a0ca)
- Use if statements instead. [`389238f`](https://github.com/ImageMagick/ImageMagick/commit/389238fd4d44bbcdade078f620673487400ddc47)
- Allow reading old Quickdraw PICT files that directly start with the size of the image (#8381). [`9002a93`](https://github.com/ImageMagick/ImageMagick/commit/9002a93a94ff151795624499da3535a0c9408d1a)
- Clone the correct repositories for the release. [`77a2c99`](https://github.com/ImageMagick/ImageMagick/commit/77a2c99d4c3b55f54f86ebb1eb5c524d39ef34c7)
- Improved the jpeg coder by calculating the range only once instead of every pixel channel. [`602c436`](https://github.com/ImageMagick/ImageMagick/commit/602c43695a0bb7e60a58b62f6257959407681492)
- Updated the Windows dependencies. [`9c0546a`](https://github.com/ImageMagick/ImageMagick/commit/9c0546a6e2c3512ebfdcc94f6bedfd45977bc9b3)
- Correct incorrect free (GHSA-q3hc-j9x5-mp9m) [`6f81eb1`](https://github.com/ImageMagick/ImageMagick/commit/6f81eb15f822ad86e8255be75efad6f9762c32f8)
- Removed incorrect format specifier. [`a5ac3c1`](https://github.com/ImageMagick/ImageMagick/commit/a5ac3c15e6bfc85eaae036223e01166335db5421)
- Switch to cmake with the oss-fuzz build of libde265. [`cf149f5`](https://github.com/ImageMagick/ImageMagick/commit/cf149f56140f10181c6f269eab38bb6607821f04)
- Correct parsing of the density (#8460) [`f46647c`](https://github.com/ImageMagick/ImageMagick/commit/f46647c0303824b005575ce8edebd018178fbfd9)
- Added Visual Studio 2026. [`67f7f33`](https://github.com/ImageMagick/ImageMagick/commit/67f7f33ff88ebe66ee90739775e41abdd7f1c283)
- enable coder policy "write" rights for MVG coder [`85c04c1`](https://github.com/ImageMagick/ImageMagick/commit/85c04c1627d91ffc14657ebba2884167af71aeee)
- Silence macos warning. [`a70f4b8`](https://github.com/ImageMagick/ImageMagick/commit/a70f4b833318bdbcacc3b70eed32e2999f09137b)
- Disabling a module will now also disable all the coders in that module. [`061b7b2`](https://github.com/ImageMagick/ImageMagick/commit/061b7b28d807d9295ddf2bf12b2eaa63f53a015c)
- Updated the Windows dependencies. [`5cff2fc`](https://github.com/ImageMagick/ImageMagick/commit/5cff2fc4fbbbe4d2fa12728d2f29eed36ef3e183)
- release [`a90c050`](https://github.com/ImageMagick/ImageMagick/commit/a90c0505dcb65c8caff3c545be10afea6028ec8f)

## [7.1.2-8](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-7...7.1.2-8) - 2025-10-26

### Commits

- beta release [`d56b6af`](https://github.com/ImageMagick/ImageMagick/commit/d56b6afca237907a351681bf8cd7929e24ec91aa)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-wpp4-vqfq-v4hp [`7b47fe3`](https://github.com/ImageMagick/ImageMagick/commit/7b47fe369eda90483402fcd3d78fa4167d3bb129)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-g5vw-p55v-8742 [`8547a24`](https://github.com/ImageMagick/ImageMagick/commit/8547a24f1b3bf4802592c77b97b969e2ee54f634)
- Also install squashfs-tools for the AppImage build. [`336f2b8`](https://github.com/ImageMagick/ImageMagick/commit/336f2b8dbeda00b269cd40b61abfd207eac229f3)
- Updated the Windows dependencies. [`30bafbf`](https://github.com/ImageMagick/ImageMagick/commit/30bafbfae05a9c0a5fe4b9251210f947c3c876f2)
- https://github.com/ImageMagick/ImageMagick6/pull/343#issuecomment-3438433150 [`2300ae5`](https://github.com/ImageMagick/ImageMagick/commit/2300ae543abb9ee0783fe783438f4a7a9e696fd5)
- release [`a3b13d1`](https://github.com/ImageMagick/ImageMagick/commit/a3b13d143fd7dea44cd71d31aa02f411b597688f)

## [7.1.2-7](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-6...7.1.2-7) - 2025-10-14

### Merged

- Bump github/codeql-action from 3 to 4 [`#8397`](https://github.com/ImageMagick/ImageMagick/pull/8397)

### Commits

- release [`47ef758`](https://github.com/ImageMagick/ImageMagick/commit/47ef758200e7d898cdce6fb25a0bdc1ed7b0cc65)

## [7.1.2-6](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-5...7.1.2-6) - 2025-10-12

### Commits

- beta release [`ea5af7e`](https://github.com/ImageMagick/ImageMagick/commit/ea5af7e25b4cab9ddd38f6e8e9075feaf7d09f26)
- Only use the page number when it is valid (#8373). [`c7a3cd9`](https://github.com/ImageMagick/ImageMagick/commit/c7a3cd90a0738a37ba4ffc25a2894debcff7a6de)
- Updated the Windows dependencies. [`a4a6259`](https://github.com/ImageMagick/ImageMagick/commit/a4a62596bc93d6f168b7a5cd3d0e752ccfe1f475)
- Added missing check for the return value of ResizeImage. [`98686c7`](https://github.com/ImageMagick/ImageMagick/commit/98686c7f6b2b99631c557b38607c48eb52e77167)
- Updated the Windows dependencies and configure. [`9980b11`](https://github.com/ImageMagick/ImageMagick/commit/9980b118eee2e26acc68ac2015ee1c5aad61e9f6)
- Whitespace. [`a088c39`](https://github.com/ImageMagick/ImageMagick/commit/a088c395d734015a70ba72f3cf6ac030324a5d85)
- Revert MSYS patches to resolve issue report in #8382. [`4cedb50`](https://github.com/ImageMagick/ImageMagick/commit/4cedb506d140496d49c9e150768f840631f9d902)
- Corrected type of mode_t for the MSYS2 build. [`3ec53af`](https://github.com/ImageMagick/ImageMagick/commit/3ec53af711f9240b4a78b9994343ba11b1e8621c)
- Disabled cache in the msys2 build. [`7497aa9`](https://github.com/ImageMagick/ImageMagick/commit/7497aa97bd0b7809fafdc8a4d445c924876ea387)
- Patches to fix compilation errors in our MSYS2 build. [`677d7b7`](https://github.com/ImageMagick/ImageMagick/commit/677d7b743fcbd7132ac11dade52a19493f58f647)
- Added extra check to resolve issue on 32-bit systems (https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-9pp9-cfwx-54rm) [`cea1693`](https://github.com/ImageMagick/ImageMagick/commit/cea1693e2ded51b4cc91c70c54096cbed1691c00)

## [7.1.2-5](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-3...7.1.2-5) - 2025-10-06

### Merged

- Bump actions/setup-python from 5 to 6 [`#8349`](https://github.com/ImageMagick/ImageMagick/pull/8349)

### Commits

- beta release [`6ed8309`](https://github.com/ImageMagick/ImageMagick/commit/6ed830980bceeed5766c699d70a00c89b14f75fb)
- Whitespace [`4b0ce67`](https://github.com/ImageMagick/ImageMagick/commit/4b0ce67c9a20fe6d72ed59b7dc327b1042f57c4f)
- Updated configure. [`900a797`](https://github.com/ImageMagick/ImageMagick/commit/900a797a727479edf58b5032a883835913262c05)
- Link the runtime in the static portable windows build (#8345). [`08f1d26`](https://github.com/ImageMagick/ImageMagick/commit/08f1d262586e500951fedf0d6ede2ff949a5ada1)
- Download the correct version of the dependencies for the portable Windows build. [`5649ff1`](https://github.com/ImageMagick/ImageMagick/commit/5649ff1ed73a6badc90823618efe9711c5f38c68)
- Fix issue where the size of a line is extended to 70 characters when writing a PBM image (#8346). [`cf3ff3b`](https://github.com/ImageMagick/ImageMagick/commit/cf3ff3b60f38d4765623639a4250bfb803480102)
- Don't allocate twice the size of the array but terminate it properly instead. [`774faeb`](https://github.com/ImageMagick/ImageMagick/commit/774faebab627b2c0c3e03d7bf8f8f536beeb6f48)
- respect "pointsize" setting [`3e67a4b`](https://github.com/ImageMagick/ImageMagick/commit/3e67a4b041ec78322bf8e566a96e480b2adc2c5d)
- Corrected initialization of the dash_pattern in the C++ Options class. [`0a1fd9d`](https://github.com/ImageMagick/ImageMagick/commit/0a1fd9d1ba89191587b385907519be1fa650182b)
- Make sure the quantum_type is not changed when reading tiff images with separate planes of data. [`ffd40c9`](https://github.com/ImageMagick/ImageMagick/commit/ffd40c95dc61c6cfb0f6ab0650c192a75ee66cb8)
- Cosmetic. [`a20bf14`](https://github.com/ImageMagick/ImageMagick/commit/a20bf14a73982eeecdd7a42c96a5415b3f017950)
- Moved writing of channels to a separate method in the tiff encoder. [`bf8fd3a`](https://github.com/ImageMagick/ImageMagick/commit/bf8fd3aa381d71e65457a8786859eb86f2f31eb3)
- Fixed build. [`e1bb414`](https://github.com/ImageMagick/ImageMagick/commit/e1bb41401b55486a87ba2a118a654419b928cfb0)
- Raise exception when importing or exporting pixels alpha pixels and the image has no alpha channel. [`1c45270`](https://github.com/ImageMagick/ImageMagick/commit/1c452703a43a331e324c2f54667cb4905fe73144)
- Added ExportPixelChannel that can be used to export a specific channel and use that for single channel exports. [`002f1d3`](https://github.com/ImageMagick/ImageMagick/commit/002f1d3f697e28f6ff6ebcfe45e70bf0ddd893fa)
- Added ImportPixelChannel that can be used to export a specific channel and use that for single channel imports. [`1414cbd`](https://github.com/ImageMagick/ImageMagick/commit/1414cbdf14963da7e8e7091ebfb798292529a93d)
- Also throw an exception in ImpoortOpacityQuantum and ExportOpacityQuantum when the image has no alpha channel. [`1f53bd2`](https://github.com/ImageMagick/ImageMagick/commit/1f53bd22ec25c6a2460fb62e7eb623a823c0a275)
- Extra images will be added as meta channels when combining images. [`2ec2c75`](https://github.com/ImageMagick/ImageMagick/commit/2ec2c75db313d3d8e83d99e5a82462230f713497)
- Corrected languages for CodeQl analysis. [`989b0c9`](https://github.com/ImageMagick/ImageMagick/commit/989b0c9b1bf3ea3a5653fa7980e960999045772c)
- Limit the permissions of our workflows. [`1b3777c`](https://github.com/ImageMagick/ImageMagick/commit/1b3777c8507ef62b64f881a24ac50aa4def26fbb)
- Also run CodeQL on our actions. [`4f2fb31`](https://github.com/ImageMagick/ImageMagick/commit/4f2fb31cd7e197fde90291bcc0c300f68c4b2d0f)
- Removed duplicate permission definition. [`20147db`](https://github.com/ImageMagick/ImageMagick/commit/20147db6a339763441bdb634460291bf37931ab6)
- Fixed copy paste mistake. [`5741f3d`](https://github.com/ImageMagick/ImageMagick/commit/5741f3d49d382dae47b0741f7b7e5d1233cb3e1c)
- Fixed step size calculation when importing or exporting a single channel. [`591f316`](https://github.com/ImageMagick/ImageMagick/commit/591f3160e1937dd0af6a4a4805ad63621bb8f3af)
- Corrected check for the alpha channel. [`8dab4dc`](https://github.com/ImageMagick/ImageMagick/commit/8dab4dcf99b97df79a0d6cbba0846c72ce1bfef8)
- Added option to specify which meta channel should be imported or exported to the QuantumInfo. [`2f5c379`](https://github.com/ImageMagick/ImageMagick/commit/2f5c379ab5a8fc604caaa5d3f691cd7b9992b1da)
- Added support for reading and writing meta channels in a TIFF images with separate planes of data. [`0fb2096`](https://github.com/ImageMagick/ImageMagick/commit/0fb2096d59b4c47b0136508b34a56af14e28f011)
- promote photometric tag to required [`4317590`](https://github.com/ImageMagick/ImageMagick/commit/4317590cd9b07f4acbb620753785c59ae958a14f)
- check raw profile length [`170b330`](https://github.com/ImageMagick/ImageMagick/commit/170b330ba1017f738d985da1749121f45047d076)
- Revert incorrect and add double typecast to silence a build error (#8359). [`b7baa4e`](https://github.com/ImageMagick/ImageMagick/commit/b7baa4e419c2316de4a7d01e4cf794992f74598f)
- Some more tweaks to the workflows. [`8611dd5`](https://github.com/ImageMagick/ImageMagick/commit/8611dd58f834c3f31f3c41b85b1aa4338ef1b728)
- The SECURITY.md has moved to https://github.com/ImageMagick/.github. [`834a756`](https://github.com/ImageMagick/ImageMagick/commit/834a756c704438016f19f9a7b6a4a295c0859771)
- Removed non-existent option (#8371). [`9e55508`](https://github.com/ImageMagick/ImageMagick/commit/9e555087b5cd77d84274d1534d8913663a23857a)
- Use -fps_mode instead of -vsync because the latter is deprecated (#8371) [`3bf1076`](https://github.com/ImageMagick/ImageMagick/commit/3bf1076d748a5ec40073685ce71ca9222cf0b00c)
- Updated configure and the dependencies of the Windows build. [`db0c4fa`](https://github.com/ImageMagick/ImageMagick/commit/db0c4fa55c1f286d09159888510ef340467ee1fb)
- Corrected initialization of the magic_list (#8377). [`f529946`](https://github.com/ImageMagick/ImageMagick/commit/f52994640e4b267e1b13d83d6e7e27dcdcba7828)
- Corrected name of filter library because they now also include DB and RL in the name on Windows (#8376). [`893545b`](https://github.com/ImageMagick/ImageMagick/commit/893545b1402fe100f7f5c01bdd9f924f1eae4088)
- Removed unused marker from the arguments. [`0bb3b2b`](https://github.com/ImageMagick/ImageMagick/commit/0bb3b2bbae577295d05bfb27e0a94799d04b5372)
- Improved output of filter list on Windows. [`29a73cd`](https://github.com/ImageMagick/ImageMagick/commit/29a73cd880fbc8d54639b81bcac7572a5e4f9c2f)
- Added extra checks to make sure we only set the orientation when possible. [`0647987`](https://github.com/ImageMagick/ImageMagick/commit/064798798c13e1582f40407ca4fd206f4ec87fcf)
- Fix for msys build. [`badaa5c`](https://github.com/ImageMagick/ImageMagick/commit/badaa5c3582a340484941903fa26419b5807d0df)
- latest documentation [`993b5d2`](https://github.com/ImageMagick/ImageMagick/commit/993b5d2725b3f84575d13649b4c92c2bff1029da)
- latest autoconf/automake update [`24a927c`](https://github.com/ImageMagick/ImageMagick/commit/24a927c39855dabb6818c15f62d91af6a083fa7f)
- Moved windows-release to the release pipeline and also attach them to the created release. [`d20215e`](https://github.com/ImageMagick/ImageMagick/commit/d20215eb0e840e49b1da24bba0ca24b5299f66f2)
- https://github.com/ImageMagick/ImageMagick/issues/8375 [`5e3b82d`](https://github.com/ImageMagick/ImageMagick/commit/5e3b82d8a8db5c2776515b7d65be25c1b0c168b5)
- https://github.com/ImageMagick/ImageMagick/issues/8375 [`bb90380`](https://github.com/ImageMagick/ImageMagick/commit/bb9038036831107cafb83c71f26dab1ed2a6cb31)
- https://github.com/ImageMagick/ImageMagick/issues/8375#issuecomment-3369175313 [`d989021`](https://github.com/ImageMagick/ImageMagick/commit/d9890211607c7a9eee8fd0a4dbc533ceab10ea46)
- Restored condition. [`96a10dd`](https://github.com/ImageMagick/ImageMagick/commit/96a10dd8b5142fd3caea7ac0f91962d112178b29)
- https://github.com/ImageMagick/ImageMagick/issues/8384 [`67a7dbf`](https://github.com/ImageMagick/ImageMagick/commit/67a7dbfce8bd8a0a7dcb279dcdd286417ec0a2ac)
- bump beta release [`7d94ecf`](https://github.com/ImageMagick/ImageMagick/commit/7d94ecf418feb4a19f50fd938a0203897edd065d)
- ... [`4a620c2`](https://github.com/ImageMagick/ImageMagick/commit/4a620c2a89a7481e83cb4a0ff32db0ccbb3afcd2)

## [7.1.2-3](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-2...7.1.2-3) - 2025-08-30

### Commits

- beta release [`610fc36`](https://github.com/ImageMagick/ImageMagick/commit/610fc366341ea580a2ac26ed11621a2f2e864c2e)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-23hg-53q6-hqfg [`077a417`](https://github.com/ImageMagick/ImageMagick/commit/077a417a19a5ea8c85559b602754a5b928eef23e)
- leverage SetBlobExtent() [`331efb4`](https://github.com/ImageMagick/ImageMagick/commit/331efb40968a58fed8106b1e3ea27ab99dc33030)
- include loadavg.h header [`2df29d4`](https://github.com/ImageMagick/ImageMagick/commit/2df29d4377b5882c0b3d63776964c74992bcff69)
- Close the blob so we can re-open it again (#8327). [`ea3338c`](https://github.com/ImageMagick/ImageMagick/commit/ea3338c6ab5b19c1a1e82b98b114400effe5a660)
- Use a different repository for the build binaries. [`10ba245`](https://github.com/ImageMagick/ImageMagick/commit/10ba245ba471a79b2c5d84e466ec9267ad8fde2b)
- Updated the Windows dependencies. [`c476635`](https://github.com/ImageMagick/ImageMagick/commit/c476635ea50210bab944871f408d11adeacaae92)
- release [`147bc9c`](https://github.com/ImageMagick/ImageMagick/commit/147bc9c12ce8fbc1e94af5b5f6f0643ca410103a)

## [7.1.2-2](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-1...7.1.2-2) - 2025-08-24

### Merged

- cache.c: Fix unused function warning [`#8309`](https://github.com/ImageMagick/ImageMagick/pull/8309)
- Bump actions/checkout from 4 to 5 [`#8304`](https://github.com/ImageMagick/ImageMagick/pull/8304)
- Fix infinite loop when decoding JXL with `-limit height/width` [`#8303`](https://github.com/ImageMagick/ImageMagick/pull/8303)

### Commits

- beta release [`0ba1b58`](https://github.com/ImageMagick/ImageMagick/commit/0ba1b587be17543b664f7ad538e9e51e0da59d17)
- Updated configure. [`50991bb`](https://github.com/ImageMagick/ImageMagick/commit/50991bb300fb1ee54c72d039e5d6f60ed2dd4943)
- Added checks for invalid with or height to ThumbnailImage (https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-fh55-q5pj-pxgw) [`43d92bf`](https://github.com/ImageMagick/ImageMagick/commit/43d92bf855155e8e716ecbb50ed94c2ed41ff9f6)
- Added support for reading 8 bit alpha only dds images (#8178) [`485edb0`](https://github.com/ImageMagick/ImageMagick/commit/485edb0144044e0219408a3d110d4d41bbc18118)
- https://github.com/ImageMagick/ImageMagick/issues/8301 [`ceed8c7`](https://github.com/ImageMagick/ImageMagick/commit/ceed8c7ffe5d70f52732b82a9f104b78ef72936d)
- Code style changes. [`1d93c1f`](https://github.com/ImageMagick/ImageMagick/commit/1d93c1f32b71fb18f95f5c5be2ccfae4fe78f6b6)
- Corrected getting the screenshot on Windows when the screen is scaled larger than 100% (#8278). [`54edf56`](https://github.com/ImageMagick/ImageMagick/commit/54edf56c828b6ff4a84febdf7a80d4e3016b81cc)
- latest documentation update [`ec03e19`](https://github.com/ImageMagick/ImageMagick/commit/ec03e1933bab4c78f249dce15debe6e903f5d422)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-9ccg-6pjw-x645 [`1f93323`](https://github.com/ImageMagick/ImageMagick/commit/1f93323df9d8c011c31bc4c6880390071f7fb895)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-fh55-q5pj-pxgw [`5f0bcf9`](https://github.com/ImageMagick/ImageMagick/commit/5f0bcf986b8b5e90567750d31a37af502b73f2af)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-9ccg-6pjw-x645 [`439b362`](https://github.com/ImageMagick/ImageMagick/commit/439b362b93c074eea6c3f834d84982b43ef057d5)
- https://github.com/ImageMagick/ImageMagick/issues/8306 [`d32cc81`](https://github.com/ImageMagick/ImageMagick/commit/d32cc818426d4b9eaa8cb0a06af8296e33e2baaf)
- Change the colorspace to GrayScale when an exr image only has a single Y channel (#8305) [`013e870`](https://github.com/ImageMagick/ImageMagick/commit/013e870519996fd792ed849cf14eee91c8284131)
- Use APP_MARKER for consistency. [`fa329ce`](https://github.com/ImageMagick/ImageMagick/commit/fa329cefcec7dec5fbe7818338cbd9517ea6c11f)
- The profile should be destroyed after setting the image profile to make sure we read all app1 profiles correctly. [`d0db804`](https://github.com/ImageMagick/ImageMagick/commit/d0db80477e14ee04cc73a006a78ab6892b07a369)
- Updated the Windows dependencies. [`f31204c`](https://github.com/ImageMagick/ImageMagick/commit/f31204ce6022899d3d9628461ef45f2360adb41e)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-mxvv-97wh-cfmm [`2c55221`](https://github.com/ImageMagick/ImageMagick/commit/2c55221f4d38193adcb51056c14cf238fbcc35d7)
- cosmetic [`5bf7e62`](https://github.com/ImageMagick/ImageMagick/commit/5bf7e62d417ad16be8c27722a88bccdbef319b31)
- https://gist.github.com/mescuwa/9197f4317a69559cdf87d0bfab6fa473 [`8f0a198`](https://github.com/ImageMagick/ImageMagick/commit/8f0a198216a701779b7b8784512b0f90613a801f)
- https://gist.github.com/mescuwa/9197f4317a69559cdf87d0bfab6fa473 [`7f24ea7`](https://github.com/ImageMagick/ImageMagick/commit/7f24ea77d2708a56b5330e716209b071cf23ec66)
- release [`8289a33`](https://github.com/ImageMagick/ImageMagick/commit/8289a3388a085ad5ae81aa6812f21554bdfd54f2)

## [7.1.2-1](https://github.com/ImageMagick/ImageMagick/compare/7.1.2-0...7.1.2-1) - 2025-08-11

### Merged

- Bump actions/download-artifact from 4 to 5 [`#8296`](https://github.com/ImageMagick/ImageMagick/pull/8296)
- Use OpenMP in ashlar [`#8288`](https://github.com/ImageMagick/ImageMagick/pull/8288)
- Fix compressed exr reading [`#8285`](https://github.com/ImageMagick/ImageMagick/pull/8285)
- Fix validation issues in SF3 [`#8252`](https://github.com/ImageMagick/ImageMagick/pull/8252)
- Add support for Simple File Format Family (SF3) images [`#8243`](https://github.com/ImageMagick/ImageMagick/pull/8243)

### Commits

- beta release [`69f5e59`](https://github.com/ImageMagick/ImageMagick/commit/69f5e593c93345e2f0a54096270ce87aa100e861)
- latest autoconf/automake updates [`65c443c`](https://github.com/ImageMagick/ImageMagick/commit/65c443c54e97e24ad6499bb957ffc07e3b845e1c)
- use /* */ for comments [`ff8a80f`](https://github.com/ImageMagick/ImageMagick/commit/ff8a80f546abf0d2268194cf4645998f35276a4d)
- eliminate compiler warning [`a18c2a8`](https://github.com/ImageMagick/ImageMagick/commit/a18c2a830c923b74f9e713a5d5faa92ff876e887)
- need to conditionally compile based on the availability of zlib [`e779f7a`](https://github.com/ImageMagick/ImageMagick/commit/e779f7aadff293c646ca775893391464e558eb0c)
- eliminate dependency on zlib [`dffe526`](https://github.com/ImageMagick/ImageMagick/commit/dffe5263865e4d8d858d1eebe2504790f573fbd9)
- wait until more mature before we can robustly validate SF3 [`77e3513`](https://github.com/ImageMagick/ImageMagick/commit/77e3513aa3f0b25d8e56c9891dbdfaf0e364dbb8)
- eliminate compiler warning; check max image dimensions [`649a68a`](https://github.com/ImageMagick/ImageMagick/commit/649a68a187b67a5cf61c276d87fd4dfc3a91721d)
- eliminate unitialized local variable [`0a24c65`](https://github.com/ImageMagick/ImageMagick/commit/0a24c65f432dc9e08f8865412169e5e936009b0d)
- potentially uninitialized local variable [`ad5cf7e`](https://github.com/ImageMagick/ImageMagick/commit/ad5cf7e5d78f3f9d738f647103c1ddc06533e78b)
- eliminate potential memory leak [`0e9f472`](https://github.com/ImageMagick/ImageMagick/commit/0e9f472f787287133cfb8732bb3aca9a4305ed25)
- check for EOF [`1ced145`](https://github.com/ImageMagick/ImageMagick/commit/1ced145536456c8bb68cfefc7262a1ff53551f62)
- Use the pre-build binaries of the dependencies in the Windows build. [`5ee2f01`](https://github.com/ImageMagick/ImageMagick/commit/5ee2f01a974d8d3f98bb74e1f5b568846788ebe6)
- Added missing typecast. [`d0185ab`](https://github.com/ImageMagick/ImageMagick/commit/d0185ab686461f239066897de1bc034d6bad3f51)
- Moved PKGBUILD file for the MSYS2 build to this project. [`a04b3b4`](https://github.com/ImageMagick/ImageMagick/commit/a04b3b4413be34dd5e43d019a18e049f6e7570e1)
- set any image depth &lt; 8 to 8 [`8f61ab8`](https://github.com/ImageMagick/ImageMagick/commit/8f61ab81e2423b38b2ea194c173c3991ed16345f)
- Corrected indentation. [`5d03571`](https://github.com/ImageMagick/ImageMagick/commit/5d035716efde23a90d07abbd864d37d17021ea9d)
- Use the pre-build dependencies in the daily Windows build. [`fce56a5`](https://github.com/ImageMagick/ImageMagick/commit/fce56a504a608ceb0c2f418ca7fce47fcd2e1e8a)
- Added missing download of Configure. [`0b8c801`](https://github.com/ImageMagick/ImageMagick/commit/0b8c801a166033cd2c7dff5a21952b67cf976151)
- Consistent naming. [`ef7fe51`](https://github.com/ImageMagick/ImageMagick/commit/ef7fe51432d83e2463e0f287228f0075c5cd35ec)
- Use the PKGBUILD file of this repository in the daily MSYS build. [`1c50abb`](https://github.com/ImageMagick/ImageMagick/commit/1c50abba4e89061332df84cbd5dbae404b82b74a)
- eliminate clang compiler warning [`545fbf2`](https://github.com/ImageMagick/ImageMagick/commit/545fbf28e7854a29d15f19c62fd1dd274e53879d)
- Updated the release build to use the pre-build dependencies in the Windows build. [`d23355d`](https://github.com/ImageMagick/ImageMagick/commit/d23355d679a009b40c6f96bd0db25bf21b7430eb)
- Updated the windows release build to use the pre-build dependencies. [`8e3dedf`](https://github.com/ImageMagick/ImageMagick/commit/8e3dedfaa9899ac51f083b310e4b212d20ccab76)
- Corrected matrix settings for the Windows release build. [`c4f9f9e`](https://github.com/ImageMagick/ImageMagick/commit/c4f9f9ee3b85e2e81b1dd7ae228bdf9d7c65dd7c)
- Corrected path for the Inno file in the Windows release build. [`3169ead`](https://github.com/ImageMagick/ImageMagick/commit/3169eadf831c7fe4113fff1455b6fcd44036d05c)
- Use the sign cli to sign the files instead. [`609c44a`](https://github.com/ImageMagick/ImageMagick/commit/609c44a84f8ec824b2b8412c0e7effc38d483949)
- Only build magick with the portable release. [`29c2475`](https://github.com/ImageMagick/ImageMagick/commit/29c2475c8abfa884a5391d1e001a98093e69c81b)
- Also sign the executables and libraries. [`b788839`](https://github.com/ImageMagick/ImageMagick/commit/b788839d79328938f3b7147181fa2e348f04e0c2)
- Added missing space. [`c96e55c`](https://github.com/ImageMagick/ImageMagick/commit/c96e55c58201628b5cee129ed649cff674c3dfe8)
- read TrueType Dejavu fonts [`556cb31`](https://github.com/ImageMagick/ImageMagick/commit/556cb31c804559e9144709e955f5e2bd9b17b5e3)
- Use the new Windows repository for the source archive in the Windows release. [`912df67`](https://github.com/ImageMagick/ImageMagick/commit/912df677eb52c3b6c6f9d9bdc00dc5f367826cf3)
- Run autoreconf in the code-analysis pipeline. [`eb6a019`](https://github.com/ImageMagick/ImageMagick/commit/eb6a019ef1686e0f26b34918c444ce0a43b9cb92)
- Corrected path to file to upload. [`b798f5d`](https://github.com/ImageMagick/ImageMagick/commit/b798f5d711edb4f06b5a3be712b42255a39b9bde)
- Updated version of configure. [`7cec5ee`](https://github.com/ImageMagick/ImageMagick/commit/7cec5eec4e80d82fdc3585cebc4303a098a3b596)
- https://github.com/ImageMagick/ImageMagick/issues/8261 [`8255075`](https://github.com/ImageMagick/ImageMagick/commit/82550750ec8f79393b381c3ed349dd495bbab8a7)
- don't forget the end filename segment [`d46d1e5`](https://github.com/ImageMagick/ImageMagick/commit/d46d1e5be71c865f674f27ec1031a871c1cc48ab)
- more boundary checks [`6c7c8d5`](https://github.com/ImageMagick/ImageMagick/commit/6c7c8d5866b9c0ce6cc76a741e05b9482716101e)
- account for epsilon when fuzzing [`544c4fd`](https://github.com/ImageMagick/ImageMagick/commit/544c4fd6f7a2f4b76f1e07c7f1f050f6cf6734a4)
- account for epsilon for fuzz comparison [`dc59667`](https://github.com/ImageMagick/ImageMagick/commit/dc59667837562e7fe7444fc6ad38cb61eb9fe785)
- robust significant error detection based on fuzz [`2d055c2`](https://github.com/ImageMagick/ImageMagick/commit/2d055c2d0ef0e5df1d7e44b039470ce5e04ef8a5)
- eliminate compiler exception [`95eb90d`](https://github.com/ImageMagick/ImageMagick/commit/95eb90d2b11d8876839c2b6a769c40f04a3fca8f)
- Always remove the downloaded files.zip file. [`e3863b6`](https://github.com/ImageMagick/ImageMagick/commit/e3863b6101ce3eaa551b66fdb4c58119a0eb7ce5)
- Unzip exits with a non zero exit code so the remove of the zip file should be as an or statement. [`1c6b698`](https://github.com/ImageMagick/ImageMagick/commit/1c6b6986986c3709da5ed954da782694c51f69f8)
- update to latest documentation [`732a718`](https://github.com/ImageMagick/ImageMagick/commit/732a718eda1c3969ed808a0a776be52cb15f8740)
- https://github.com/ImageMagick/ImageMagick/issues/8272 [`305e383`](https://github.com/ImageMagick/ImageMagick/commit/305e383c8ac7b30bc2ee96ab8c43ec96217ec2a9)
- Update the pre-build dependencies. [`6fa77ac`](https://github.com/ImageMagick/ImageMagick/commit/6fa77acac7abe22c02a501be5529ec4059eaa5bf)
- Make scripts executable. [`dd8b9df`](https://github.com/ImageMagick/ImageMagick/commit/dd8b9dfb991e8335117e6b8f434b5405c72b714d)
- Update the pre-build dependencies. [`d52f662`](https://github.com/ImageMagick/ImageMagick/commit/d52f662b796a8deceaa7e6dba883be80e76c5a87)
- cosmetic [`29a0bea`](https://github.com/ImageMagick/ImageMagick/commit/29a0bea8f03f8cd7f332fb26dea9ed9da46894e1)
- Corrected format string. [`e16cb77`](https://github.com/ImageMagick/ImageMagick/commit/e16cb77ba0097fa6f3f702155c681c5ceb2e63c8)
- support dynamic cpu throttling relative to the system load average [`6480914`](https://github.com/ImageMagick/ImageMagick/commit/64809145bfded47047b38513d32cbb356457a21d)
- check return value of getloadavg() [`268afe9`](https://github.com/ImageMagick/ImageMagick/commit/268afe903858a700edabf72f238cfe123b38e0fd)
- ... [`48e8ece`](https://github.com/ImageMagick/ImageMagick/commit/48e8ecee0ff5b5ed68b75d98a1bd6694d0834f40)
- Updated the pre-build dependencies and configure. [`d19bd5a`](https://github.com/ImageMagick/ImageMagick/commit/d19bd5ab6aa9495df2d86e66841066c36d04e5a8)
- Specify a version for the runners instead of using the latest. [`f86cbbd`](https://github.com/ImageMagick/ImageMagick/commit/f86cbbd7c9060ecec5255862a056874e95e959d3)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-cjc8-g9w8-chfw [`55d9705`](https://github.com/ImageMagick/ImageMagick/commit/55d97055e00a7bc7ae2776c99824002fbb4a72aa)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-v393-38qx-v8fp [`b68bb6d`](https://github.com/ImageMagick/ImageMagick/commit/b68bb6d3cfe472d5bd9329b4172e2e4f63d90a57)
- Updated configure. [`0ef6dd4`](https://github.com/ImageMagick/ImageMagick/commit/0ef6dd4f8a8082d31bd66baf3c2a2236f80f4f9f)
- cosmetic, use a define [`ecc9a5e`](https://github.com/ImageMagick/ImageMagick/commit/ecc9a5eb456747374bae8e07038ba10b3d8821b3)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-qp29-wxp5-wh82 [`db986e4`](https://github.com/ImageMagick/ImageMagick/commit/db986e4782e9f6cc42a0e50151dc4fe43641b337)
- https://github.com/ImageMagick/ImageMagick/issues/8292 [`e102c93`](https://github.com/ImageMagick/ImageMagick/commit/e102c93926a88fa5a28014c5b114fe7acd2cfb83)
- eliminate compiler warning [`11b8e53`](https://github.com/ImageMagick/ImageMagick/commit/11b8e5394f3b23b60d0e05547e35907ab09c67e2)
- only update extend width/height in one thread [`c86f7cb`](https://github.com/ImageMagick/ImageMagick/commit/c86f7cb07dff5f36318e7a73e187987c5b6ac1dd)
- don't thread for modest numbers of image tiles [`ffe4ecf`](https://github.com/ImageMagick/ImageMagick/commit/ffe4ecfc037cfb2f9b7d700f9887034a080f8848)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-6hgw-6x87-578x [`63d8769`](https://github.com/ImageMagick/ImageMagick/commit/63d8769dd6a8f32f4096c71be9e08a2c081e47da)
- Updated the pre-build dependencies and configure. [`0284af8`](https://github.com/ImageMagick/ImageMagick/commit/0284af824991c17030397845ec237706872fa9f2)
- Updated the pre-build dependencies. [`24532dd`](https://github.com/ImageMagick/ImageMagick/commit/24532ddc3432ef00f2c235c40cd99f90d4651f20)
- release [`83b6fc3`](https://github.com/ImageMagick/ImageMagick/commit/83b6fc338ae1d38602eb5f6b307393adc3a0e1a7)

## [7.1.2-0](https://github.com/ImageMagick/ImageMagick/compare/7.1.1-47...7.1.2-0) - 2025-07-13

### Merged

- Fix NULL pointer dereference in XWarning [`#8230`](https://github.com/ImageMagick/ImageMagick/pull/8230)
- Change 'Mac OS X' to 'macOS' in descriptions and comments [`#8224`](https://github.com/ImageMagick/ImageMagick/pull/8224)
- fix build when libjpeg is not in its default location [`#8172`](https://github.com/ImageMagick/ImageMagick/pull/8172)
- Support ICN file extension for old Windows icons [`#8107`](https://github.com/ImageMagick/ImageMagick/pull/8107)
- JXL: Preserve ICC profile for lossless encoding [`#8074`](https://github.com/ImageMagick/ImageMagick/pull/8074)
- Remove generated 'magick.sh' from repo [`#8075`](https://github.com/ImageMagick/ImageMagick/pull/8075)
- magick-config.h: Remove redundant block [`#8076`](https://github.com/ImageMagick/ImageMagick/pull/8076)

### Fixed

- JXL: Preserve ICC profile for lossless encoding (#8074) [`#8022`](https://github.com/ImageMagick/ImageMagick/issues/8022)

### Commits

- beta release [`de54c14`](https://github.com/ImageMagick/ImageMagick/commit/de54c14882fe37762f5ee21d01b6d9cd7b8abd56)
- .Renamed CastDoubleToUnsigned to CastDoubleToSizeT [`fd418dd`](https://github.com/ImageMagick/ImageMagick/commit/fd418ddc44eee8e0c8da0546b7e65ca24ca2a2e7)
- Renamed CastDoubleToLong to CastDoubleToSsizeT. [`cbe4770`](https://github.com/ImageMagick/ImageMagick/commit/cbe4770f0c26cbb52cffc6e38553f35e0e58fdb6)
- Use CastDoubleToSizeT instead of doing a typecast. [`f0984f5`](https://github.com/ImageMagick/ImageMagick/commit/f0984f5823263afe898c8cc6afde3743aee30b40)
- Use CastDoubleToSizeT to make sure we avoid invalid values when casting from a double. [`b561299`](https://github.com/ImageMagick/ImageMagick/commit/b561299c7f4d8ef155c086ff06fe12a47fae6fa3)
- Added CastDoubleToUInt and used it in the coders. [`6f23697`](https://github.com/ImageMagick/ImageMagick/commit/6f23697026040a0eda9c93c88aab6006f7ed49e0)
- Added CastDoubleToUShort and used it in the coders. [`07a9f6c`](https://github.com/ImageMagick/ImageMagick/commit/07a9f6c4933adcbd0382cf956775ab99127d7a4c)
- Minor readability improvement. [`93c7efd`](https://github.com/ImageMagick/ImageMagick/commit/93c7efd2d2c00c65bee64f33211e142046a0fd0c)
- Removed 32-bit MSYS build. [`30cd768`](https://github.com/ImageMagick/ImageMagick/commit/30cd768b4ad622e50e195674b11e63560838b578)
- Stop using windows-latest. [`bc34a49`](https://github.com/ImageMagick/ImageMagick/commit/bc34a49cef1fbc442e1751b57f271c3ad3b00101)
- Also target clang64 in the msys2 build. [`75752fd`](https://github.com/ImageMagick/ImageMagick/commit/75752fd608cea705e67feb60d8bcfca0e2308b9a)
- Removed variable that was only assigned but not used. [`84c2b58`](https://github.com/ImageMagick/ImageMagick/commit/84c2b58531206ab245e47689a4c726c128dd8f50)
- Use HeapOverflowSanityCheckGetSize to check for overflow instead. [`6c19acd`](https://github.com/ImageMagick/ImageMagick/commit/6c19acd3787e6653c8e86a6cc97c1c9f988cf293)
- Show a better error message when executing "magick convert" when the project is build with exclusion of the deprecated methods. [`afad44e`](https://github.com/ImageMagick/ImageMagick/commit/afad44e2c4fd2fb59bedd83e4bbe48bcf5bf90f8)
- remove cruft [`e3a2f7e`](https://github.com/ImageMagick/ImageMagick/commit/e3a2f7e142787f28052cebc1f9352aaaf50c0ec2)
- Add another link so hopefully people will first read the security policy documentation before reporting a vulnerability. [`8992b76`](https://github.com/ImageMagick/ImageMagick/commit/8992b76d5b6018ec354c15f62539415f74bbd336)
- Code style changes. [`786d8c6`](https://github.com/ImageMagick/ImageMagick/commit/786d8c6087805e632c0caa5032074b0380fb3585)
- Allow BC5U as a FOURCC format to read a BC5 compressed image (#8082) [`92313f5`](https://github.com/ImageMagick/ImageMagick/commit/92313f5bbe80571fcb0a1831cc6e7b2a158cf7de)
- cosmetic [`a4c963a`](https://github.com/ImageMagick/ImageMagick/commit/a4c963a7e234f2f3aef2c97e035e4c6ca3ca0670)
- don't close a dash array subpath [`741b0ff`](https://github.com/ImageMagick/ImageMagick/commit/741b0ffd553b39d4573c561cd776218ecb8a4e06)
- support -define compare:virtual-pixels=true define [`07d1ba3`](https://github.com/ImageMagick/ImageMagick/commit/07d1ba312e7902a074d785a6aaaf09a1fb76bdd6)
- ebale virtual pixels by default [`7154d1e`](https://github.com/ImageMagick/ImageMagick/commit/7154d1ecb1150a9d0e2c1db64f43974ad3814240)
- you must explicitly set compare:virtual-pixel=false [`2e59567`](https://github.com/ImageMagick/ImageMagick/commit/2e595676577c7faa9945fe8766d2e1e740a9bd32)
- the values of SSIM and DSSIM were inverted [`164f99c`](https://github.com/ImageMagick/ImageMagick/commit/164f99cb1fb9529b323259b9022c9c98650117f0)
- respect image bounds [`21e324b`](https://github.com/ImageMagick/ImageMagick/commit/21e324b9d9c4e7cb651ecf3fe11f9074b594a3bd)
- Minor optimization. [`14d259b`](https://github.com/ImageMagick/ImageMagick/commit/14d259beff2b79350b138d858e00a29882f0f023)
- There is no need to calculate r,g,b twice for lab compatible colorspaces. [`25641f0`](https://github.com/ImageMagick/ImageMagick/commit/25641f030c1a5f4d88eaf51597cf51092349c5ee)
- possible buffer overflow when reading a PNG raw profile [`61b719e`](https://github.com/ImageMagick/ImageMagick/commit/61b719e56e2c8c76442c0979820fbc6444629bc7)
- Code cleanup. [`e33ec67`](https://github.com/ImageMagick/ImageMagick/commit/e33ec670c84fc4e75f87ab506944cfab186c9426)
- Added missing checks for extent and length. [`dcafcdc`](https://github.com/ImageMagick/ImageMagick/commit/dcafcdcf0af2831fa502055a8cc00d682894a56e)
- Documentation fixes. [`2ff77db`](https://github.com/ImageMagick/ImageMagick/commit/2ff77db367c7077ff87ab8cbd05be0d8edc80ece)
- Removed unused ResetMaxMemoryRequest method. [`657bb13`](https://github.com/ImageMagick/ImageMagick/commit/657bb136c8ba89daa61bc1bb1a6138935b33498f)
- Make sure that calls to SetMaxMemoryRequest are only limited to the value configured in the policy. [`4da0331`](https://github.com/ImageMagick/ImageMagick/commit/4da0331e12eb6fbf1a1b328215e7b15706289dbb)
- Make sure that calls to SetMaxProfileSize are only limited to the value configured in the policy. [`212d67c`](https://github.com/ImageMagick/ImageMagick/commit/212d67c9ac3801212caadc20d25b08e72fdcf7a7)
- Move the MagickMin check to methods that get the value from the policy. [`f6650d1`](https://github.com/ImageMagick/ImageMagick/commit/f6650d1ca0dc21d2991c50e8deb01dfc81817bc4)
- Initialize max_memory_request to unlimited to avoid recursion issues when getting the value from the policy. [`1e924cb`](https://github.com/ImageMagick/ImageMagick/commit/1e924cb78009fd56c0dcf1415e0bf95ec0353eb6)
- correct for ssim/dssim metric [`31d5377`](https://github.com/ImageMagick/ImageMagick/commit/31d5377cb442dadf397c199cf2590b60d1330e49)
- affine layout is sx, ry, rx, sy, tx, ty [`972629c`](https://github.com/ImageMagick/ImageMagick/commit/972629cc07fcb69d00de7de5c66ec8636a02eda8)
- export similarity and dissimilarity threshold [`e607844`](https://github.com/ImageMagick/ImageMagick/commit/e607844fd423dd0e6f3417ecf27906c44ce5ac60)
- adjust rmse similarity metrics [`59ac257`](https://github.com/ImageMagick/ImageMagick/commit/59ac257dde277550f160dc60ab2c07302fc5acb7)
- correct PSNR metric [`1afc1e5`](https://github.com/ImageMagick/ImageMagick/commit/1afc1e59b15b099b1736d84d13aab57457137e96)
- correct PSNR metric in the frequency domain [`b388380`](https://github.com/ImageMagick/ImageMagick/commit/b3883807eb5fb1e92b8c0b1f695fc8525388ae4b)
- correct PSNR similarity [`9721181`](https://github.com/ImageMagick/ImageMagick/commit/972118124bf5dd8430c361379a66b3ab044fbe3e)
- correct PSNR metric [`05e2316`](https://github.com/ImageMagick/ImageMagick/commit/05e231625ef6659a0f16f5c69cbf8f79b0f7a28b)
- correct PSNR metric [`f82923c`](https://github.com/ImageMagick/ImageMagick/commit/f82923c4e62a2bbdb49d3c08b43c1e19595692ba)
- handle special case of log10(1) [`64e6fd6`](https://github.com/ImageMagick/ImageMagick/commit/64e6fd60583b1019184bb331949f11a96be4395c)
- Documentation fixes. [`4134eb1`](https://github.com/ImageMagick/ImageMagick/commit/4134eb169472dbaf1e7880595b5ad04ca8452ad1)
- DCP, PAE, and PHASE metrics are not valid in the spatial domain [`537cf72`](https://github.com/ImageMagick/ImageMagick/commit/537cf729f9a7b8d04a9a22591c605739166a0e43)
- PAE requires unequal target and reconstruction images [`989e11d`](https://github.com/ImageMagick/ImageMagick/commit/989e11d574c2cec9756a02bc45792d4ddb5b1018)
- lastest automake/autoconf [`e02330c`](https://github.com/ImageMagick/ImageMagick/commit/e02330c7e6391cc5646e79c0182ee3c08ae58faf)
- acknolwedge JXL CFLAGS [`e89f317`](https://github.com/ImageMagick/ImageMagick/commit/e89f317a19733f0e87c73d66ae75439a8c3eb3cc)
- revert PAE for equal image sizes [`b9d4ef5`](https://github.com/ImageMagick/ImageMagick/commit/b9d4ef5c802cc9e106f68f56762c8b9d1dd57958)
- nomalize MEPP metric [`573ed50`](https://github.com/ImageMagick/ImageMagick/commit/573ed50e6f8f793717cb7c5c4fad5883bbc9d24d)
- Temporary patch to make it possible to use the development libraw snapshot. [`177e561`](https://github.com/ImageMagick/ImageMagick/commit/177e561872723a913c0d35564467d38730d53067)
- revert [`2431784`](https://github.com/ImageMagick/ImageMagick/commit/2431784e02e3ca3b1bf31b4ae0199af368bc64ef)
- correct MEPP metric [`63fdb71`](https://github.com/ImageMagick/ImageMagick/commit/63fdb7105a0f54c10432e6ea146cc578a38b655e)
- Check for _MSC_VER until we can do a proper version check. [`75c5056`](https://github.com/ImageMagick/ImageMagick/commit/75c5056cbcefcc328cdb716fcc8f95d177bdbae4)
- Use GetMaxMemoryRequest to set the heic security limit for max_memory_block_size (#8109) [`8f04fd0`](https://github.com/ImageMagick/ImageMagick/commit/8f04fd03263eb49c72436dd2dd97066677f67b59)
- Use our own define until we can do a proper version check. [`ab38e07`](https://github.com/ImageMagick/ImageMagick/commit/ab38e07c6bfa460c910d877d044b77dd98bb118a)
- correct MEPP metric [`af8b716`](https://github.com/ImageMagick/ImageMagick/commit/af8b716c12fce1515afe99d3d8a2a148efc1f0d3)
- purge threading in SimilarityImage() method [`4faaf84`](https://github.com/ImageMagick/ImageMagick/commit/4faaf84bada8c951b3d006dbbae5537a22c3796c)
- eliminate compiler exception [`b574087`](https://github.com/ImageMagick/ImageMagick/commit/b57408701adf3a9af468efe403ca389590ea210a)
- Also check if the define is set. [`5fce16f`](https://github.com/ImageMagick/ImageMagick/commit/5fce16f411cd59bbf556b4df8c9c2cb156823f78)
- correct NCC, DPC, and PHASE metrics [`912b6a8`](https://github.com/ImageMagick/ImageMagick/commit/912b6a8385b87069806f41881450a433cb706ba5)
- improve exception message for spatial DPC and Phase metrics [`5c247d4`](https://github.com/ImageMagick/ImageMagick/commit/5c247d499be4258dd75eb896d13b0c331907136b)
- correct NCC metric [`a5159fb`](https://github.com/ImageMagick/ImageMagick/commit/a5159fba15b5207d5f8afa1ffa0cb5d85fc5ebe8)
- correct PHASH metric [`ed2d974`](https://github.com/ImageMagick/ImageMagick/commit/ed2d974a9f21c42d47f34515d0329862134e71c4)
- ... [`e28cefe`](https://github.com/ImageMagick/ImageMagick/commit/e28cefe27c58d7dc834b988518e436a64337cb7a)
- correct PHASH metric [`d9bf3ba`](https://github.com/ImageMagick/ImageMagick/commit/d9bf3ba0e402ae3b780843adc0160ecff8010b67)
- Formatted document. [`f3fdd12`](https://github.com/ImageMagick/ImageMagick/commit/f3fdd1260b9e56ea4a39a9fe785156f021fe19f0)
- Documentation fixes. [`0e6b7fd`](https://github.com/ImageMagick/ImageMagick/commit/0e6b7fd1b14bb7062d18d246d138924fef77cba5)
- Use ClampToQuantum inside ComplexImages to make sure values are clamped to the quantum for non hdri builds. [`e08bdcb`](https://github.com/ImageMagick/ImageMagick/commit/e08bdcb69454f0f664c5f3389cc383e3a8957ee1)
- Removed 512 from the default sizes. [`f62df4f`](https://github.com/ImageMagick/ImageMagick/commit/f62df4fcfa77556836868e650050f377a2f3c110)
- Set the maximum number of sizes for icon:auto-resize back to 16 (#8047). [`e0cfaf2`](https://github.com/ImageMagick/ImageMagick/commit/e0cfaf2287937d3f223834dc58f297b93411f5ff)
- warn if PHASH metric is INF [`3644bdb`](https://github.com/ImageMagick/ImageMagick/commit/3644bdb3269236f1d61102bf332580a7316148cc)
- push a notification for some edge case metrics [`67cc338`](https://github.com/ImageMagick/ImageMagick/commit/67cc338df3b82bea94dc596453952eb86cd29dcc)
- push warning for PHASH edge case [`0c1e878`](https://github.com/ImageMagick/ImageMagick/commit/0c1e8788d309ee3b4f58762a56ab47f678c3c8e9)
- trap on equal size images for PHASH and PAE [`c0a0fc1`](https://github.com/ImageMagick/ImageMagick/commit/c0a0fc1106036d7d5df5983f730d3fe0d78f939f)
- trap for NCC working with constant color in spatial domain [`2489ef6`](https://github.com/ImageMagick/ImageMagick/commit/2489ef67400fda93485ec3bd175706ebc447e425)
- eliminate implicit fallthrough [`cba40e1`](https://github.com/ImageMagick/ImageMagick/commit/cba40e10c2eb63fcc3ea59fe5ec195d450847d9b)
- identify metric in warning [`c55d4d6`](https://github.com/ImageMagick/ImageMagick/commit/c55d4d6cf95f546be225645b2426caf7e5308ff1)
- correct RMSE metric in the frequency domain [`f1d6259`](https://github.com/ImageMagick/ImageMagick/commit/f1d62591269b10461605b05af21711628e777a59)
- correct PSNR metric [`417dde7`](https://github.com/ImageMagick/ImageMagick/commit/417dde7d4782295378d72831950805fbe4ecd217)
- fix max PSNR define [`363a4b0`](https://github.com/ImageMagick/ImageMagick/commit/363a4b0647c63c4efe867f46caf2cabcec2ac6d8)
- set maximum PSNR [`6e6fa1d`](https://github.com/ImageMagick/ImageMagick/commit/6e6fa1d608f05c2e045324f5e2af424a24ccccd3)
- move PSNR define to compare.h [`30ebdc7`](https://github.com/ImageMagick/ImageMagick/commit/30ebdc746acb66fb075c2c8ebfc2639782996c1a)
- change PSNR define name [`44af979`](https://github.com/ImageMagick/ImageMagick/commit/44af9795306dc285c46edaf94b2c7a079629076d)
- max PSNR is quantum range squared [`4473074`](https://github.com/ImageMagick/ImageMagick/commit/44730748dc6766b550c953eeb5200ac368e34756)
- not need for fabs() for PSNR distortion [`9888d28`](https://github.com/ImageMagick/ImageMagick/commit/9888d284dbdd08824dd2b82c1fe5871685a4c301)
- correct PSNR location [`a74836c`](https://github.com/ImageMagick/ImageMagick/commit/a74836c185bfe5e5dba343023a4f78e290668bff)
- negate correlation image for PSNR [`309956e`](https://github.com/ImageMagick/ImageMagick/commit/309956ec6a2b6b8562255b88f628e59151c43898)
- correct Max PSNR distortion [`53a2298`](https://github.com/ImageMagick/ImageMagick/commit/53a22981d2c87f340174149c9e2880762aec061b)
- normalize PSNR distortion [`1ee9088`](https://github.com/ImageMagick/ImageMagick/commit/1ee9088191d11748f3b82cf280d331ae6a97d4f7)
- correct PSNR normalization [`f5c8c61`](https://github.com/ImageMagick/ImageMagick/commit/f5c8c613c77ad05cd6387199543e15c266f6e0f2)
- Make sure we only return 1 when the docs don't match. [`7e3f3ae`](https://github.com/ImageMagick/ImageMagick/commit/7e3f3ae3dbc455a9878ece2216632994db375d44)
- clip MSE when computing PSNR [`16f6e0d`](https://github.com/ImageMagick/ImageMagick/commit/16f6e0d44449faac50518a69b7833d4404d59459)
- fix PSNR metric [`c09944c`](https://github.com/ImageMagick/ImageMagick/commit/c09944c595a4130afdcff6155e2b768ed2c3b8e5)
- don't account for edge cases [`95333f3`](https://github.com/ImageMagick/ImageMagick/commit/95333f36246d0deedd25a5b99863f159ad582a7b)
- convert nan & inf to null for JSON format [`bbb5192`](https://github.com/ImageMagick/ImageMagick/commit/bbb5192c0c860239787cc91d9ca0b6cdcb719a0c)
- set maximum PSNR to 216.3 for 16-bit images [`a49dbf5`](https://github.com/ImageMagick/ImageMagick/commit/a49dbf5295a18b3b68e374bb5ff36f6a2762f18c)
- set PSNR maximum to 120 [`8a7495a`](https://github.com/ImageMagick/ImageMagick/commit/8a7495a6d985ab2a66a6dcc624c8062d4bf55961)
- use log10() directly rather than macro [`31b7df3`](https://github.com/ImageMagick/ImageMagick/commit/31b7df3a326a6bc59cfebf2b763c9009319e86fe)
- reverse PSRN polarity [`f039a8e`](https://github.com/ImageMagick/ImageMagick/commit/f039a8eae2ede695dfec03269e7232ab463218c0)
- correct PSNR metric [`ea6e8e8`](https://github.com/ImageMagick/ImageMagick/commit/ea6e8e88e2970e68dfd4719eda21c557cc006665)
- Also allow bmp files that have a negative height when the compression is set to BI_BITFIELDS (#8130) [`97e5cac`](https://github.com/ImageMagick/ImageMagick/commit/97e5cacc7ed2fa5a7f9c5cd90907b0ebfd0f3831)
- Added extra checks to make sure we don't get stuck in the while loop. [`229fa96`](https://github.com/ImageMagick/ImageMagick/commit/229fa96a988a21d78318bbca61245a6ed1ee33a0)
- fix -fx option to prevent divide by zero [`d1fe32a`](https://github.com/ImageMagick/ImageMagick/commit/d1fe32ad85bbb3b80f26ff3dd41e5a3be66a0429)
- fix PSNR metric [`587484e`](https://github.com/ImageMagick/ImageMagick/commit/587484e0b37e6d85a53cc783b590e4bc3fbc4ff6)
- revert [`321e2ee`](https://github.com/ImageMagick/ImageMagick/commit/321e2eec431042e5731ff36d738e7aaa1f4e34aa)
- replace -nan with null [`ff187dd`](https://github.com/ImageMagick/ImageMagick/commit/ff187dd7faae08fc92c9ce1c4d1d8c53da72ab7f)
- replace -nan with null [`e9d20d4`](https://github.com/ImageMagick/ImageMagick/commit/e9d20d4f54c2249aef97be8c87a7ef291f7160b2)
- Added parenthesis to silence warning. [`ea47cda`](https://github.com/ImageMagick/ImageMagick/commit/ea47cdadb2f04fe7a29254a48d71fb2c3ce32227)
- optimize metric threading [`51b33a1`](https://github.com/ImageMagick/ImageMagick/commit/51b33a1d44493f5ded6e972a4b962917ad924198)
- NCC, DPC, PHASE, PHASH SHOULD NOT give an error here for equal size images with subimage-search as the images are not constant color [`ba6614d`](https://github.com/ImageMagick/ImageMagick/commit/ba6614def8c4d40e169c187da183535a07af66a0)
- PHASH should trap for equal size image for subimage-search [`3bf4bbe`](https://github.com/ImageMagick/ImageMagick/commit/3bf4bbe42a960f9aab6ef7ba833e0256087f5485)
- Corrected assignment of difference. [`40bb4d4`](https://github.com/ImageMagick/ImageMagick/commit/40bb4d4694aeb983b999664682176f70e8ff26ed)
- the metrics NCC, PHASE and DPC will have a perfect match score (similarity value) at 1 [`dd3d29b`](https://github.com/ImageMagick/ImageMagick/commit/dd3d29b9ae0ba891728a5ed243c0ea9787d00eac)
- the metrics NCC, PHASE and DPC will have a perfect match score (similarity value) at 1 [`3d05c79`](https://github.com/ImageMagick/ImageMagick/commit/3d05c79ed330a2463dc9056c78a1bb3a251f2fcd)
- Corrected check. [`674630c`](https://github.com/ImageMagick/ImageMagick/commit/674630c8ceec7aafeac613630f46a60441acc105)
- Removed unused file. [`39ffbda`](https://github.com/ImageMagick/ImageMagick/commit/39ffbdab737b9f94c272f3c34e1797622f36b94a)
- Restored the implementation of GetImageFeatures, GetImagePerceptualHash and GetImageStatistics. [`e46ee50`](https://github.com/ImageMagick/ImageMagick/commit/e46ee50410ff437781598e6ec188a29309ca14f7)
- Minor performance improvement of the statistics by avoiding duplicate computations. [`55ce945`](https://github.com/ImageMagick/ImageMagick/commit/55ce9459333134ec14e9d9dc3722636e93f50307)
- Use log2 instead of PerceptibleLog10 when calculating the entropy. [`36eb4e6`](https://github.com/ImageMagick/ImageMagick/commit/36eb4e64439e68e9228a9346f240b324404d5a73)
- Use log10 again instead of PerceptibleLog10. [`99e5cbf`](https://github.com/ImageMagick/ImageMagick/commit/99e5cbffdd7295b1dca99e75bbd615347d4a8554)
- No longer increment the entropy when the value is a NaN. [`58d35b7`](https://github.com/ImageMagick/ImageMagick/commit/58d35b750f38ea2b6f689c0937fae4706a6e3476)
- Only set the bits that we need to set, this might fix the unsupported blending mode reported in #8061. [`05d0ad6`](https://github.com/ImageMagick/ImageMagick/commit/05d0ad65d341abb7aec114c09d6456e1bdf07074)
- DPC requires a square image [`58e34bb`](https://github.com/ImageMagick/ImageMagick/commit/58e34bb188e6b595d11ec1baf7381d55e4da7c8f)
- DPC and PHASE should  error 1) as no spatial equivalent when frequency domain is off  and 2) with constant color images [`43c2482`](https://github.com/ImageMagick/ImageMagick/commit/43c2482887a8c8444cd4aac3fc43ca6ac64d57c0)
- correct AE metric [`51d3c03`](https://github.com/ImageMagick/ImageMagick/commit/51d3c036e5f76fee5a6d5c5c160904a7d68effe2)
- cosmetic [`c282fe0`](https://github.com/ImageMagick/ImageMagick/commit/c282fe071172ad94fb09971b8b312fb9adade31e)
- Fixed build error. [`4a5c86d`](https://github.com/ImageMagick/ImageMagick/commit/4a5c86da61de8a8cb2be3a73d057cc1eedc96c5e)
- improve exception message [`24c1df1`](https://github.com/ImageMagick/ImageMagick/commit/24c1df11e86d8ce81d31c378df220a1d77872692)
- use reduction rather than critical [`498c663`](https://github.com/ImageMagick/ImageMagick/commit/498c663df04601f53beb207919f21d93b60a9ba3)
- improve equal-sized image message [`34062a2`](https://github.com/ImageMagick/ImageMagick/commit/34062a2eb79b5810ed4173ce6c2f3b1aca88571e)
- Corrected writing the PDF header that contains the version. [`345b315`](https://github.com/ImageMagick/ImageMagick/commit/345b315829741cc2b36afab835ee375d61444371)
- We should always write the ID in a PDFA file. [`8632b6d`](https://github.com/ImageMagick/ImageMagick/commit/8632b6d01ff9b9f397e34851505cfb8876e211c3)
- Patches to fix writing PDFA files because /Device[Colorspace] is only allowed together with a color profile. [`1684b3e`](https://github.com/ImageMagick/ImageMagick/commit/1684b3ed80d972a9951ea4eb570bd218adf7451d)
- Revert incorrect patch. [`48ba531`](https://github.com/ImageMagick/ImageMagick/commit/48ba5314db30b7565e85df511eae760fb92d6573)
- Corrected offset calculation. [`b3a8ebc`](https://github.com/ImageMagick/ImageMagick/commit/b3a8ebc8597c8190e0e9883e77583a800312c5b4)
- default to a depth of 32 [`45eb799`](https://github.com/ImageMagick/ImageMagick/commit/45eb79955987e4037fcb7e00143173b63252d432)
- Silence warning. [`678f718`](https://github.com/ImageMagick/ImageMagick/commit/678f718aba16ab58097b7531bd6d27a1e1b0ee77)
- Don't use the windows specific implementation of our utility methods on MSYS2. [`4cb83da`](https://github.com/ImageMagick/ImageMagick/commit/4cb83da5d651d22cef1d4fd90c73c266206fa88b)
- restore parallelism when computing simularity [`b122d25`](https://github.com/ImageMagick/ImageMagick/commit/b122d253b68dcf927ca91177025932357a216aea)
- The last newline should not be included in the length of the color profile when writing a pdf file. [`563c15c`](https://github.com/ImageMagick/ImageMagick/commit/563c15cffcd076b6b87e7dd2c92e6dd04263ee50)
- Corrected patch for MSYS2 build. [`d01fbcb`](https://github.com/ImageMagick/ImageMagick/commit/d01fbcbc2f8617ee8a37592891eec4a34f96830e)
- reduction is not supported in OpenMP 2.0 [`4c17177`](https://github.com/ImageMagick/ImageMagick/commit/4c17177a65abacbd9eb26e818f8927d6d419c115)
- initialize variance [`f701589`](https://github.com/ImageMagick/ImageMagick/commit/f701589023a50a3084614821b1060e231b31eb86)
- eliminate compiler warning [`ef390c3`](https://github.com/ImageMagick/ImageMagick/commit/ef390c3982cc1fd36a8e9eb4d52665a9f753f824)
- correct NCC metric [`f29fedc`](https://github.com/ImageMagick/ImageMagick/commit/f29fedcd6119adfda08cc84287d734fff320280d)
- eliminate compiler error [`c5d5236`](https://github.com/ImageMagick/ImageMagick/commit/c5d52367306e16deecc01a6ad23b3bb4b2ea8ded)
- eliminate compiler warning [`5143b04`](https://github.com/ImageMagick/ImageMagick/commit/5143b04007cb92ddb92af2a83ae203a28a9b38ee)
- don't compute metrix for index channel [`402f1d9`](https://github.com/ImageMagick/ImageMagick/commit/402f1d9395a83a20ad76249a9a236eab7664dc23)
- don't compute the index channel statistics [`98052a7`](https://github.com/ImageMagick/ImageMagick/commit/98052a704e609dc5b596e96ccf990c3ea5660e63)
- eliminate compiler warning [`21ea09d`](https://github.com/ImageMagick/ImageMagick/commit/21ea09d4c0e0efb24f3a1d0327f67e62dc7c0d28)
- Code cleanup. [`eda6110`](https://github.com/ImageMagick/ImageMagick/commit/eda61104bcda5d88f20d3578e87fd0d4fdb05a84)
- AE is sensitive to fuzz [`c62c7bc`](https://github.com/ImageMagick/ImageMagick/commit/c62c7bcc61863d8ca9688d65f824186dff9786c4)
- check for log10 edge cases [`21c6fcf`](https://github.com/ImageMagick/ImageMagick/commit/21c6fcf73a699b0aff78847e9ccc954d739227d3)
- add missing include dependency [`6a684c6`](https://github.com/ImageMagick/ImageMagick/commit/6a684c602d2336e61f7d26a23ae325f581ee64f9)
- don't scale PHASH metric [`2a919f9`](https://github.com/ImageMagick/ImageMagick/commit/2a919f924fda3dd40f3c222f87850412effac280)
- latest CSS [`4e1af8b`](https://github.com/ImageMagick/ImageMagick/commit/4e1af8ba4c7cba92c038f1fbb3274ee407b0314a)
- add xmlns SVG declaration [`50a91b5`](https://github.com/ImageMagick/ImageMagick/commit/50a91b5870440392f7d73401fdefda45c8890099)
- scale PHASH to quantum range [`7526af4`](https://github.com/ImageMagick/ImageMagick/commit/7526af477afe545e7f80d3aefb8410af4d88c65f)
- adjust similarity metric algorithm [`e370538`](https://github.com/ImageMagick/ImageMagick/commit/e37053839f7924d94e1737f07557febebd570bca)
- PHASH similarity is minimum not maximum [`8d6d6ce`](https://github.com/ImageMagick/ImageMagick/commit/8d6d6cea6d766ed293270d52a9d21325950a0706)
- don't thread similarity check [`86e92e9`](https://github.com/ImageMagick/ImageMagick/commit/86e92e944556a7b3c4ba22861d398f11ba4aaf14)
- Added missing return. [`3863160`](https://github.com/ImageMagick/ImageMagick/commit/38631605e6ab744548a561797472cf8648bcfe26)
- trap for no spatial equivalent [`d08c8be`](https://github.com/ImageMagick/ImageMagick/commit/d08c8be298482e70b1e6fd1e9f89ec8427143ec6)
- normalize PHASH metric [`eb441e7`](https://github.com/ImageMagick/ImageMagick/commit/eb441e7b414d87d11b6ebb8f6b3f7c5975b8e469)
- fix PSNR metric [`56bb476`](https://github.com/ImageMagick/ImageMagick/commit/56bb476da067c0c3904539212da2be0bde8e8c57)
- return correct location for NCC + SSIM metrics [`2fce5f1`](https://github.com/ImageMagick/ImageMagick/commit/2fce5f1f12c4963842fc63817c23e21046cd1fae)
- should only get a warning for constant color images [`7b3f763`](https://github.com/ImageMagick/ImageMagick/commit/7b3f76311669dd1a825bb73877f015296f7ceca0)
- NCC (DPC, PHASE) should only get a warning for constant color images [`4ded0a0`](https://github.com/ImageMagick/ImageMagick/commit/4ded0a0903b7bcb3b1eaa2ea8501dcc7dc2ec9b0)
- Added missing check for the pixel mask that should be used when reading the dds file (#8146). [`0ee0970`](https://github.com/ImageMagick/ImageMagick/commit/0ee0970d2a0d50dda7d4f4de1de531371e3eaef3)
- Code cleanup. [`8449ac4`](https://github.com/ImageMagick/ImageMagick/commit/8449ac44e89cb72c61c58770787b284b2553d60d)
- Added missing magick_fallthrough. [`2dbd0cc`](https://github.com/ImageMagick/ImageMagick/commit/2dbd0cc4f77f47ebe5fce321f01b1e08d021d282)
- correct distortion for subimage search [`5097644`](https://github.com/ImageMagick/ImageMagick/commit/509764497a245fdb66b2ec327382590abb6d9889)
- Enabled -Wdeclaration-after-statement in our linux and macos build (#8156) [`9085c27`](https://github.com/ImageMagick/ImageMagick/commit/9085c27fd705c007614c5483b4084cf5c2c361cb)
- Silence warning. [`96205e4`](https://github.com/ImageMagick/ImageMagick/commit/96205e4ccf657133a42ae662e439564953e4787a)
- Changed argument order. [`6a4ded4`](https://github.com/ImageMagick/ImageMagick/commit/6a4ded4ee8ca8be7201705cb01d221f297dab515)
- correct NCC metric [`acf6ddd`](https://github.com/ImageMagick/ImageMagick/commit/acf6ddd7d9a48591de4ade57ff14111faafdbd65)
- fix AE metric [`b0e870f`](https://github.com/ImageMagick/ImageMagick/commit/b0e870f18c4cc2e11addfc2b7509aa7e281b587a)
- fix AE metric [`4256f87`](https://github.com/ImageMagick/ImageMagick/commit/4256f87292130a8079debe095369c216331e113b)
- fix AE metric [`cb3ca2e`](https://github.com/ImageMagick/ImageMagick/commit/cb3ca2ea664764e3edfdb001cdc421e3c82a57d4)
- nit [`707fdb2`](https://github.com/ImageMagick/ImageMagick/commit/707fdb2e96d3fa47a47dc83fe106c141845a0ed7)
- correct AE metric [`f2e71e3`](https://github.com/ImageMagick/ImageMagick/commit/f2e71e3ceef87228f3887e2561a563e9b8c99550)
- correct AE metric [`ad37814`](https://github.com/ImageMagick/ImageMagick/commit/ad3781479847f9b7ecf55d1bb4debef021289f68)
- correct SSIM metric [`80b107d`](https://github.com/ImageMagick/ImageMagick/commit/80b107d91ebcc4fd094bef003739616be06e666d)
- correct SSIM metric [`d120611`](https://github.com/ImageMagick/ImageMagick/commit/d120611310f226d095b75d0279747b06858e4fd2)
- No longer decode a bpg file to a png file (#8159). [`c3a66fd`](https://github.com/ImageMagick/ImageMagick/commit/c3a66fdc2ac860ee734d8757152cfc69121dfeff)
- Removed specific check for SignedQuantumFormat because we should not do this (#8149). [`8845b61`](https://github.com/ImageMagick/ImageMagick/commit/8845b61938ba32163c68450d5640ed94cb416363)
- add compare private header [`7a01d5c`](https://github.com/ImageMagick/ImageMagick/commit/7a01d5c0862501d58a2ad19b7bb906978cf30df4)
- correct SSIM metric [`d0b94ec`](https://github.com/ImageMagick/ImageMagick/commit/d0b94ec750923024631a61e08f7324f60a614ca7)
- correct PHASH metric [`c012d5a`](https://github.com/ImageMagick/ImageMagick/commit/c012d5aff5b9102f5c7d96c1a362693305bba3bf)
- PHASH without subimage-search should show a message that it does not work well with constant color images [`045f3bb`](https://github.com/ImageMagick/ImageMagick/commit/045f3bbd87acb13611856c5caf8d585fea89f8d8)
- correct SSIM metric [`dea8871`](https://github.com/ImageMagick/ImageMagick/commit/dea88710593ff57f1376ca8d3ae856416aad664a)
- distortions should always be non-negative [`0361572`](https://github.com/ImageMagick/ImageMagick/commit/03615725909150c879951d14aba7c4592fc0d548)
- RMSE is default metric [`d7e200e`](https://github.com/ImageMagick/ImageMagick/commit/d7e200ebbe631aa356c11f7cd2d4311e037e074a)
- correct metric distortion [`45d8918`](https://github.com/ImageMagick/ImageMagick/commit/45d8918318841864b12d9d1d91f1259662cc025c)
- correct NCC metric [`1268246`](https://github.com/ImageMagick/ImageMagick/commit/126824612e7f2e50c1a2afbe7788ed5058d85170)
- correct %[distortion] format [`57e0b9c`](https://github.com/ImageMagick/ImageMagick/commit/57e0b9c802fc57acd2d9619438492279faac867e)
- correct distortion calculation [`53ce42b`](https://github.com/ImageMagick/ImageMagick/commit/53ce42b3b46502ee35e0f3d17291e6cf30acdfb0)
- revert [`7dc67c3`](https://github.com/ImageMagick/ImageMagick/commit/7dc67c3fc09bcf8dceeb868c0521410a5855dcb4)
- correct distortion computation [`fc2799a`](https://github.com/ImageMagick/ImageMagick/commit/fc2799a3c869e08e82e36db80cebc5ed27cec2ab)
- correct distortion calculation [`9e82b1e`](https://github.com/ImageMagick/ImageMagick/commit/9e82b1e325ea7c8d20d4102ab9258d2b9819ec99)
- tighten tolerance for matching maximum [`e333a50`](https://github.com/ImageMagick/ImageMagick/commit/e333a50c4c8929082476e5494cf58222ef29a1c1)
- sanitize DSSIM metric [`ccd11e9`](https://github.com/ImageMagick/ImageMagick/commit/ccd11e9e593ec5ed68b4161f178dff6712be92b2)
- correct NCC metric [`20537b6`](https://github.com/ImageMagick/ImageMagick/commit/20537b6e1a222f7952f02ce6340294159a3f9238)
- correct DPC metric [`598c3c0`](https://github.com/ImageMagick/ImageMagick/commit/598c3c0f3c16cc3d6e7c87918e067e171063b4e4)
- eliminate compiler exception [`fd106fd`](https://github.com/ImageMagick/ImageMagick/commit/fd106fdfb2db1e6a24099b54057a67f5202e1db4)
- correct PHASE metric [`040aa53`](https://github.com/ImageMagick/ImageMagick/commit/040aa530b627afc718fd90f23380bc793a38871b)
- correct PHASE metric [`c72c55f`](https://github.com/ImageMagick/ImageMagick/commit/c72c55f8f111daeb80ad29a1c6b022da85b67c8d)
- threading tweak [`fbdd6e8`](https://github.com/ImageMagick/ImageMagick/commit/fbdd6e8fe5446e3efd0bd6db085338e13b4dada3)
- optimize range finding [`b3db471`](https://github.com/ImageMagick/ImageMagick/commit/b3db47161093931228629349be84148714317c93)
- for DPC/Phase metrics, make image even and square [`7097486`](https://github.com/ImageMagick/ImageMagick/commit/7097486b919e8b80026440e66ad7bca210350eb7)
- correct SSIM metric [`afb47b6`](https://github.com/ImageMagick/ImageMagick/commit/afb47b6776e945df088f59a5aef9b3d22acfbf89)
- correct SSIM metric [`b667ea2`](https://github.com/ImageMagick/ImageMagick/commit/b667ea2c629f692cc62fb18ba70aa7af3184fc5d)
- correct SSIM metric [`eff6ad9`](https://github.com/ImageMagick/ImageMagick/commit/eff6ad9b4ab99ca0a50bddb40c818d884e9dfc88)
- correct SSIM metric [`fbaa5c3`](https://github.com/ImageMagick/ImageMagick/commit/fbaa5c3959f1bfdfecf3a3c8f01ebf3118988af6)
- correct MEPP metric [`e776c60`](https://github.com/ImageMagick/ImageMagick/commit/e776c604911c815009933a55c12266649007a3a8)
- rmeove check for near-zero [`1ad038c`](https://github.com/ImageMagick/ImageMagick/commit/1ad038c7ce265a117c2f3fb70cb51561bd7c176a)
- correct DPC/Phase metrics [`eaba123`](https://github.com/ImageMagick/ImageMagick/commit/eaba12327ea526215a6390189120f2aaede3f31b)
- correct DPC metric [`2714e2f`](https://github.com/ImageMagick/ImageMagick/commit/2714e2f63afdb4781cdccb22a525edee858f68ff)
- correct MSE metric [`edf3d4a`](https://github.com/ImageMagick/ImageMagick/commit/edf3d4aae2010812e80261f37c325ee4ffbc45c7)
- natural logarithm, is commonly used in mathematical and statistical applications where exponential relationships are involved [`7b6224f`](https://github.com/ImageMagick/ImageMagick/commit/7b6224f99c397aa31c8dec47378fd32b240d027a)
- cosmetic [`d772e3b`](https://github.com/ImageMagick/ImageMagick/commit/d772e3b0f3652a4b65019ab3558cc8a6f09ab674)
- correct PSNR metric [`f591498`](https://github.com/ImageMagick/ImageMagick/commit/f5914986577ac9e87cf8cd5d6489c19cb2e79c9f)
- correct NCC metric [`1f52076`](https://github.com/ImageMagick/ImageMagick/commit/1f520766256fc9af925db1261b739dedb12157bf)
- change in macro name [`5e96ec7`](https://github.com/ImageMagick/ImageMagick/commit/5e96ec7abc44e3c5eb8f1fbee0bce22c3ff153f7)
- eliminate compile error [`4228be8`](https://github.com/ImageMagick/ImageMagick/commit/4228be8bac2d9806a04df88bab50b525cdcb2eb6)
- correct DPC metric [`712eb44`](https://github.com/ImageMagick/ImageMagick/commit/712eb44265e1c3ebc9093e810a05d935830ee30b)
- limit similarity metric to 1.0 [`6b55d52`](https://github.com/ImageMagick/ImageMagick/commit/6b55d5245fcc55bcee1e7d0d1c9c79fc1e14581a)
- restrict distortion to 0..1 [`2f483aa`](https://github.com/ImageMagick/ImageMagick/commit/2f483aa6caed0fd25ddb3681a5790cb77fafd4bb)
- yikes! reverse max and min [`4075818`](https://github.com/ImageMagick/ImageMagick/commit/4075818a3a9dff028bf5223017f6952470af1dfa)
- Build ImageMagick on Windows with the pre-compiled configure binary [`dafe2ff`](https://github.com/ImageMagick/ImageMagick/commit/dafe2ff91f344d2b642c358a84d11ad8fa2fabaa)
- fix numerical instability for perspective distort [`7bffca3`](https://github.com/ImageMagick/ImageMagick/commit/7bffca31131c92ed57c88fdf16f8047efb1c917d)
- eleiminate compiler exceptions [`2201218`](https://github.com/ImageMagick/ImageMagick/commit/2201218a7923e5a987eac0824f944cbe1222c044)
- correct NCC metric [`14e80b6`](https://github.com/ImageMagick/ImageMagick/commit/14e80b6c84c3404f783d4c13ca3f2ebcaacc91bd)
- restore threading in similarity search [`ba63bce`](https://github.com/ImageMagick/ImageMagick/commit/ba63bce68240b9e59c8c93127f859fc09a58417b)
- cosmetic [`248e8df`](https://github.com/ImageMagick/ImageMagick/commit/248e8dfb02a01638a5b48d028f1c142a7bcb078b)
- Corrected initialization. [`530512d`](https://github.com/ImageMagick/ImageMagick/commit/530512d15b6e94a069fcca5719f743f40b669c14)
- correct MEPP metric [`2f874a0`](https://github.com/ImageMagick/ImageMagick/commit/2f874a07758ddcdbf2fe1d19a09c8454225f7dc6)
- correct range finding [`ed81dca`](https://github.com/ImageMagick/ImageMagick/commit/ed81dca2bbf316faa44e61169c4bdce7416b8bb3)
- fix possible race condition [`f76c12b`](https://github.com/ImageMagick/ImageMagick/commit/f76c12b7a9130cf78867e4465edb0cd69aed54c3)
- cosmetic [`289897c`](https://github.com/ImageMagick/ImageMagick/commit/289897cde5661f59b02e6d06f8d592c4f9737181)
- normalize mean error [`ff1afae`](https://github.com/ImageMagick/ImageMagick/commit/ff1afae128f8875892f25bb46e1caa624f0dd5c0)
- Also include the installer in the Source archive. [`6d418aa`](https://github.com/ImageMagick/ImageMagick/commit/6d418aab1095106561a4373342876bf82ad874c1)
- improve numerical stability for gauss-jordan matrix elimination [`c8e8062`](https://github.com/ImageMagick/ImageMagick/commit/c8e8062500c1bb49ac21a53ce6d673b5eaec85da)
- Removed file that was added by accident. [`8a39c77`](https://github.com/ImageMagick/ImageMagick/commit/8a39c77847be05cb685bba2e30ef4af131a8703d)
- correct MEPP metric [`9da0afc`](https://github.com/ImageMagick/ImageMagick/commit/9da0afc8b43433ccf3259538b59d42228050f0d8)
- check for negative values in sqrt() [`91b2ecb`](https://github.com/ImageMagick/ImageMagick/commit/91b2ecb9ef86a854ab8a1e78ab4ef81c30fc070d)
- No longer call heif_image_handle_get_context to make sure we always delete it (#8184). [`175355f`](https://github.com/ImageMagick/ImageMagick/commit/175355ff4b56e91505051e0d9cb8191711ea6562)
- cosmetic [`ed67e14`](https://github.com/ImageMagick/ImageMagick/commit/ed67e1416aef029e4a8020751b00e503fa74bd57)
- correct MSE metric [`2f98f7d`](https://github.com/ImageMagick/ImageMagick/commit/2f98f7d2080f49c7a346ea131d43aec8320ee93b)
- correct fuzz metric [`de9558d`](https://github.com/ImageMagick/ImageMagick/commit/de9558d0c3c109e5d4b541be5a0061548f371925)
- code review cleanup [`c94c096`](https://github.com/ImageMagick/ImageMagick/commit/c94c096b6507daf34bc343e3e449a57734ee4b38)
- eliminate compiler exception [`ea417ac`](https://github.com/ImageMagick/ImageMagick/commit/ea417ac8adb2536ec5ab6f18e1a4174bbae032b2)
- correct MSE metric [`dc40e94`](https://github.com/ImageMagick/ImageMagick/commit/dc40e944d32729603d7057ab875f194e64f9c137)
- optimize threads [`e85e5ac`](https://github.com/ImageMagick/ImageMagick/commit/e85e5ac9d498a3519da0acc9f90039bcc1d09078)
- wrong check for pivot array [`ed8dab9`](https://github.com/ImageMagick/ImageMagick/commit/ed8dab9b3fba7206d5a297025359f3550157d2bd)
- Use pre-compiled Configure binary instead. [`acf7df4`](https://github.com/ImageMagick/ImageMagick/commit/acf7df41202b7df054894d2904476405ccf72d26)
- clamp NCC metric [`46e6e89`](https://github.com/ImageMagick/ImageMagick/commit/46e6e89543535c4b122fd5cd8854f33c88c73e27)
- cosmetic [`a06b8b7`](https://github.com/ImageMagick/ImageMagick/commit/a06b8b706976c8f21a2d76991a666fc456d8a3e4)
- high precision gauss jordon elimination [`732d8df`](https://github.com/ImageMagick/ImageMagick/commit/732d8dfdca5f582c4164b68f77fd320273b8dae4)
- Build on ubuntu:22.04 because ubuntu:20.04 is no longer supported. [`bba9115`](https://github.com/ImageMagick/ImageMagick/commit/bba91156a3c4666548fca2e8005b8198c233589f)
- respect time policy [`5a6f39a`](https://github.com/ImageMagick/ImageMagick/commit/5a6f39ad439e14bc99b9e24afc7990c0e3c0ccc0)
- fine tune PerlMagick unit tests [`92639f5`](https://github.com/ImageMagick/ImageMagick/commit/92639f5cdbeb7d55bfef51d6e06b4cc0ba62fcca)
- fix image time-to-live [`002f01e`](https://github.com/ImageMagick/ImageMagick/commit/002f01eeb821453120498cdb48eb293a5f1bc01f)
- handle log rotation properly [`7a4ee88`](https://github.com/ImageMagick/ImageMagick/commit/7a4ee88cddace46e2b08377111f3d0f815a543ba)
- eliminate compiler warning [`d77e5a5`](https://github.com/ImageMagick/ImageMagick/commit/d77e5a5703ad6550dbc3542b68a3da93351bd9de)
- correct src composite operator [`f0a90c8`](https://github.com/ImageMagick/ImageMagick/commit/f0a90c8d95361aab843e20aff9994abf17edd304)
- No longer install dependencies for the AppImage build from a PPA. [`a323065`](https://github.com/ImageMagick/ImageMagick/commit/a32306531e0578c012d97df2778d477e07a61ffc)
- Corrected settings. [`cf6be07`](https://github.com/ImageMagick/ImageMagick/commit/cf6be07b651aa39fb5c4b51fa47e48be67480c6a)
- Also install file in the release workflow. [`74c5376`](https://github.com/ImageMagick/ImageMagick/commit/74c537628e86c9eadf27c48ff6f41b9d094e3f2f)
- Use apt-get instead of apt. [`04609b4`](https://github.com/ImageMagick/ImageMagick/commit/04609b472ecd5d65b9c31c46f7c6969105d9494a)
- correct Gauss-Jorfan elimination algorithm [`96d6dc4`](https://github.com/ImageMagick/ImageMagick/commit/96d6dc40154aae9850a81d12885ccfc1b48cab34)
- correct NCC metric [`85ca1c3`](https://github.com/ImageMagick/ImageMagick/commit/85ca1c358400185860ddcbeb0fd04279b564843e)
- Also enable the _WINDOWS_SUPPORT defines when _WIN32_WINNT is set. [`6e6d520`](https://github.com/ImageMagick/ImageMagick/commit/6e6d52049d151c521957f1910e62576eb5389dc1)
- correct NCC metric [`565cbe3`](https://github.com/ImageMagick/ImageMagick/commit/565cbe3bb0169a26074132a5f4f641a16b212d0a)
- eliminate compiler warning [`f5f49bb`](https://github.com/ImageMagick/ImageMagick/commit/f5f49bbccdc4cc61b5f4e0a58bbda7bb03720777)
- Corrected type of variable. [`2f90032`](https://github.com/ImageMagick/ImageMagick/commit/2f90032747d528c421538f5f0d071466b5f46ebe)
- Correct indentation. [`641e60d`](https://github.com/ImageMagick/ImageMagick/commit/641e60dc8798bb11fc1377277e3e53567effc856)
- Replace some of the unsafe C runtime functions with secure alternatives on Windows [`4a2f932`](https://github.com/ImageMagick/ImageMagick/commit/4a2f9328ebfd6ddb03b97fcbf81a908e5560866f)
- Introduce a utf8_close define so we can use _close on Windows. [`6d9f9f9`](https://github.com/ImageMagick/ImageMagick/commit/6d9f9f978ff53a75cff0555e8bae51edc4d87d1b)
- Added more defines to silence warnings with the Windows build. [`9c455c3`](https://github.com/ImageMagick/ImageMagick/commit/9c455c348615f42fc1bda5b7500c99306a3bf23b)
- Use double instead of float. [`1e73b80`](https://github.com/ImageMagick/ImageMagick/commit/1e73b80255c7f93910a377ac0970a3bc69554695)
- Use typecast to double instead of using PerceptibleReciprocal. [`b146838`](https://github.com/ImageMagick/ImageMagick/commit/b146838490c46b3bf340a444f4a44858e584d15f)
- Use SOCKET_TYPE where possible. [`c86b1de`](https://github.com/ImageMagick/ImageMagick/commit/c86b1de34a41177eea06f0e1cd8d46ad68ff978c)
- Added missing typecasts. [`e345ab7`](https://github.com/ImageMagick/ImageMagick/commit/e345ab79692c6453b7360769b41b6c1d3d844cb4)
- Fixed build for when the distributed cache is disabled. [`7799cdb`](https://github.com/ImageMagick/ImageMagick/commit/7799cdb7c77480d0b2c4ea705f2fa083e92bb00f)
- Replace unsafe C runtime functions with secure alternatives on Windows [`4855d62`](https://github.com/ImageMagick/ImageMagick/commit/4855d620431ebfb17cea0ccc567f242a24ec366c)
- Use fopen instead of fopen_utf8. [`1aa3e21`](https://github.com/ImageMagick/ImageMagick/commit/1aa3e2137bc80c822c3da0eb220154da14725225)
- Added missing typecasts. [`058a7c1`](https://github.com/ImageMagick/ImageMagick/commit/058a7c1040182027f6765f1e7e70fdd1b78bd73f)
- Added missing typecasts. [`125e912`](https://github.com/ImageMagick/ImageMagick/commit/125e912c07aab746de61dcbca43872a649d45076)
- Removed define that was only used once. [`d9858ff`](https://github.com/ImageMagick/ImageMagick/commit/d9858ffc636838b95c2ef109671042b29ff61a94)
- Use double instead of float because all calls use a double. [`965c4ca`](https://github.com/ImageMagick/ImageMagick/commit/965c4ca9652f9d544af6435f63dac1a98e68ce50)
- Correct previous build fix. [`f826820`](https://github.com/ImageMagick/ImageMagick/commit/f82682072be14ced4efa71a0384a6c8476a26499)
- Added more missing typecasts. [`e2c207d`](https://github.com/ImageMagick/ImageMagick/commit/e2c207d2ef3bd1ec7240d642424f1275e91b6fcb)
- Corrected variable type. [`084856f`](https://github.com/ImageMagick/ImageMagick/commit/084856f8b6c771f65ccd6d46818cd99a3a4aaa2b)
- Another fix of the define. [`caea56e`](https://github.com/ImageMagick/ImageMagick/commit/caea56e5d6b5bfc62362de25fcfb868d93a50597)
- Added define for sscanf so we use sscanf_s on Windows. [`b2894bb`](https://github.com/ImageMagick/ImageMagick/commit/b2894bb375e88eb0047e7b7aaec458fa55aeedcd)
- Use defines in code instead of the start of the file. [`681ba67`](https://github.com/ImageMagick/ImageMagick/commit/681ba6777d260ce22f8dabfd8cf2e7993c286cd8)
- Added include to make sure we use the correct version of sscanf on Windows. [`5da57b8`](https://github.com/ImageMagick/ImageMagick/commit/5da57b8084f3149c3a5371ebfe5626abceb08d93)
- Use strerror_s on Windows instead of strerror. [`8a4166c`](https://github.com/ImageMagick/ImageMagick/commit/8a4166cc46f111030b0717411bb050b127437c11)
- Use a define for j0 and j1 so we can use _j0 and _j1 on Windows. [`43e89ec`](https://github.com/ImageMagick/ImageMagick/commit/43e89eca0590a02675d279d466216ef367c51ac9)
- Added missing include. [`d7ebd92`](https://github.com/ImageMagick/ImageMagick/commit/d7ebd9268b392e1f3200338809bd0c68f97d3e4a)
- Use GetEnvironmentValue instead of getenv. [`cc056c9`](https://github.com/ImageMagick/ImageMagick/commit/cc056c9b221691a6c23340bdb5ae334641f8456d)
- Added extra private method that can be used to check if SOURCE_DATE_EPOCH was used to override the time. [`93aa620`](https://github.com/ImageMagick/ImageMagick/commit/93aa620217b1b46bb79bb32642b39b34a61654e9)
- Corrected define. [`6d67479`](https://github.com/ImageMagick/ImageMagick/commit/6d674794a23cd6630a0465ffdcf249e21a4268ab)
- Added missing include. [`e48dbd2`](https://github.com/ImageMagick/ImageMagick/commit/e48dbd249d2c2313390a7a96e3110b8ea8695354)
- Added missing typecasts. [`ce6b4fe`](https://github.com/ImageMagick/ImageMagick/commit/ce6b4fe42b89f74246c32f898d48a351e7889248)
- Added missing typecasts. [`2ca4edc`](https://github.com/ImageMagick/ImageMagick/commit/2ca4edcb9120f131b929ebe72562fdb621d8bb56)
- Corrected typecast. [`c59c9fa`](https://github.com/ImageMagick/ImageMagick/commit/c59c9fa2590bceca0c016492514e6e7703c587a9)
- correct NCC metric [`349e5ec`](https://github.com/ImageMagick/ImageMagick/commit/349e5ec586cb3b114bd50818eb4bcde95e44dcdf)
- correct DPC metric [`d21eb6b`](https://github.com/ImageMagick/ImageMagick/commit/d21eb6b43747ca6857783b32f2da0004731186a3)
- correct PSNR metric [`b7dade0`](https://github.com/ImageMagick/ImageMagick/commit/b7dade072e51f5d22e067df209c5488af7940ee1)
- correct DPC metric [`c59aa30`](https://github.com/ImageMagick/ImageMagick/commit/c59aa302ce6b1e86c6e1b6f4a9b3bed3c25e71e9)
- Use CopyMagickString instead of strncpy. [`5c47897`](https://github.com/ImageMagick/ImageMagick/commit/5c4789732ec5302a03861ec3fea17a8d32514bad)
- rename private safe recipicol and log10 macros [`7e5d87f`](https://github.com/ImageMagick/ImageMagick/commit/7e5d87fe6e92b6cc3e96d5175974626317512dd9)
- Use a custom implementation so we can use sscanf without defining _CRT_SECURE_NO_WARNINGS. [`cffddd3`](https://github.com/ImageMagick/ImageMagick/commit/cffddd32cfe87f6befe39a976a47ea2651a422c5)
- Use MagickSscanf in other locations. [`56f54d1`](https://github.com/ImageMagick/ImageMagick/commit/56f54d1209b39a213c529217016ed7933cc83183)
- Use MagickSscanf in other locations. [`ea11d84`](https://github.com/ImageMagick/ImageMagick/commit/ea11d847c2608ab5ed8340789f42f9d74221ae6d)
- fix linking exception [`bd0db0f`](https://github.com/ImageMagick/ImageMagick/commit/bd0db0f8457d73449959cc58d8ef9e749f8928ce)
- correct AE metric [`8a735ac`](https://github.com/ImageMagick/ImageMagick/commit/8a735ac1aaacb1a5c0ce597d9cacbe7a6e73a741)
- correct FUZZ metric [`b08b969`](https://github.com/ImageMagick/ImageMagick/commit/b08b969f32da0cd03148ddec3d5c3c0748c66de7)
- correct DSSIM metric [`969de51`](https://github.com/ImageMagick/ImageMagick/commit/969de5164b6d51a08f01831bcb687d7043191232)
- Only use the pragma warnings for the Windows build. [`8bd9298`](https://github.com/ImageMagick/ImageMagick/commit/8bd9298481fbe2aa75eb605251306ede1dbd6f09)
- Use MagickSsanf in the coders. [`ea26044`](https://github.com/ImageMagick/ImageMagick/commit/ea2604471bbdf9c2173f8f281b93a41c98a8b5ad)
- Added extra includes for the Windows build. [`790832b`](https://github.com/ImageMagick/ImageMagick/commit/790832b62fe05a382afc95d10c858814e0814df8)
- correct SSIM metric [`c8354a5`](https://github.com/ImageMagick/ImageMagick/commit/c8354a582e40a91dd7f8d5704904cfde30ab92a1)
- Added StringToFloat so we don't need to add a cast everywhere. [`94799b9`](https://github.com/ImageMagick/ImageMagick/commit/94799b97ad2b283ec9972338248a6b561673606c)
- Added missing include. [`fd944f2`](https://github.com/ImageMagick/ImageMagick/commit/fd944f2bdbd55d20ba27017aabfa21da1c8eaea3)
- Added missing call to CastDoubleToSizeT. [`984b937`](https://github.com/ImageMagick/ImageMagick/commit/984b937ee9d55f3580b7b458a85539860c9946a4)
- Added missing include. [`2b8e9b4`](https://github.com/ImageMagick/ImageMagick/commit/2b8e9b40736779e298da0c617a1bd309fc667713)
- Added missing typecasts. [`37464bd`](https://github.com/ImageMagick/ImageMagick/commit/37464bd09607b6922bcbf61a8b4a627365c805b3)
- Use float specific methods to avoid a typecast to a double. [`642127e`](https://github.com/ImageMagick/ImageMagick/commit/642127e9a7a050dff92aae831ce491aa6c56afcc)
- Fix build error. [`fefc6fd`](https://github.com/ImageMagick/ImageMagick/commit/fefc6fd19a05bc6b36f49872284076ce9bca9f0b)
- refactor to better distinquish similarity and distortion [`0071d3a`](https://github.com/ImageMagick/ImageMagick/commit/0071d3ad6853e30f7c9a95800e371375aa4d3750)
- eliminate lint warnings [`4bde249`](https://github.com/ImageMagick/ImageMagick/commit/4bde24986253174c98f73ca6561479ecdbf081db)
- correct DSSIM metric [`7df2f2e`](https://github.com/ImageMagick/ImageMagick/commit/7df2f2ec935244bb7bf750149fe5edbda6b36775)
- Added check for other define for the Windows build. [`ea1b5d6`](https://github.com/ImageMagick/ImageMagick/commit/ea1b5d6f017537354cb36167e30976460e376999)
- Removed disabling a specific warning. [`608cb7d`](https://github.com/ImageMagick/ImageMagick/commit/608cb7dd890f2e409ecdbb722f319fda429e1b69)
- Removed disabling a warning and added comments for the other warnings that are disabled. [`b5458b4`](https://github.com/ImageMagick/ImageMagick/commit/b5458b4e5acd02a17aa71aaf879a26cbe9ae8117)
- Removed disabling a specific warning. [`9b77651`](https://github.com/ImageMagick/ImageMagick/commit/9b776518d69aedbb3350bf43d7288b4b527a9b1b)
- Silence warnings in the Windows build. [`1a01312`](https://github.com/ImageMagick/ImageMagick/commit/1a01312ba6cae39714db44f6bf821ccbfd5a1187)
- filter image NaNs [`a024f05`](https://github.com/ImageMagick/ImageMagick/commit/a024f0560a87ba405ad0d86e9ecc754048fad608)
- filter image NaNs [`bb48cec`](https://github.com/ImageMagick/ImageMagick/commit/bb48cecbb9b560999c6a796abb5a2da6ff1c3067)
- configure git revision [`c43362d`](https://github.com/ImageMagick/ImageMagick/commit/c43362d89272522927f86b3d1bb18580be7e559c)
- correct PHASE metric [`ffd0b7e`](https://github.com/ImageMagick/ImageMagick/commit/ffd0b7e127ed1849f516738463ecb8979f438072)
- Build fix for when distributed cache is disabled. [`45ac859`](https://github.com/ImageMagick/ImageMagick/commit/45ac8597f12e41ff06b37c4bc901e8f313fcd8bb)
- cosmetic [`5c006c0`](https://github.com/ImageMagick/ImageMagick/commit/5c006c0444539705231d9d9daca7210c84c41e2c)
- Correct the initialization. [`7f99f95`](https://github.com/ImageMagick/ImageMagick/commit/7f99f950c029e1de349c1c05b56d1bc3bfd60149)
- adjust distortion metrics for a few PerlMagick unit tests [`e104d88`](https://github.com/ImageMagick/ImageMagick/commit/e104d8883529e2bc6b72577dcf9ceef02d129ed1)
- Silence warnings [`d799258`](https://github.com/ImageMagick/ImageMagick/commit/d7992582b93ef4e6f9ab2201a1cfbba43055a270)
- fix PerlMagick unit tests [`5daab91`](https://github.com/ImageMagick/ImageMagick/commit/5daab91af31c49446ba0df6e1600395ba3b8f0a9)
- Corrected type of variables and fixed typecasts. [`593c622`](https://github.com/ImageMagick/ImageMagick/commit/593c62290231f7b0c10f01f9e901a8ccae53105f)
- Added missing typecasts. [`03784e4`](https://github.com/ImageMagick/ImageMagick/commit/03784e4fb8152f0151b83bd32305954e4895c90b)
- cosmetic [`c6b6802`](https://github.com/ImageMagick/ImageMagick/commit/c6b68028851630212d46d396bd62224f97d86d7b)
- correct PHRASE metric [`1356e46`](https://github.com/ImageMagick/ImageMagick/commit/1356e46d47e4f8750eaed7404affeed1ecfb4fd6)
- correct DPC metric [`0c79e3b`](https://github.com/ImageMagick/ImageMagick/commit/0c79e3b5a922e2268ee1388e36fc2bb3d8dc47d9)
- add image compression qualtiy to JXR encoder [`1123895`](https://github.com/ImageMagick/ImageMagick/commit/1123895b507ab3388e85762e7405f4e28d1187eb)
- correct label position for concatenated images [`155ccfb`](https://github.com/ImageMagick/ImageMagick/commit/155ccfbbe4656a710225eb8ecd28b7b6b94d207e)
- set image type to palette for PNG8 [`1bbc707`](https://github.com/ImageMagick/ImageMagick/commit/1bbc707bf57c6cf5283d8f29e043eab67e399a3f)
- correct NCC metric [`9bf5ede`](https://github.com/ImageMagick/ImageMagick/commit/9bf5edef32a482e9285c359dd2c55bd6c88b76cf)
- correct NCC metric [`25ba699`](https://github.com/ImageMagick/ImageMagick/commit/25ba69922c46d314f89722280be08142c708eea9)
- Removed the check for the _DLL define because we should only check for MAGICKCORE_BUILD_MODULES. [`d397887`](https://github.com/ImageMagick/ImageMagick/commit/d3978876757136be52024534ab70357c8ea44adc)
- Silence warning. [`2fbaa05`](https://github.com/ImageMagick/ImageMagick/commit/2fbaa05eacb2b082abbf8f975c7139d1b9770f31)
- correct DPC metric [`e67d78f`](https://github.com/ImageMagick/ImageMagick/commit/e67d78fdcbf0c7a26c90f1a7614af02b4d01a80e)
- correct NCC metric [`94fee9e`](https://github.com/ImageMagick/ImageMagick/commit/94fee9ec8d1289b410bb2a1390e6d14f024277db)
- Make it more clear which build is the MSYS2 build. [`16bef40`](https://github.com/ImageMagick/ImageMagick/commit/16bef40861265fdf7defcf1511bb470798c5aa29)
- Truncate the formatted buffer automatically. [`c0c41c9`](https://github.com/ImageMagick/ImageMagick/commit/c0c41c9c2b1fbfd0dcd8eafbd3b0ebd57975338c)
- check for signed integer overflow [`c0d3c58`](https://github.com/ImageMagick/ImageMagick/commit/c0d3c58a2689bdb65120f025f958fb6893b61271)
- Switch back to _vsnprintf_l to avoid strange asserts on Windows. [`751b85f`](https://github.com/ImageMagick/ImageMagick/commit/751b85f64cc47e25c34bccabc6268a86a9e535a6)
- https://github.com/ImageMagick/ImageMagick/issues/8213 [`66afdfb`](https://github.com/ImageMagick/ImageMagick/commit/66afdfb9c28f74d3c49a5b669a2d3da36648c8cd)
- correct NCC metric [`e8266f9`](https://github.com/ImageMagick/ImageMagick/commit/e8266f99980c2722793ae146766c67d50d31c80a)
- eliminate compiler warning [`e5bbd8f`](https://github.com/ImageMagick/ImageMagick/commit/e5bbd8fddd2fa8b08565ee3eded1c2c63b7b3f46)
- eliminate compiler warning [`930f812`](https://github.com/ImageMagick/ImageMagick/commit/930f812518867fc6f36571856be52c960aa4bac7)
- correct FUZZ metric [`6822f52`](https://github.com/ImageMagick/ImageMagick/commit/6822f528a3032ff458144936a869762a9bda6054)
- eliminate compiler warning [`b072918`](https://github.com/ImageMagick/ImageMagick/commit/b07291864e6a1821a723eca8a829c6e5e884158d)
- https://github.com/ImageMagick/ImageMagick/issues/8212 [`a2f738e`](https://github.com/ImageMagick/ImageMagick/commit/a2f738e042aee4180a9ec84b031af4c2884bc623)
- support heic:cicp define [`5f98d8a`](https://github.com/ImageMagick/ImageMagick/commit/5f98d8a28c17bff21ee2ff1edb43fb3573a51327)
- support heic:cicp define [`9c6fe41`](https://github.com/ImageMagick/ImageMagick/commit/9c6fe416acdc92d124e7e6af665d37795bf7e751)
- Use heif_nclx_color_profile_alloc so we can use the defaults from the libheif library. [`961bd97`](https://github.com/ImageMagick/ImageMagick/commit/961bd97d5e15eb052cc8915fef6e21dd04fa8c63)
- fix PerlMagick unit test [`fe2eeea`](https://github.com/ImageMagick/ImageMagick/commit/fe2eeea39199ba85170a1516f28d8a64d258f252)
- optimize SetImageColorMetric() method [`cb478af`](https://github.com/ImageMagick/ImageMagick/commit/cb478af915db627dc4e17d1df2a7b03a3fe2bb31)
- Corrected fix for failing unit test. [`b11bced`](https://github.com/ImageMagick/ImageMagick/commit/b11bcedeae8be36a58f2e1ae8922924b489e4a37)
- fix PerlMagick JNG unit tests [`e0d17c1`](https://github.com/ImageMagick/ImageMagick/commit/e0d17c133e923b7ed484c0f8bf98862808aaa349)
- limit uncompressed PBM images to 70 characters [`9b86701`](https://github.com/ImageMagick/ImageMagick/commit/9b86701fb373e280b419dcde781ae0838e58dfe5)
- eliminate compiler warning [`8163f2e`](https://github.com/ImageMagick/ImageMagick/commit/8163f2e6a30c2a3218e6c52aa426ac4a9eac9b97)
- There is no need to mention the branch. [`868cfac`](https://github.com/ImageMagick/ImageMagick/commit/868cfacbbe2ad0fd5eb2cae5fe537554f8d8bf84)
- Silence warning that is causing issues in the daily build of PerlMagick. [`02014bc`](https://github.com/ImageMagick/ImageMagick/commit/02014bc7ea4964513554daeb255d02b29a9bdcbc)
- correct DSSIM metric [`33ea0d5`](https://github.com/ImageMagick/ImageMagick/commit/33ea0d5f89413c512228e2adb1e3d15a6f94d299)
- Silence warning. [`8fff9b4`](https://github.com/ImageMagick/ImageMagick/commit/8fff9b4f44d2e8b5cae2bd6db70930a144d15f12)
- https://github.com/ImageMagick/ImageMagick/issues/8212 [`44dfe7d`](https://github.com/ImageMagick/ImageMagick/commit/44dfe7d12a528049c5deeac71dbe30d0ddd3fe54)
- check for near zero [`93c32f7`](https://github.com/ImageMagick/ImageMagick/commit/93c32f7b3df0e330f9af09ea3ca6bef6582063be)
- cosmetic [`efa13d0`](https://github.com/ImageMagick/ImageMagick/commit/efa13d0a3ea3fb69833f1bfb60a96edeb8932917)
- https://github.com/ImageMagick/ImageMagick/issues/8217 [`b5d1ea2`](https://github.com/ImageMagick/ImageMagick/commit/b5d1ea2922c7cf007be46c3cc6805a7fc4714de7)
- Make it clear the return value is not used. [`cb3c451`](https://github.com/ImageMagick/ImageMagick/commit/cb3c451be6f873ee82ddbbd462828b6237858309)
- Use JxlEncoderDistanceFromQuality instead of our own implementation (#8223) [`e5450a6`](https://github.com/ImageMagick/ImageMagick/commit/e5450a65b1c406cfa9671aaf783a14b09094f78c)
- Fix possible memory leak. [`5d74c13`](https://github.com/ImageMagick/ImageMagick/commit/5d74c1347931e099aba4490658241550385be90f)
- Correct out of bounds read of a single byte. [`29d8272`](https://github.com/ImageMagick/ImageMagick/commit/29d82726c7ec20c07c49ba263bdcea16c2618e03)
- correct FUZZ metric [`f6b8ed1`](https://github.com/ImageMagick/ImageMagick/commit/f6b8ed1a5d6748d272d8839398d7ed6475bcae5f)
- Fixed memory leak when entering StreamImage multiple times. [`fc3ab08`](https://github.com/ImageMagick/ImageMagick/commit/fc3ab0812edef903bbb2473c0ee652ddfd04fe5c)
- use the mean fuzz [`9910241`](https://github.com/ImageMagick/ImageMagick/commit/9910241183e62caefd9c13bd685c2439a79d8499)
- use variance-style combined fuzz [`482b6d4`](https://github.com/ImageMagick/ImageMagick/commit/482b6d46faeaa57ee1487fe0c81984abba9791bd)
- adjust space left after a possible reallocation [`a0bbad6`](https://github.com/ImageMagick/ImageMagick/commit/a0bbad67e68f96f591645eb5f9a55ba22b789fd0)
- https://github.com/ImageMagick/ImageMagick/security/advisories/GHSA-qh3h-j545-h8c9 [`66dc8f5`](https://github.com/ImageMagick/ImageMagick/commit/66dc8f51c11b0ae1f1cdeacd381c3e9a4de69774)
- Create a copy of JxlEncoderDistanceFromQuality to allow building with older versions of libjxl. [`a949816`](https://github.com/ImageMagick/ImageMagick/commit/a94981648f2cd18c459d3da0ac79a49f8682fd7a)
- Use default frame distance when quality is not set. [`e8782ac`](https://github.com/ImageMagick/ImageMagick/commit/e8782ac548647eebd1342def7ac1945d8bebd3c0)
- enhance pixel compare with tolerance to consider all channels [`a9ffd15`](https://github.com/ImageMagick/ImageMagick/commit/a9ffd157d63d7b6b24de89f45e024aa43f86bd55)
- bump minor version # [`ca76067`](https://github.com/ImageMagick/ImageMagick/commit/ca760677af45807550a2f6bdeed8876da98949b5)
- bump version [`52150ae`](https://github.com/ImageMagick/ImageMagick/commit/52150ae6e459b6afac1ddddff070293d28286ac7)
- correct FUZZ metric [`31b5056`](https://github.com/ImageMagick/ImageMagick/commit/31b5056f5737e874dd3dedb72a58c13bf3b40ede)
- cosmetic [`8241921`](https://github.com/ImageMagick/ImageMagick/commit/824192141290d827cac0a8047263e86eae131d96)
- correct unit test [`cbe2eaf`](https://github.com/ImageMagick/ImageMagick/commit/cbe2eaf16cce3d96792da1f52a7daa5a6d994494)
- revert [`6a3f8ab`](https://github.com/ImageMagick/ImageMagick/commit/6a3f8ab6444b3678d84e0d1a8d0b51939ae492b5)
- correct FUZZ metric [`7ccbbb3`](https://github.com/ImageMagick/ImageMagick/commit/7ccbbb318feea268323326f6d54baa85d52432b6)
- Code cleanup. [`4f010db`](https://github.com/ImageMagick/ImageMagick/commit/4f010db98e4e6a9bfe58f09c7156215acd73ae84)
- Improve frame check in the jxl encoder to fix the crash reported in #8218. [`aa45d81`](https://github.com/ImageMagick/ImageMagick/commit/aa45d81dd006d2269781601a050fb7883d1474fd)
- correct AE metric [`09f2073`](https://github.com/ImageMagick/ImageMagick/commit/09f20732c4f9c8774277ee43e59cb51d1d765b78)
- reverse highlighting polarity [`cd02f3f`](https://github.com/ImageMagick/ImageMagick/commit/cd02f3fd01beb19a972576beaca1d085b705065d)
- omp.h uses templating; it cannot appear in a C block with c++ compiler [`ac580db`](https://github.com/ImageMagick/ImageMagick/commit/ac580dbd100ca51ce3ed24f73fa0f4a64a16c240)
- Corrected check. [`c9efb91`](https://github.com/ImageMagick/ImageMagick/commit/c9efb91ba08a76b4960c75862df8ef7c72f490c6)
- Corrected initialization of the time limit. [`6e55836`](https://github.com/ImageMagick/ImageMagick/commit/6e558364eb6b7bca3ce65ce2abc74c721e53b194)
- return false if not path is not populated [`81ea814`](https://github.com/ImageMagick/ImageMagick/commit/81ea8144bced0a2f8078558bb0d55d82dc71d250)
- correct DSSIM metric [`11c97e2`](https://github.com/ImageMagick/ImageMagick/commit/11c97e201e20f5032deffb608737ccfb097cece6)
- correct DSSIM distortion [`faf863d`](https://github.com/ImageMagick/ImageMagick/commit/faf863d6d5f2d92928246ccb0329b88b31d657fd)
- correct DSSIM metric [`a7c0632`](https://github.com/ImageMagick/ImageMagick/commit/a7c0632bf62db3a1895441868e6fedc4a0237191)
- Added missing typecast. [`247ad64`](https://github.com/ImageMagick/ImageMagick/commit/247ad64446fb34c44cc55b130973d13dacfbc829)
- correct SSIM metric [`67a27ff`](https://github.com/ImageMagick/ImageMagick/commit/67a27ff66b0ba44bb29a292fd2b3af0586255b9d)
- initialize image pixels [`95b549d`](https://github.com/ImageMagick/ImageMagick/commit/95b549d78862df284b69968e3d3536c81b6f868e)
- use same metric for similarity and distortion [`d57b477`](https://github.com/ImageMagick/ImageMagick/commit/d57b477497a3e42fb6ddc77c580d35e59694697e)
- correct PHASE distortion [`f6c0c78`](https://github.com/ImageMagick/ImageMagick/commit/f6c0c7808041a03f34133159815b68fcaf743c05)
- correct SSIM distortion [`ccaabed`](https://github.com/ImageMagick/ImageMagick/commit/ccaabed8bf858bca04336bda90f23f3c73538af9)
- Corrected typecast. [`eb35aa4`](https://github.com/ImageMagick/ImageMagick/commit/eb35aa4cd66a6b32f078b39399d0ceabc91e4ebd)
- Silenced warning. [`c17e3e6`](https://github.com/ImageMagick/ImageMagick/commit/c17e3e6e23021aef887b3764fc7487d1265e3170)
- Use _getcwd instead of getcwd with the Windows build. [`6d97418`](https://github.com/ImageMagick/ImageMagick/commit/6d974187e48f49a329c6b14974b7a5c5d83897fb)
- Check for define that is already set with a debug build. [`7f17db3`](https://github.com/ImageMagick/ImageMagick/commit/7f17db32413e2f8fab3f268d24a8bfa1561e4b08)
- Silenced warnings. [`b9bb808`](https://github.com/ImageMagick/ImageMagick/commit/b9bb80850034595e3b393c62bc5a0ad9a0855b60)
- Added missing typecast. [`a052247`](https://github.com/ImageMagick/ImageMagick/commit/a052247d320f9a1916d4c46d195e91802a6fb48f)
- correct DPC metric [`28ea852`](https://github.com/ImageMagick/ImageMagick/commit/28ea8525eabeed811c0798ae365684df82416f2d)
- Removed incorrect typecast. [`a136ce9`](https://github.com/ImageMagick/ImageMagick/commit/a136ce95782cc34b75bf80048596e1de5161cd30)
- support DPC & PHASE metrics in the spatial domain [`9966c0f`](https://github.com/ImageMagick/ImageMagick/commit/9966c0f7c7ed93d4037fae2fe8c3c90096c7e27a)
- Removed pragma lib comments from the Magick++ include header file. [`af968ac`](https://github.com/ImageMagick/ImageMagick/commit/af968aca174757941bbd9903e3caa4382da8b72e)
- correct DPC metric [`eab0545`](https://github.com/ImageMagick/ImageMagick/commit/eab0545f1193b8ca3dd757ea2bd4252f7feaea2e)
- add comments describing the metrics [`deb4026`](https://github.com/ImageMagick/ImageMagick/commit/deb40267c18192aec7734c37408d25d9c586114c)
- correct DPC metric in the spatial domain [`8670e4c`](https://github.com/ImageMagick/ImageMagick/commit/8670e4c8db40760d94e943cc02097be70c571710)
- Fixed build error. [`b9db7a6`](https://github.com/ImageMagick/ImageMagick/commit/b9db7a6a59eb04e364720b4f6d63e23453adf018)
- revert [`2ca3314`](https://github.com/ImageMagick/ImageMagick/commit/2ca3314e9b953f2084325c272c273fd58ece6519)
- scale PHASE metric [`8b3aaa2`](https://github.com/ImageMagick/ImageMagick/commit/8b3aaa2605afd6e1443ca0450b5c50c1fddbbe7e)
- correct PHASE metric in the spatial domain [`88c9d76`](https://github.com/ImageMagick/ImageMagick/commit/88c9d76d2529008135779155da9045b21c23a929)
- cosmetic [`30cc042`](https://github.com/ImageMagick/ImageMagick/commit/30cc042cdcc5583c24ddcc4d0e357cb690612091)
- adjust workload factor [`554c38f`](https://github.com/ImageMagick/ImageMagick/commit/554c38f8913062a2dd6796453480c98ee7929a70)
- near zero becomes zero [`425ec3c`](https://github.com/ImageMagick/ImageMagick/commit/425ec3c943a1db35385b00dd6974567916b056b9)
- respect alpha channel [`b56ed10`](https://github.com/ImageMagick/ImageMagick/commit/b56ed10793f59c7cc31b9400146c42b5cb3e84b0)
- account for alpha channel in the frequency domain [`2a3b37f`](https://github.com/ImageMagick/ImageMagick/commit/2a3b37f6cef59aadf71538a5ae4169abf0b65103)
- PHASE metric is (1-SSIM)/2 [`4b830fc`](https://github.com/ImageMagick/ImageMagick/commit/4b830fc6b4fe96ee45a14bb8f96c76a0d950402d)
- cosmetic [`d07e397`](https://github.com/ImageMagick/ImageMagick/commit/d07e39780a831a35f80ae6b01b01998b023e23c1)
- correct DSSIM distortion [`a2a4f5f`](https://github.com/ImageMagick/ImageMagick/commit/a2a4f5fb294a2f216444237fd254c62082be4e53)
- Moved scripts to new build folder. [`69f25f2`](https://github.com/ImageMagick/ImageMagick/commit/69f25f245e2d8d15e0201c627168aed27f9cccc3)
- Cosmetic rename. [`5e5ea0b`](https://github.com/ImageMagick/ImageMagick/commit/5e5ea0b569ffdf2f03473a5beb14ef5d359d038a)
- frequency methods do not require alpha blending [`f530431`](https://github.com/ImageMagick/ImageMagick/commit/f5304318706e40dbe3df660fedcc84baf29a0b67)
- no alpha blending for NCC frequency [`f0db320`](https://github.com/ImageMagick/ImageMagick/commit/f0db3204b3299eaa7c5a96eaf9611c8219d29054)
- correct distortion for subimage search [`9bde76f`](https://github.com/ImageMagick/ImageMagick/commit/9bde76f1d88d087ea5fe037344f9ea6204385197)
- release [`3fcd081`](https://github.com/ImageMagick/ImageMagick/commit/3fcd081c0278427fc0e8ac40ef75c0a1537792f7)

## [7.1.1-47](https://github.com/ImageMagick/ImageMagick/compare/7.1.1-46...7.1.1-47) - 2025-03-29

### Commits

- beta release [`674861a`](https://github.com/ImageMagick/ImageMagick/commit/674861ae68bf9aacdf279a6842bb0cb65c0f3322)
- ... [`9d4fdca`](https://github.com/ImageMagick/ImageMagick/commit/9d4fdca82c920395b9c87f44c248f19495dddfc1)
- set PSNR for identical images to 48.1647db [`6687c75`](https://github.com/ImageMagick/ImageMagick/commit/6687c754da6996280dec6ffe8d7486fdc148168e)
- incorrect tag [`5c6183b`](https://github.com/ImageMagick/ImageMagick/commit/5c6183bd88ac57b1d1f0d55dbd00202aef643c8e)
- reverse PSNR edge cases [`45c90d2`](https://github.com/ImageMagick/ImageMagick/commit/45c90d2c1a10e4ea6a9ff7c4ec7a4b36a6f14c76)
- negate AE/PAE/MEPP correlation image [`d1208c1`](https://github.com/ImageMagick/ImageMagick/commit/d1208c1cc34b36d730461c7b8164e6fdc8d20e0b)
- support -adjoin setting [`bf3c9a2`](https://github.com/ImageMagick/ImageMagick/commit/bf3c9a2f19140bc4e43a9901b7ad0218f774e3e6)
- initialize channel minimum [`432c63e`](https://github.com/ImageMagick/ImageMagick/commit/432c63e7739df441b5d325df3d06059f21e82138)
- revert [`e94404b`](https://github.com/ImageMagick/ImageMagick/commit/e94404b9629ae5d7713b138b405662900beac5cd)
- correct PSNR distortion [`ddf1f55`](https://github.com/ImageMagick/ImageMagick/commit/ddf1f5576b2e3e5028bcc3aad5a600a541aa0c14)
- invert similarity for SSIM metric [`32103ff`](https://github.com/ImageMagick/ImageMagick/commit/32103ff9a0e15d72586f1d3306ab003bb94e67a9)
- list pcl6 delegate [`0343554`](https://github.com/ImageMagick/ImageMagick/commit/03435541700ee28eacf18022778ed41e14cacd61)
- change pcl default color device [`c8e0236`](https://github.com/ImageMagick/ImageMagick/commit/c8e023629834d5b8387b3904d70315a02a923632)
- correct PSNR metric [`981ae2d`](https://github.com/ImageMagick/ImageMagick/commit/981ae2db2a10558c3bd7efcb12b2115ee8477a60)
- render closed sub-path poly lines [`c8f4e8c`](https://github.com/ImageMagick/ImageMagick/commit/c8f4e8cb75b1446b632536479d1184c9c2c0b2d0)
- release [`82572af`](https://github.com/ImageMagick/ImageMagick/commit/82572afc879b439cbf8c9c6f3a9ac7626adf98fb)

## [7.1.1-46](https://github.com/ImageMagick/ImageMagick/compare/7.1.1-45...7.1.1-46) - 2025-03-18

### Merged

- try pngalpha if png16malpha not available [`#8034`](https://github.com/ImageMagick/ImageMagick/pull/8034)

### Commits

- beta release [`fe966f5`](https://github.com/ImageMagick/ImageMagick/commit/fe966f585fb5d68b61357a4a300ad486ff39c257)
- negate SSIM similarity image [`225b65d`](https://github.com/ImageMagick/ImageMagick/commit/225b65d7fbe890fd43252f305f10400a69a59673)
- cosmetic [`66985e8`](https://github.com/ImageMagick/ImageMagick/commit/66985e847f09e7f2446e6544062ec641621db95a)
- TIFFGetFieldDefaulted doesn't work for TIFFTAG_PHOTOMETRIC so we need to use TIFFGetField instead. [`b64d7a9`](https://github.com/ImageMagick/ImageMagick/commit/b64d7a99d1efdd2d97df1e58748aed0e3260a5e5)
- Remove heic:max-image-size-pixels option and use our limits instead. [`c4afe0b`](https://github.com/ImageMagick/ImageMagick/commit/c4afe0b7ea9934417b0b5218678d791aa40bfea3)
- fix issue with similarity search of two images of same dimensions [`62cb29b`](https://github.com/ImageMagick/ImageMagick/commit/62cb29b80a6c5fb18378e77aeea75a92bea38632)
- for NCC metric, identical is `1` not `0` [`4130489`](https://github.com/ImageMagick/ImageMagick/commit/41304894af0f29517b795d4a7a14dd6cf0f2965e)
- Only divide the value once when scaling quantum to an unsigned char. This is probably already optimized by the compiler but this change makes our intent more clear. [`fb883b5`](https://github.com/ImageMagick/ImageMagick/commit/fb883b589c037504717caf632044521d80865149)
- restore output of PSNR metric [`fae1740`](https://github.com/ImageMagick/ImageMagick/commit/fae1740b6c35669d8d1ff07e3e86641747025be8)
- special similarity one-off if image and reconstruction have same dimensions [`221e702`](https://github.com/ImageMagick/ImageMagick/commit/221e702e84df9f8b75734ecaf0ba8df30105d572)
- don't encode URI '/' [`8f23ea7`](https://github.com/ImageMagick/ImageMagick/commit/8f23ea73e0ff184ca3dde5a3fe84a21cd38c4011)
- scale PSNR output by 100 [`6c69f79`](https://github.com/ImageMagick/ImageMagick/commit/6c69f79bd68fa79c4ab3f0fffc85a13669722c78)
- scale PSNR by 48.1647 [`4071458`](https://github.com/ImageMagick/ImageMagick/commit/4071458b68b761f6685607ad9be4db5c3481ee9d)
- revert special case where target and reconstruction is the same dimensions [`9224c0d`](https://github.com/ImageMagick/ImageMagick/commit/9224c0dc46e427b5701c5f51b081c1cbd281a118)
- special case where target and reconstruction are same size [`f060e09`](https://github.com/ImageMagick/ImageMagick/commit/f060e09087a529ea9cc6a3f20d162285f26651a5)
- improve detection of RLE decoding [`e4df167`](https://github.com/ImageMagick/ImageMagick/commit/e4df1673f1817c5d753c9013e17acb2bd28f5099)
- strip thumbnail URI of decorators [`934d3f9`](https://github.com/ImageMagick/ImageMagick/commit/934d3f949d9eaa526debc43c7192aa32890867cf)
- respect filename:literal define for both input and output filenames [`1b0f75e`](https://github.com/ImageMagick/ImageMagick/commit/1b0f75ec9f77f66afa69ae46c2a72a9543bcfbf5)
- revert [`e6be257`](https://github.com/ImageMagick/ImageMagick/commit/e6be2579b493502062f5749265caf5b493bc741f)
- PSNR metric returned incorrect results for spatial, FFT worked fine [`4678062`](https://github.com/ImageMagick/ImageMagick/commit/4678062d9bbf9f4194be50b88d9cecf2899a9de8)
- remove debug statement [`1872f0a`](https://github.com/ImageMagick/ImageMagick/commit/1872f0a25741f269395c4ca698a57b9ac9498129)
- Set the max_color_profile_size using GetMaxProfileSize instead. [`27d8f79`](https://github.com/ImageMagick/ImageMagick/commit/27d8f79d96d74ae2a80a37855667d604b477b6ba)
- Added missing typecast. [`7ee7ea3`](https://github.com/ImageMagick/ImageMagick/commit/7ee7ea3c909386fb342de5ae9e8045546d4d9474)
- release [`8209e84`](https://github.com/ImageMagick/ImageMagick/commit/8209e844cf02b5365918da83b2fc811442813080)

## [7.1.1-45](https://github.com/ImageMagick/ImageMagick/compare/7.1.1-44...7.1.1-45) - 2025-03-09

### Merged

- Fix statistic.c GetImageRange initializer [`#8010`](https://github.com/ImageMagick/ImageMagick/pull/8010)

### Fixed

- Fix statistic.c GetImageRange initializer (#8010) [`#1679`](https://github.com/rmagick/rmagick/issues/1679)

### Commits

- beta release [`6c98cd0`](https://github.com/ImageMagick/ImageMagick/commit/6c98cd071298daf5af4c5fac0ed687ca278b7533)
- slightly optimize JzAzBz tuples, thanks to @nrobidoux [`2766158`](https://github.com/ImageMagick/ImageMagick/commit/27661583f6854a89112cf3d716c19336a88c2b49)
- ... [`9122023`](https://github.com/ImageMagick/ImageMagick/commit/9122023dcffb069678ea003b56c0b15f7970b4f4)
- Jzazbz colorspace optimizations by @nrobidoux [`cb4bb36`](https://github.com/ImageMagick/ImageMagick/commit/cb4bb36ef61f64149f1a0f5ed4a3693f42f3b382)
- follow thumbnail specification for -thumbnail option [`f92bd5b`](https://github.com/ImageMagick/ImageMagick/commit/f92bd5b84842f19156ebdc3958d5dee8c4c80ced)
- cosmetic [`90acf73`](https://github.com/ImageMagick/ImageMagick/commit/90acf73ad577ecf95313cfc6b01cfd2c6c521442)
- cosmetic [`cb9c7de`](https://github.com/ImageMagick/ImageMagick/commit/cb9c7de9aed1067c86ef7b46dec4893a37f5df46)
- reference image instead of thumbnail [`93f7b8e`](https://github.com/ImageMagick/ImageMagick/commit/93f7b8e90ff6f4d2df06625ce0be2d95d8c778a3)
- squash abort [`7b41547`](https://github.com/ImageMagick/ImageMagick/commit/7b415479eff09d4fb7f2be0c239b44d4d72b4ce9)
- search for null, not 0 [`4d249e1`](https://github.com/ImageMagick/ImageMagick/commit/4d249e1391f77d9fd6473b70fa9e9c1f76f5d4ff)
- Also print the requested sizes in the error message when width or height exceeds the limits. [`14dfb98`](https://github.com/ImageMagick/ImageMagick/commit/14dfb989462e64ab82f7ffbcdb1279d5223e9440)
- file URI is we have an absolute path [`9656f70`](https://github.com/ImageMagick/ImageMagick/commit/9656f70c483b6dbcc9c533696634ec9d51954b2d)
- Corrected CMAKE flags for the oss-fuzz zlib build. [`6882c62`](https://github.com/ImageMagick/ImageMagick/commit/6882c62def5c6146f52d94fc73410ee9c0f2edff)
- Corrected oss-fuzz issues link. [`8c885b1`](https://github.com/ImageMagick/ImageMagick/commit/8c885b129a25571ef5adc287e1a82e06d52d6978)
- We don't need to set png:IHDR.bit-depth-orig and png:IHDR.color-type-orig because we already set the magick to PNG32. [`9871f79`](https://github.com/ImageMagick/ImageMagick/commit/9871f791807228793837a957ff5a5bc929b5e736)
- mime:type is not automatically injected, you must request it [`14511d8`](https://github.com/ImageMagick/ImageMagick/commit/14511d8b3643ff76ac8d08a54a12d9f55f867814)
- optimized Oklab colorspace transformation [`41e87e5`](https://github.com/ImageMagick/ImageMagick/commit/41e87e51249975fa64247948e5e5aa46c1573295)
- include PNG tRNS chunk [`7021e98`](https://github.com/ImageMagick/ImageMagick/commit/7021e987722314f3f635dd5b6a7119a766a2ab92)
- latest documentation [`48ef8ec`](https://github.com/ImageMagick/ImageMagick/commit/48ef8ec78a5d7fa347bcaadf5198e2a719132d2d)
- ... [`57ca4c7`](https://github.com/ImageMagick/ImageMagick/commit/57ca4c7667176c99094f50402e14837185e54572)
- support parallel DNG image conversion [`0a92243`](https://github.com/ImageMagick/ImageMagick/commit/0a92243f86f3baea701cfd2eff40e8c2c6dd0539)
- support epoch() and magicktime() FX functions contributed by @snibgo [`f70d8d3`](https://github.com/ImageMagick/ImageMagick/commit/f70d8d3759347ff305ec70d0a39656850242f418)
- Added our own implementation of parsing an iso860 date and time to fix the Windows build. [`be01f28`](https://github.com/ImageMagick/ImageMagick/commit/be01f28ae2d376fca76a730003843d584e2d960a)
- Corrected memset. [`e8b195d`](https://github.com/ImageMagick/ImageMagick/commit/e8b195dd10f83db9dd8fae5c3d5a6956ab634e3c)
- negate MAE metric [`f02769c`](https://github.com/ImageMagick/ImageMagick/commit/f02769cfcd1e1c65d20623851b75ea8bc8e70fce)
- negate PHASH similarity image [`dd44681`](https://github.com/ImageMagick/ImageMagick/commit/dd446812187505f219a51cc4b79fbd9dc6176379)
- Added options to allow specifying the security limits of libheif. [`0dcd7ad`](https://github.com/ImageMagick/ImageMagick/commit/0dcd7ad4d373db99ae3f4bdf9303a3d88116e33a)
- detect invalid compression BMP [`5810cf9`](https://github.com/ImageMagick/ImageMagick/commit/5810cf98cec6168ebd92c06c9a57a0eb28747c25)
- default to true-color alpha [`fe3b58f`](https://github.com/ImageMagick/ImageMagick/commit/fe3b58fa3d102bbd2f69ddce8fbf1d43d6ece3dd)
- cosmetic [`8f8cb86`](https://github.com/ImageMagick/ImageMagick/commit/8f8cb86b76d2f837021d65cf5ff661328ae29de2)
- correct conditional compile [`321bed7`](https://github.com/ImageMagick/ImageMagick/commit/321bed785978178926a0ee0282bc9999bda69655)
- negate SSIM similarity metric [`3cbce56`](https://github.com/ImageMagick/ImageMagick/commit/3cbce569617a61e207f9caccebd8ffc5a8e554e5)
- releasse [`37b3453`](https://github.com/ImageMagick/ImageMagick/commit/37b3453c6222ae6b9f96418dbc70df225929db7e)

## [7.1.1-44](https://github.com/ImageMagick/ImageMagick/compare/7.1.1-43...7.1.1-44) - 2025-02-22

### Merged

- fix type casting in statistic.c [`#7982`](https://github.com/ImageMagick/ImageMagick/pull/7982)
- Magick++ Documentation Verification [`#7906`](https://github.com/ImageMagick/ImageMagick/pull/7906)
- Enable Floyd-Steinberg as dither for Magick::Image::map() [`#7937`](https://github.com/ImageMagick/ImageMagick/pull/7937)
- Bump azure/trusted-signing-action from 0.5.0 to 0.5.1 [`#7895`](https://github.com/ImageMagick/ImageMagick/pull/7895)

### Commits

- beta release [`62be4c1`](https://github.com/ImageMagick/ImageMagick/commit/62be4c187a751e0e9a1b469989e6ed74de140d7e)
- latest documentation update [`8c58a36`](https://github.com/ImageMagick/ImageMagick/commit/8c58a36589da1c1f5aa3c0b6bf34bd38fd54719a)
- Corrected Q8 values. [`80ee649`](https://github.com/ImageMagick/ImageMagick/commit/80ee64954d151e7105eb7811fe2684ef227f2d4a)
- Also run the PerlMagick unit tests in the daily build. [`16cdaa9`](https://github.com/ImageMagick/ImageMagick/commit/16cdaa9bc1f7df539eb6f1ae8bc8760f084a8f80)
- Update configure options for the daily build. [`d5fbb23`](https://github.com/ImageMagick/ImageMagick/commit/d5fbb23eb7c58e9f3b800dd74129240627a596bc)
- Improved error reporting in the perl unit tests. [`c1c5da8`](https://github.com/ImageMagick/ImageMagick/commit/c1c5da8b2d461759b6bf7a59ed6db3c08e0aaa10)
- Corrected unit test values. [`99472b4`](https://github.com/ImageMagick/ImageMagick/commit/99472b49bf8ce4ce32d6505114b3112290fec96f)
- Fixed perl unit tests for the Q32 and Q64 builds. [`659c3a9`](https://github.com/ImageMagick/ImageMagick/commit/659c3a9c0b7bf7cdce0ff2156900e55498cbd6b8)
- Switch from ubuntu-latest to ubuntu-24.04 to silence warnings. [`5612526`](https://github.com/ImageMagick/ImageMagick/commit/5612526cc4363fabfa5a37023a946ae16829836a)
- Fixed perl unit test for the Q64 build. [`ff35b02`](https://github.com/ImageMagick/ImageMagick/commit/ff35b02fc033d112eb1aea7865ebed3a5bb55988)
- support svg:embedding define [`868a598`](https://github.com/ImageMagick/ImageMagick/commit/868a59815c6e9fe4b428f5429c28f34256395fa5)
- Install dependences of codeql analysis. [`1193a11`](https://github.com/ImageMagick/ImageMagick/commit/1193a1147629ea6520716ab9e9c23d1dc8ebf48f)
- Run apt commands with sudo instead. [`1309959`](https://github.com/ImageMagick/ImageMagick/commit/13099593b159740c367ac064d0502cc9f1e34491)
- Corrected year. [`a21a9c5`](https://github.com/ImageMagick/ImageMagick/commit/a21a9c56e73468275bedee2abce1fc08d753bb35)
- support accelerated MSE similarity compare [`099e1a2`](https://github.com/ImageMagick/ImageMagick/commit/099e1a2ef7bf91f26f5281a165a85443b285abd9)
- support accelerated RMSE and PSNR metrics [`f7221d6`](https://github.com/ImageMagick/ImageMagick/commit/f7221d6bbd1f6809552133edd27100e79931279e)
- fix PSNR acceleration [`4bea3e7`](https://github.com/ImageMagick/ImageMagick/commit/4bea3e706c4d168377b813a8700198e9abfb7894)
- framework for in-progress phase metric [`7946441`](https://github.com/ImageMagick/ImageMagick/commit/7946441a3e8b8b973a1ff3d33f0ba8ad8b65b781)
- support phase correction as a compare metric (thanks to Fred) [`2e5aea4`](https://github.com/ImageMagick/ImageMagick/commit/2e5aea4f202934654d79e6d1161325a9e145f9d0)
- add similarity metric to compare output [`5945e04`](https://github.com/ImageMagick/ImageMagick/commit/5945e04bf7d1e27534df5c6f9a8e7c4e7d916064)
- remove normalized value from phase metric [`ac2169c`](https://github.com/ImageMagick/ImageMagick/commit/ac2169c17b08c531d79d67bc01000f62543a8bab)
- add distortion to NCC metric [`d85a758`](https://github.com/ImageMagick/ImageMagick/commit/d85a7583f9a96bf031941c24d774b71529de3ce0)
- ... [`5abee8e`](https://github.com/ImageMagick/ImageMagick/commit/5abee8e1c368df6e5185bc71ed6cbc5681e090bd)
- fix memory leak in beta release [`3b48213`](https://github.com/ImageMagick/ImageMagick/commit/3b482132bf61637c29c290576d5a24de4e3dc8f7)
- cosmetic [`aa37676`](https://github.com/ImageMagick/ImageMagick/commit/aa37676549f97b79a21e1d17c7fce3e0a1a643e9)
- Fixed warning. [`6f8c4f3`](https://github.com/ImageMagick/ImageMagick/commit/6f8c4f33516247a47e3917269a8c16f52528c3ae)
- adjust NCC metric similarity score [`fa62b38`](https://github.com/ImageMagick/ImageMagick/commit/fa62b38f6a1b6a2894f9c94d179a4d00e45a58ea)
- fix output for NCC metric [`d1ae205`](https://github.com/ImageMagick/ImageMagick/commit/d1ae2056960907a02e7b2ac71d7c2bce4d6ee473)
- phase metric is most similar as it approached 1.0 [`e69a848`](https://github.com/ImageMagick/ImageMagick/commit/e69a848c91583cec3def8a382e2bb5351ae5b8ee)
- Silence warning again. [`402d054`](https://github.com/ImageMagick/ImageMagick/commit/402d054d6c08bf755230fb177bcbada981ac156b)
- Reverted patch from #5555 to resolve issue from #7876. [`980ba83`](https://github.com/ImageMagick/ImageMagick/commit/980ba83bc5bedbe072b149fed7fef68c3825c4b3)
- correct MSE metric and clean up code [`c7d070e`](https://github.com/ImageMagick/ImageMagick/commit/c7d070ec654573ddd9bc0356909a99fd1a7b07bd)
- Restored support for reading "http images" with the same delegate as we use for https to resolved the issue reported in #7881. This was removed with the libxml2 fixes in #7784. [`62891e6`](https://github.com/ImageMagick/ImageMagick/commit/62891e687f20e5daf4dc65f56a4b2944cac96814)
- correct PSNR metric [`4b1ca72`](https://github.com/ImageMagick/ImageMagick/commit/4b1ca7220390ff7171624989a7a2cb2ebe91fe7c)
- prevent integer overflow [`db35fc7`](https://github.com/ImageMagick/ImageMagick/commit/db35fc7315acadf3996b939b082e86cfa2b0ed4e)
- Renamed variables to make it more clear what it's used for. [`468764f`](https://github.com/ImageMagick/ImageMagick/commit/468764f92f876474b326d037f3191cba9e7a0cd9)
- Renamed more variables. [`9f1b618`](https://github.com/ImageMagick/ImageMagick/commit/9f1b61895e32929291ded2609cd1860987227a41)
- Make it more clear we only support 8-bit gamma integer as the storage type and added support for all development versions. [`fca59fd`](https://github.com/ImageMagick/ImageMagick/commit/fca59fd50a4808ba8ed767709849df3d8e87233a)
- correct PSNR metric [`f723893`](https://github.com/ImageMagick/ImageMagick/commit/f723893e7888defeca8acb1470af14219949d83b)
- correct NCC metric [`faf801b`](https://github.com/ImageMagick/ImageMagick/commit/faf801b6c9abd0abca774dbab7ddbe0060b09c22)
- cosmetic [`d2c108b`](https://github.com/ImageMagick/ImageMagick/commit/d2c108b803e3f1877edf8f0ab0ab9fdd35b31bdf)
- prevent possible ssize overflow [`69a56f1`](https://github.com/ImageMagick/ImageMagick/commit/69a56f1c50f1330af329474dc06b9f79d7dfba0e)
- Improved error message when reading or writing png data files. [`7dc5dbb`](https://github.com/ImageMagick/ImageMagick/commit/7dc5dbbaecb8e5e63ce229e4dd70b98bf63289a4)
- correct PSNR metric [`d811151`](https://github.com/ImageMagick/ImageMagick/commit/d81115108c2471ba57887354d7987c39976b382d)
- scale PSNR correlation image [`852041f`](https://github.com/ImageMagick/ImageMagick/commit/852041f899d1820e32676d4036fd128fabbf44c1)
- Group 4 compression is designed for bilevel images (black and white) [`2f6593a`](https://github.com/ImageMagick/ImageMagick/commit/2f6593a4ef90e25475923ce0e4be1bd37036ebcc)
- initial framework for dot product correlation metric [`1f2a426`](https://github.com/ImageMagick/ImageMagick/commit/1f2a4262fd50deeb1e00962666de1463220c4ace)
- check for pow(0) [`1afa38a`](https://github.com/ImageMagick/ImageMagick/commit/1afa38ae2fa87cf4eb48040e47d410aa729ce21e)
- -gamma should call GammaImage() [`056ccdb`](https://github.com/ImageMagick/ImageMagick/commit/056ccdbeac41c9b24b625e0139cd25a4cdffb22a)
- 0 & 1 are special cases for pow() [`be3b73d`](https://github.com/ImageMagick/ImageMagick/commit/be3b73da674520ad3eab52ade2a3cda62af66d15)
- Added file for https://floss.fund/. [`db034e2`](https://github.com/ImageMagick/ImageMagick/commit/db034e28ef81faf3b2f07b0308c1b143c8b5b1c7)
- support dot product correlation (DPC) metric [`b404dcd`](https://github.com/ImageMagick/ImageMagick/commit/b404dcdc401faa7b207b10c16951484750ffa29e)
- cosmetic [`a92bc57`](https://github.com/ImageMagick/ImageMagick/commit/a92bc578e77d7b2f9dae5f046287ad7444bb9218)
- remove similarity metric factor [`f86ab0f`](https://github.com/ImageMagick/ImageMagick/commit/f86ab0fb4dcdc3b0b9e721c4b6a75394ad5d6798)
- invert DPC distortion [`5eafac9`](https://github.com/ImageMagick/ImageMagick/commit/5eafac923f3d5288b8225eed55db46696a5f4596)
- cosmetic [`b05bfd3`](https://github.com/ImageMagick/ImageMagick/commit/b05bfd37c99826396394820d1279c9811c7fe7b0)
- dedicate more threads to similarity [`9bf682c`](https://github.com/ImageMagick/ImageMagick/commit/9bf682cf9cfd4d71f189a9c57e42d5a71ab18fa8)
- No longer set TIFFTAG_STRIPBYTECOUNTS to fix the issue reported in #7917. [`4706bc1`](https://github.com/ImageMagick/ImageMagick/commit/4706bc130cd7b80edbbdec44af1ec60d1d961070)
- Return null when writing fails. [`3666977`](https://github.com/ImageMagick/ImageMagick/commit/36669775fd2a2b3e722d5032a778bebc6d1e1eaa)
- improve data locality by keeping the thread's working set within a small region of memory. [`4a2f394`](https://github.com/ImageMagick/ImageMagick/commit/4a2f39403452455d29c7e71d98ef81a11cc5ca8b)
- dissimilarity is a warning [`19e1a47`](https://github.com/ImageMagick/ImageMagick/commit/19e1a4790a381d2f5e57e0c87ad851aa71fb24d4)
- normalize PSNR metric [`046e35c`](https://github.com/ImageMagick/ImageMagick/commit/046e35ccef9f33b87eddd06d4142d44978759a0a)
- Corrected check to also allow fax or group4 compression for a bilevel image with index channel [`f279ba5`](https://github.com/ImageMagick/ImageMagick/commit/f279ba5fd840512ffafd144fe2bcfa8c6f884b46)
- multiply correlation image by qunatum range [`07ca6d0`](https://github.com/ImageMagick/ImageMagick/commit/07ca6d0394063899bbf784dea1aedd9f9805bea0)
- initialize dissimilarity thresold to PI [`8ffc760`](https://github.com/ImageMagick/ImageMagick/commit/8ffc760d9a40daecb6ba343adaaeda84c072d741)
- added an epsilon to the dissimilarity threshold [`f17032c`](https://github.com/ImageMagick/ImageMagick/commit/f17032c0d3659458145ebfc012210b0f9be6cdbf)
- Minor code style change. [`471841b`](https://github.com/ImageMagick/ImageMagick/commit/471841b7bf5c373163844ce88ebc50c194d28a0c)
- increased accuracy for XYZ color conversion [`0b4e7c8`](https://github.com/ImageMagick/ImageMagick/commit/0b4e7c82eeb539d80e956e0c0c46ccaf57dec792)
- Make sure the data buffer is set to a value before exiting the method. [`b4dd2a7`](https://github.com/ImageMagick/ImageMagick/commit/b4dd2a701cc64d9b2d1c1807f2612470186a94c4)
- Don't call exr_decoding_destroy inside InitializeEXRChannels. [`19a0631`](https://github.com/ImageMagick/ImageMagick/commit/19a0631da8259b744e8df9521e92d402b8f49b09)
- Added missing return (#7941). [`e11a59d`](https://github.com/ImageMagick/ImageMagick/commit/e11a59d28561d9e648705d8b55f68f085223008e)
- Code cleanup. [`73933e7`](https://github.com/ImageMagick/ImageMagick/commit/73933e78a999362e4f268a12444f7b672873dcfb)
- Corrected typecast. [`bc0bbec`](https://github.com/ImageMagick/ImageMagick/commit/bc0bbec029e2d6e8dcc4294653907b0dd28fe465)
- multispectral MIFF images renders all channels in arbitrary order [`81ac8a0`](https://github.com/ImageMagick/ImageMagick/commit/81ac8a0d2eb21739842ed18c48c7646b7eef65b8)
- Small refactor in setting the packet_size when the number_meta_channels is not zero. [`0f920c2`](https://github.com/ImageMagick/ImageMagick/commit/0f920c21a2edaaee7a6c00670072109424b76661)
- support CTA02LMS colorspace [`f96b982`](https://github.com/ImageMagick/ImageMagick/commit/f96b982101f53da4b20f749216c397a834c26981)
- Fixed duplicate define when compiling an OpenCL kernel. [`09ccae8`](https://github.com/ImageMagick/ImageMagick/commit/09ccae84392b47ecaafc79ab5917b6934b943e86)
- Update the image depth after this has been changed by SetQuantumFormat. [`bac413a`](https://github.com/ImageMagick/ImageMagick/commit/bac413a26073923d3ffb258adaab07fb3fe8fdc9)
- fix correlation image for PSNR metric [`218ff28`](https://github.com/ImageMagick/ImageMagick/commit/218ff2885c327f291e6f573ef0fa4148692a7bfa)
- respect compare:accelerate-ncc define [`db81bac`](https://github.com/ImageMagick/ImageMagick/commit/db81bac65293f624581985fba34292b31775ae7d)
- support compare:accelerate define [`a9a73ca`](https://github.com/ImageMagick/ImageMagick/commit/a9a73ca36df2470f7e5740ac1aafec65e991066c)
- Code style changes. [`d589346`](https://github.com/ImageMagick/ImageMagick/commit/d5893469086f32d747f6a3c7c23c472605b08a4d)
- support compare:frequency-domain define [`da12a72`](https://github.com/ImageMagick/ImageMagick/commit/da12a72bc7c6542d27012032931e5be28eb4442b)
- cosmetic [`3abe899`](https://github.com/ImageMagick/ImageMagick/commit/3abe8997540b83ade79f615b59df202b5f9d4125)
- vid: format not supported in vector graphics [`678372c`](https://github.com/ImageMagick/ImageMagick/commit/678372c9b4c6bad5bbcf998d5eca506103f587eb)
- similary image must match between the frequency and spatial domains [`1703c6a`](https://github.com/ImageMagick/ImageMagick/commit/1703c6ab2377ab83c0ddcd3690ed19140a176b12)
- pending issue when comparing two images of the same dimensions [`1dbff18`](https://github.com/ImageMagick/ImageMagick/commit/1dbff18c072045f61e457ea34e9c6782bbf03176)
- throw warning when reference image is wider or taller target image [`958be25`](https://github.com/ImageMagick/ImageMagick/commit/958be253f279b81bac2079429a4a299bbf358754)
- PSNR metric is now returing the correct offset [`3b1a86f`](https://github.com/ImageMagick/ImageMagick/commit/3b1a86fdaed3579178aadc5b0b65b9fce9a81b92)
- revert [`af1d3ac`](https://github.com/ImageMagick/ImageMagick/commit/af1d3ac621fd8dbd67c7658c49f65fcac1544143)
- the correlation image is now the same size as the reference image [`c28423a`](https://github.com/ImageMagick/ImageMagick/commit/c28423a58efc96a73eaa66449938eb27e6d1e8eb)
- recongnize ore HEIC sub types [`9a4fed2`](https://github.com/ImageMagick/ImageMagick/commit/9a4fed2c99ea14347f0b8f7dd3bec6336ffa9f47)
- correlation dimension must match that of the input image [`672ab0f`](https://github.com/ImageMagick/ImageMagick/commit/672ab0f2a84a8e508246fcb65ba2dca7ebc38c40)
- negate correlation image for NCC metric [`ca08635`](https://github.com/ImageMagick/ImageMagick/commit/ca086359d8f9691e9b0192ed2afb4bd9c21a6a72)
- Documentation fixes. [`88f811e`](https://github.com/ImageMagick/ImageMagick/commit/88f811e935f89440d081c8b9abe769528eef14da)
- check for an EOF condition before setting the image background [`609be08`](https://github.com/ImageMagick/ImageMagick/commit/609be089a62ffeb81490e048725a43a4c1ceb908)
- conditionally compile heif_context_set_maximum_image_size_limit() [`e1fa820`](https://github.com/ImageMagick/ImageMagick/commit/e1fa820730854ba3c50814a2b0ec84188a7d658f)
- white is maximum point of the correlation image [`c8c7584`](https://github.com/ImageMagick/ImageMagick/commit/c8c7584b30487eb6bb04bef31aff3538a7448bcf)
- There is no need to check nexus_info because AcquirePixelCacheNexus will throw a fatal when memory cannot be allocated. [`96c0ea3`](https://github.com/ImageMagick/ImageMagick/commit/96c0ea3c5bc9575bffa85a82f873e0120a6eb0e8)
- Only run the job once a week. [`e0e3153`](https://github.com/ImageMagick/ImageMagick/commit/e0e31531907987a5fd1876b1b34e3513f4b2c1d2)
- Cosmetic changes. [`fcce0d3`](https://github.com/ImageMagick/ImageMagick/commit/fcce0d359f362fc997fb2e63586de3739c6cc498)
- Removed another unnecessary check. [`57f95be`](https://github.com/ImageMagick/ImageMagick/commit/57f95be7bc99d90611b3e4e354c0eb37bf46687d)
- ensure similarity looping respects the resouce thread limit [`f0679bd`](https://github.com/ImageMagick/ImageMagick/commit/f0679bd043d3933fe752ee49b736d5a94f4b6c1d)
- preserve gamma invertibility [`0e10c12`](https://github.com/ImageMagick/ImageMagick/commit/0e10c12139d8f8b9246aa36eb32526f2f01137ae)
- compensate for any NAN's in the Jzazbz colorspace transformation [`5ee906e`](https://github.com/ImageMagick/ImageMagick/commit/5ee906e3d824960d4baa8ee09274d9937ab1fc46)
- change NAN to 0 [`b3e53d1`](https://github.com/ImageMagick/ImageMagick/commit/b3e53d14d9a376f866537a9803863a5355f3b88a)
- For RMSE, take sqrt() of MSE pixels [`14b8ad2`](https://github.com/ImageMagick/ImageMagick/commit/14b8ad2f31f183a7d00a7f093d9ee020fb593d81)
- use square rather than square root [`451a0a7`](https://github.com/ImageMagick/ImageMagick/commit/451a0a7daf9271e5ec793a38e123ecebc94aea7c)
- conditional compile [`449bc6f`](https://github.com/ImageMagick/ImageMagick/commit/449bc6ff4ecbf692eb38bdaa33f94799dc382498)
- RMSE metric had a misplaced square root [`b3df5ae`](https://github.com/ImageMagick/ImageMagick/commit/b3df5aecf140d344a4cf32ac220df61be1159932)
- Switch to cmake to fix oss-fuzz build of zlib. [`2318b9b`](https://github.com/ImageMagick/ImageMagick/commit/2318b9b61631b46cae898a12c699d17d00804bac)
- average composite channel for PSNR metric [`1deefc5`](https://github.com/ImageMagick/ImageMagick/commit/1deefc5c430b6ba0d5af001de3787c51f179cd11)
- proper handling of NaN's, thanks to @nrobidoux [`d39b790`](https://github.com/ImageMagick/ImageMagick/commit/d39b790d1dc6e6ecbf9b235f524aa635914fdd43)
- initialize correlation image optimization [`9624484`](https://github.com/ImageMagick/ImageMagick/commit/9624484e03bee69e8895e36cf5b4a74e52ef39ef)
- improve SVG recursion checking [`3083c78`](https://github.com/ImageMagick/ImageMagick/commit/3083c7805a1beef681e7c16c722ce1ace58f6aa1)
- eliminate incompatible type compiler warnings [`182184f`](https://github.com/ImageMagick/ImageMagick/commit/182184fd1c0b5bcba91984daf1ff0b9d175b085c)
- eliminate compiler warnings [`15530fc`](https://github.com/ImageMagick/ImageMagick/commit/15530fc559b0a9d23d6524152f4830ba58038103)
- eliminate compiler warnings [`1be903d`](https://github.com/ImageMagick/ImageMagick/commit/1be903db4ec6310f137f90a7de48ffbe9a01ae6c)
- revert [`a0a178a`](https://github.com/ImageMagick/ImageMagick/commit/a0a178a0db1e36dd624c69391529f1150a4c5f93)
- squash lint warning [`21f0791`](https://github.com/ImageMagick/ImageMagick/commit/21f07917313fd1b219144512bb4f79c512f2156b)
- squash lint warning [`485a179`](https://github.com/ImageMagick/ImageMagick/commit/485a179e8b76a3025549ea862fd516e31feee97a)
- squash lint warning [`f8f57c2`](https://github.com/ImageMagick/ImageMagick/commit/f8f57c2df28a8a8ae3ae6e5765322d56a23e8762)
- squash lint warnings [`1289371`](https://github.com/ImageMagick/ImageMagick/commit/12893712615230b07706aa3ffaad17f292cd16b1)
- squash lint warnings [`5e17c72`](https://github.com/ImageMagick/ImageMagick/commit/5e17c72a6461d29adbb9358db7a480a7b891e13e)
- squash lint warning [`22dadcf`](https://github.com/ImageMagick/ImageMagick/commit/22dadcfff26416ca929ef37b5e68b36d8e903623)
- eliminate lint warning [`1bce09e`](https://github.com/ImageMagick/ImageMagick/commit/1bce09eb1fcf0a4cfdab378e849aa93a0a0d51ff)
- squash lint warnings [`ab36a91`](https://github.com/ImageMagick/ImageMagick/commit/ab36a91765adad86ad4b55642388031f075be5e8)
